===================== 2020-10-02 Version 5.2.8 Released =====================

===================== Changes Since Version 5.2.7 ===========================

commit 667ef53f1d296950f352c6e89da08b22695d87bc (HEAD -> 5.2, origin/5.2)
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 2 18:32:56 2020 +0000

    Revert "jansson: use the core macros for ending string value with '\0' and to restore"

    This reverts commit 61255b01f88ea904bf5694f834a5b2aec7398c69.

commit 9c3fd4b20254302b174331acec560f809d305e44
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 2 18:32:39 2020 +0000

    Revert "xcap_server: check before going to the end of the buffer"

    This reverts commit f82bdb7fadd02368133b4813cdba515a7725a31d.

commit 28a85a330128cc1ac8e7388aeae314808c01796b
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 2 16:49:36 2020 +0000

    Revert "evapi: free addr info in case of bind error"

    This reverts commit e7a390388fe640d46efc640e97a87f00f1361f47.

commit 259cf0e5dd3fbeddeb1494065c742d22a8f5371e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 2 16:24:50 2020 +0000

    Makefile.defs: set version to 5.2.8

commit 2bab6b56493e16b03870d474ba088e542d2c7965
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 2 16:24:03 2020 +0000

    pkg: update alpine and obs spec files for 5.2.8

commit 2e7d7748f4afa38f4b2937feca0ba870a8a1c11e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 2 16:22:41 2020 +0000

    pkg: update debian pkg files for 5.2.8

commit a00f1acc9c9e009f363e615bc4369341f7146ac0
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 2 18:17:01 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 5a034b5b5a1e45e2c91ccf70db0b8b236f30f388
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 30 12:34:40 2020 +0200

    rr: reset param buffer for r-r advertised address
    
    - GH #2486
    
    (cherry picked from commit 8dfc0f6ef0ddc4bf2d73d21124caa289d4b8ce07)

commit 61c88b527d9f58154a5a884fab1bcd525413e173
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Mon Sep 28 12:57:25 2020 -0700

    dispatcher: fix an error in initialisation /
    
    training of the latency estimator
    
    (cherry picked from commit b728cb30810ef44b821a93335cdd34f954f2029c)

commit ac95ed9c1a24dbedf4e197a02580880fd19c1ad1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 23 09:01:43 2020 +0200

    ndb_redis: set message level to debug on exec
    
    * logging error makes no sense here since there's going
      to be a reconnection afterwards
    
    > ERROR: ndb_redis [redis_client.c:903]: redisc_exec_argv(): Redis error: Server closed the connection
    
    (cherry picked from commit a9c331d70dbed6827874aa99296203ac5a9d5c7b)

commit 7f37dfe943e49625afcd51ca8de321418f872124
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 21 10:59:34 2020 +0200

    usrloc: use unsigned int for rpc output for the fields having this type
    
    (cherry picked from commit b754b9f68bee0b58b4ae00b7f0764c2bf711d14c)

commit 8988b12dee467bfd5ba1a6d3aaef13ae40c7ae34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 17 14:21:30 2020 +0200

    tmx: safety check of expected route blocks for using $T_*() variables
    
    - related to GH #2479
    
    (cherry picked from commit 2e7710e292a649c6c57e46d5994d3b2cf3815865)

commit 0d0085cfe871208af4a4f7f4a4c4ea040dd9a56e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 17 12:55:10 2020 +0200

    lib/srdb1: db_use_table() more suggestive error messages
    
    (cherry picked from commit 57d33a2d76219ae3d1eb503044dadaeddc7e06fd)

commit aac6c00202aeebe8a13e9d33ca962771ffbfc353
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 15 07:33:00 2020 +0200

    topos: docs - more details about what SIP traffic is handled
    
    (cherry picked from commit 878971f2c0bc32233b6f18728f9b88537b3d19e8)

commit 35df241a87766f4a7ccdbea2573135559a80e3a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 14 13:00:25 2020 +0200

    dispatcher: sync on updating last used fields
    
    (cherry picked from commit e307432e5f34a2093544e9ff703ea205169e4088)

commit 773f6f48b3c638fd812edebe5303d70fce15aa4c
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Sep 12 09:57:10 2020 +0000

    docs: add matrix channel information to normal and github READMEs
    
    (cherry picked from commit 3c19ca90327d92be69cdce482e66991147db9083)

commit e01b3652c9112b98d037fc4dbc54fe85db0d76c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 9 13:01:36 2020 +0200

    msrp: proper parsing ipv6 host part in uri
    
    - enclose ipv6 address in square brackets for msrp pv
    - related to #2472
    
    (cherry picked from commit 1cda029885dd89e2ec46fe28a0d6f656aad19e7a)

commit 7755d876d0f300daf9563b57793a17e8ad8b186d
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Sep 8 15:04:04 2020 +0200

    httpa_asyc_client: set curl memory callbacks in module initialization
    
    (cherry picked from commit 66fea7c615e01b200b334d5255c90911cfb360fe)

commit 3ce17b3ba01104ebd0789f25ff950e14caaa6adf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 27 12:34:50 2020 +0200

    usrloc: get_udomain() - safety checks for location table name parameter
    
    (cherry picked from commit 29dde9fea1eb21b4bb484286f7443dd32f611bd2)

commit 1d0f0bcee0f51d62a506935924f331684a40cbc2
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Aug 25 20:11:59 2020 +0300

    sqlops module: added one more sql query function return value to README
    
    (cherry picked from commit d93de03c10eb7b88024d7eb9ba85200601cf6c7a)

commit f8b67668b35008f86435a5e3d9f2ae67aca98566
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 24 10:22:52 2020 +0200

    topoh: remove the Via cookie when skipping topoh via event route
    
    - event route is now executed with parsed sip message to be sent out
    - GH #2437
    
    (cherry picked from commit 06a1d20fdcae42c8f2130c547c6c6cf5fb6dce26)

commit b046d031006627eec4acfd9dd8fbf0572ed3f9b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 24 10:01:20 2020 +0200

    log_custom: print to stderror if sending log message fails
    
    - help troubleshooting while avoiding looping to same function in case
    the log engine is set to log custom module
    
    (cherry picked from commit f16d046f6330f897b374d9bb7dab3b2ce8eab3a7)

commit 3d4bcb4a386bc9387053779e1f692ebd942e84c1
Author: Dmitry <dmitry.wagin@ya.ru>
Date:   Sun Aug 16 23:21:37 2020 +0300

    Makefile.defs: Fixed libs option for FreeBSD
    
    (cherry picked from commit f490c4e0f5888963a01fa99fe94a464d44223199)

commit 72bf4a6c9e768d2ab1c2d9eb4c80c6e2f019f0f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 11 12:36:02 2020 +0200

    topoh: check if via param has the expected prefix, otherwise skip
    
    - GH #2437
    
    (cherry picked from commit 046126b4a90090bf5b8f9b517ba5218793e6b973)

commit 814fcce6c46671b84bf67d6db7317a0ad79b18b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 11 11:11:35 2020 +0200

    pike: docs - section for pike.list rpc command
    
    (cherry picked from commit 720e929a87c6d3ee29c316ca63886c7142320f43)

commit 92ddff8921ef0b035d1d785e87f3f44be8a3582c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 5 16:38:01 2020 +0200

    Makefile.defs: map gcc v10.x to 9.0+ options
    
    - detect properly the 10.x gcc version number, GH #2425
    
    (cherry picked from commit 79e7738027a40affa4c7f606bf55a3ad0fe31bc4)

commit 36a3c1f47f54e58f41ed5b302bd4bce1ff76a501
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 4 08:36:18 2020 +0200

    Makefile.defs: get clang version only from --version output
    
    - the full version with stderr output included has a different first
    line on MacOS, making head -n 1 not extract the version number line
    
    (cherry picked from commit bff689cfedca70149e17b6ec3584ca9ecab71418)

commit 8ac4f388f835ef182bf1d05d45550250a6b677b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 1 16:51:39 2020 +0200

    db_text: free pointer in case of error
    
    (cherry picked from commit bddf16db74ea779bb01805fc2cbabfdaf8f4d62b)

commit f82bdb7fadd02368133b4813cdba515a7725a31d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 31 20:45:47 2020 +0200

    xcap_server: check before going to the end of the buffer
    
    - use marcros to set and restore char for ending 0
    
    (cherry picked from commit 6ce5c0bdf136ecffd7917f2d60093e1b2c49fa54)

commit 12e310f3757fd2e194267977579e5d3643ecb2a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 27 09:37:23 2020 +0200

    dialog: print old state on dlg timeout
    
    (cherry picked from commit 06b7e416756e1711edef6db683cef35824f4b2a5)

commit b3b06a9c0329f01f8c9351cc56a146e0ba9a25c0
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Jul 27 09:50:54 2020 +0300

    pkg/kamailio/obs: spec formating
    
    (cherry picked from commit 56bb276b4e5c00843244d555e7c5221e3f2a6203)

commit 83a357f8d6a3a8a0e2b6de6ac74238358ec661cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 24 22:25:50 2020 +0200

    tls: docs - fixed typo
    
    - GH #2410
    
    (cherry picked from commit a12064696ac37cadf954a89b58daa1e05e182180)

commit 3195b85910e3e834ae03e59d20e411b33bc7569e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 14 09:21:04 2020 +0200

    misc/examples: kemi lua - added debug callback function
    
    - commented - can be enabled to track the execution trace of the lua
    script
    
    (cherry picked from commit 491a8327933cb4471260fdd09ff93296a7a0ccfd)

commit 78cc2c04fc43f44619f311b0d10ac101e8cb2d70
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Jul 11 11:03:26 2020 +0000

    ims_charging: fix wrong default User-Equipment-Info-Type AVP format
    
    - fix User-Equipment-Info-Type AVP format
      According to the RFC 8506 it should be like this: The 48-bit Media Access
      Control (MAC) address is formatted as described in Section 3.21 of [RFC3580]
    - use strlen instead of sizeof
    
    (cherry picked from commit 1a8f54147063560f6016634152b17293394b8497)
    (cherry picked from commit d51a3c4393b345b783adccf8a0e960274e11afb2)

commit 4b7cd8149d1588efbd94bc6f30a9864563b0c3f0
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 16:05:51 2020 +0000

    ims_charging: bugfix for tel URIs, need the same logic in stop as in start requests
    
    (cherry picked from commit c3efb3b3331936a30f387e9f3c8c435d4d64f0bb)

commit d2377eea2798561128bfb299f7f01d69614aa086
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 09:09:27 2020 +0000

    ims_charging: add missing change for ccr.c (related to previous commit f5e44252c39c7695cb)
    
    (cherry picked from commit 4cb61cc35a695e2636007f6518a63ed8e508b67f)

commit 35132a64f4a60df23e03a8be1e68197aa20b3e87
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 08:54:20 2020 +0000

    ims_charging: bugfix for destination_host parameter, implementation was incomplete
    
    (cherry picked from commit f5e44252c39c7695cb66893035a0581a65a72f91)

commit d054df58128e23516f526e4eab4a3d6d1745014b
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 28 12:45:43 2020 +0000

    ims_charging: fix error in destination_realm default vaulue
    
    (cherry picked from commit f679c118a589c80cb84954fb46271adef596e049)

commit 96e406c046d625995e5887a065a6a8c37e1ba488
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 26 22:27:43 2020 +0200

    siputils: docs - added section ids for parameters
    
    (cherry picked from commit ec0b1d31f1d667abdcd7cce7fbfff110583e271c)

commit 7640e7c38df8c213210487f9379cd761a94ece45
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 21:05:56 2020 +0200

    pua: docs - fixed missing comma in example
    
    - picked from #2371
    
    (cherry picked from commit 9adccda325d258fe539b54ec67d4389d3a2fc72c)

commit e7a390388fe640d46efc640e97a87f00f1361f47
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 22 15:32:30 2020 +0200

    evapi: free addr info in case of bind error
    
    (cherry picked from commit 41db985ebfcb691f2e20e689a83379e382ef6c03)

commit 3382a6a13d3e072b834af4a4edbde738bd8a92f3
Author: Torrey Searle <tsearle@voxbone.com>
Date:   Fri Jun 19 11:06:09 2020 +0200

    tools/kemi: add support for invoking function pointers
    
    also add a flag to allow generated version of code to be compatible
    with older versions of python3
    
    (cherry picked from commit 773ecfc9ceec5bbbe6c7f5fd72399baacfd74c0a)

commit c6d6c76f37f1bba607a67f5b38ee0b27653073b8
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 14 15:13:31 2020 +0000

    dialog: fix error in debug logging, properly log both sockets
    
    (cherry picked from commit 6b27844460e0de475d9546db122ff1ba9d9be6d8)

commit e089a78000d29c7205b95f3c3594946c318855af
Author: Luis Martin Gil <luismartingil@zaleos.net>
Date:   Tue Jun 9 10:48:16 2020 +0200

    keepalive: logging state of dest just if changed
    
    (cherry picked from commit 5649a24929ae7bd60154a6c58c772db9e462af27)

commit 68a101aab5a3eb477862abae8ae5a009092ce80b
Author: tsearle <tsearle@gmail.com>
Date:   Mon Jun 8 17:33:35 2020 +0200

    remove unused import
    
    (cherry picked from commit 2d2594d3cdeead550ccd472f9d0288b72b98d689)

commit 5570293e5aff74436f57f5844427a043c1410ec1
Author: Torrey Searle <tsearle@voxbone.com>
Date:   Mon Jun 8 09:17:00 2020 +0200

    tools/kemi: add script to generate mock api for kemi python testing
    
    (cherry picked from commit f4ec923976cbab5c1451b65268aaca65a33919fd)

commit 2ab13ea004bbc3b1254214ee73960ac5d3bb97ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 6 10:50:19 2020 +0200

    app_jsdt: utils/app_jsdt_ctl - increase the static table size to 1536
    
    (cherry picked from commit cb55929b8ce39aee2af193e59034e43af7a44781)

commit 3f012cee43b173cd898972f9299869c728002ee0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 3 13:22:21 2020 +0200

    cnxcc: don't terminate non confirmed calls
    
    * non confirmed calls can't be terminated via dialog.terminate_dlg() API
    * set call.max_amount to 0 to terminate the call if gets confirmed
    
    fix #2346
    
    (cherry picked from commit ca0fc18e1cfad86ed6b7530d6c520b680e5d6a4f)

commit 879fb5300a1d90a6d958f8a263d243a9cd7fa9fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 21:46:20 2020 +0200

    pdb: use memcpy() for PDB_BUFTOSHORT macro
    
    - related to GH #2345
    
    (cherry picked from commit be57be33d0e48d412ddab9801ee4d6d906329d70)

commit b54788999115a9af5261c3d5469a5902b0318464
Author: Torrey Searle <tsearle@voxbone.com>
Date:   Fri May 29 09:30:56 2020 +0200

     misc: examples/kemi - fixes to the python script
    
    remove dependency on Router.Logger
    remove ;
    fix comment ref exit()
    
    (cherry picked from commit df2fa2c5589bd5f651e814e32e2edf00c23ffebc)

commit 46c40fd2950d1f3a9f7b3eb5d417489e0b8d8a48
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 23 22:24:25 2020 +0300

    pkg/kamailio/obs: packaged xhttp_prom (prometheus)
    
    (cherry picked from commit 3e77c574c340941f36ca8f9081a77c5b476f8c8c)

commit ba0dedbd5f719a79633d999696ce7114a78dfd07
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu May 14 16:38:31 2020 +0000

    ctl: small spelling fix in comment
    
    (cherry picked from commit a5722aa7773eb4153e8c3b241cae6e3f5f7a9894)

commit 365bdea6bd81e32b0bf40832ca5fad3b3ea5e3d7
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu May 14 16:38:00 2020 +0000

    core: small spelling fix in comment
    
    (cherry picked from commit fc09015bbad342b435de7ddb3300e19a415c340d)

commit 61255b01f88ea904bf5694f834a5b2aec7398c69
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 14 10:41:06 2020 +0200

    jansson: use the core macros for ending string value with '\0' and to restore
    
    fix #2327
    
    (cherry picked from commit 3abc650d37e426840f060426a851ecac5210d2e5)

commit 79efd5a4c7435fce426b219490d7499c501ec6f8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 2 16:02:24 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 695035e2fc0ddc02da3818697785a7cc25d5e286
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:51:16 2020 -0600

    Fix typo on main README.md: Consecutives 'the'

commit 587d741736d5dc32f5a81633e0e02cead120e330
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:50:41 2020 -0600

    Fix typo on xmpp module: Consecutives 'the'

commit 0006886d1ceb7c705ad2d782a4b7316ccdda48af
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:50:02 2020 -0600

    Fix typo on websocket module: Consecutives 'the'

commit b66d8631a62ca08e92bc6b274515843d6749a7c6
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:46:20 2020 -0600

    Fix typo on tm module: Consecutives 'the'

commit e1d455c15fcbb4a1c710bd6aa84bba2a96a11046
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:45:44 2020 -0600

    Fix typo on sca module NOTES

commit 59eac533086ace33582021edf19c0da2f993550a
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:44:27 2020 -0600

    Fix typo on ims_qos module: Consecutives 'the'

commit d44995a6c87cacc94dab13ded043bd4a4ba8dac5
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:43:44 2020 -0600

    Fix typo on drouting module: Consecutives 'the'

commit c106c6d265e4b79748fd3532e77a1f9f10f18da3
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:42:54 2020 -0600

    Fix typo on db_mongodb module: Consecutives 'the'

commit 1a99608e4d9bb9312737dcdf214af732a7f4eb51
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:41:54 2020 -0600

    Fix typo on cplc module: Consecutives 'the'

commit 4e49c16d290871e82c4881544d9d8e742cf00bde
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:40:13 2020 -0600

    Fix typo on counters module: Consecutives 'the'

commit 42ea1f522de1b545f72e4cfeeaa1da2949f1b3e7
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:39:26 2020 -0600

    Fix typo on carrierroute module: Consecutives 'the'

commit 27da1adf9d64486b5ae6e8e980be82e048a9b582
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:31:12 2020 -0600

    Fix typo on avp module: Consecutives 'the'

commit 6b6b2c1223537042d24457b9ca82e25407208608
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:30:12 2020 -0600

    Fix typo on app_jsdt module: Consecutives 'the'

commit 36a329cc8fef72da4f3a893079fccf8a97296547
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:29:03 2020 -0600

    Fix typo on srdb1 lib: Consecutive 'the'

commit b75d88fba00948bd4ff48f07ebd53c9ab4df18d9
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 2 13:35:21 2020 +0000

    Changelog: fix wrong date (year) for last releases

commit 2e4fce406eab4b4ee780381755af17005b172c4e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 1 10:04:50 2020 +0200

    topos: update to-tag and rr on reply even to-tag is already set
    
    - GH #2489
    
    (cherry picked from commit acd7f6f1703d12aa8f2dce87e1b8e4b74d6b4d96)

commit 50b6e42cde3d643d80796a178874ba76960b0f7a
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Mon Sep 28 09:13:16 2020 -0700

    dialog: dlg_cell, always check for a to-tag match

commit 07e51b97c9a409eeb4d735f8d20a67b6f6c7e097
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Sep 15 18:01:51 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 59cede2607d8847cfff96aa6221f00e0abbb625d
Author: whosgonna <ben.whosgonna.com@gmail.com>
Date:   Tue Sep 15 10:29:08 2020 -0500

    registrar:  Update documentation
    
    - Replace all occurences of "HF" with "header field"
    - Replace all occurences of "HFs" with "header fields"
    
    (cherry picked from commit d936c6276b6d8e45efd87a4fc25a55b9c3ab1fce)

commit 8e62b35f97ba34268fbde35599ecd1645f0d7f76
Author: whosgonna <ben.whosgonna.com@gmail.com>
Date:   Tue Sep 15 10:32:07 2020 -0500

    registrar:  Update documentation
    
    - Fix double negative "without no DB operation". Changed to
      "with no DB operation".
    
    (cherry picked from commit be0382fa11920de972ddbcdbe17c3ff583da87e4)

commit 01d814b824c5b03a044f793783bd9ab7a9d811c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 14 09:33:16 2020 +0200

    dispatcher: update state if sending keepalive OPTIONS fails
    
    - backport of 4584e17b98f338916cc89dac6e1700f250cdf501
    
    (cherry picked from commit 1bccb817c20f02665d48a38eb59a57a6ae17b81f)

commit 916110d55a1ec83e142bd5fc2e9df8f9a5505eca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 9 15:33:18 2020 +0200

    core: skip abort() in free_lump() for LUMPFLAG_DUPED
    
    - the LUMPFLAG_DUPED is set when duplicating lumps list for branch route
    execution, but some functions such as set_body() may want to clean them
    - report and minimal reproducing config by Henning Westerholt
    
    (cherry picked from commit 57ee97f52dd90c86743b6fd6dd682285ef994e80)

commit 41a9d81e63bd4a3e44fcd00d2cf2c2855079b41b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 4 10:22:52 2020 +0200

    pv: handle s.prefixes for empty values
    
    - avoid crash due to invalid length of result, GH #2467
    
    (cherry picked from commit e74b06c32bc2b090937350858f655af4ab89ff63)
    (cherry picked from commit ad14b61155686aead27e7ac5f3fb6b1aa90b6840)
    (cherry picked from commit 8fcbfc697eaa7df91e84bfbf484ed51a49fc0e2e)

commit 40dbd084ec3074042dac84547058219471859329
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Aug 14 12:48:07 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 02ee7af024625a97138f137021093bad536f21d8
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Aug 13 09:26:57 2020 +0200

    pipelimit: docs - fixed typo
    
    (cherry picked from commit c87f3c1d07a5a3c51728d404200d60b10ed6159f)

commit e6c91219fd8202f0b1a2dd368537f3eb3516882b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jul 31 16:00:06 2020 +0200

    pua: update_version_puadb() use pres_id to select record
    
    * only relevant when db_mode is PUA_DB_ONLY
    * call_id/to_tag/from_tag values can be "", for instance with
      DIALOG_PUBLISH.* records. Then **ALL** records get version
      field update
    * update_vesion_puadb() is called from send_publish() and pres->id
      value is valid after a call to get_record_puadb()
    
    related to #2414
    
    (cherry picked from commit 733f5f240b4cf0c6e951257dc344d9b2c885331f)

commit 7b7602ac795cdf0f1302cca39b1648f47c8cc7da
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 30 12:19:45 2020 +0200

    pua: fix send_publish() behavior on PUA_DB_ONLY
    
    * dialog PUBLISH was missing SIP-If-Mach
    * pua was inserting a new record for every dialog state
    
    fixes #2414
    
    (cherry picked from commit da7f7ef082e28f81893ec06081358a9f88571bcc)

commit f65cfbc8f55ebb7095ef59f5624af57053d952b3
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 23 15:23:15 2020 +0000

    tm: lower log level for t_unref kill transaction to WARN
    
    - lower log level for t_unref kill transaction to WARN
    - immediate CANCEL on an INVITE could trigger this
    
    (cherry picked from commit d85d43247c3d056eebeec3f97735d13c048a181c)

commit 317350add2b58bc9346d310b882e710edf018b7d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 16 18:21:12 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 27d5945103de6cc6c71cc1ebb2e3579577268e5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 16 09:16:40 2020 +0200

    core: strutils - trim trailing spaces when comparing hdr names
    
    (cherry picked from commit 6d76b79b81bf448fa1f34753c1d000dc6c1870e0)
    (cherry picked from commit d0f7c7056b32351cac0b20ce24b074d9be8459a2)
    (cherry picked from commit 340deabc375272dc3f0a921786890dab8ee778b3)

commit b4789a0a4c72818ab9ef5d26ee3d13bd1b4281cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 16 09:09:48 2020 +0200

    core: parser - trim trailing whitespaces in header name
    
    (cherry picked from commit 7135feee9cdc93efa8c0c3e4abf24a9335ce42de)
    (cherry picked from commit 63e227383d9c5112f287299981d217f1558a15a8)
    (cherry picked from commit 434dfd38aad2a0e9115ceba55d871fba5d6628f2)

commit f1a7f58febc5698ee94f196de476ec5af14461e1
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Mon Jul 13 13:01:43 2020 +0100

    core: don't close tcp connection for dropped non sip messages
    
    (cherry picked from commit 007f98692bb6f7cb35adbb86ec6fb06f034614cc)
    (cherry picked from commit 0cf30ae1c4128bca8882109ec34c34a2dd2b4cef)
    (cherry picked from commit 2691b6a69bcddf0fd0daa92f27f27c6f8fb2a5a8)

commit 949beac64205de00a7a90141c3cf874b87ccb074
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 8 14:44:34 2020 +0200

    core: tcp - debug message when removing connection from list
    
    (cherry picked from commit 317f707425a4cf0be144d2c874fcdf2ad8d7f992)
    (cherry picked from commit 33ccba4be33fc24bd6a8c3539020b798f3e9a616)

commit 940348fed8790aba3bb559ed879b6b8abce0403b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 17:37:00 2020 +0200

    core: io wait - unhash in case delete operation fails because of EBADF
    
    - EBADF: epfd or fd is not a valid file descriptor
    
    (cherry picked from commit 846cc5b97a907b5314ccf03772776e0d23434042)
    (cherry picked from commit dc040c863172f827a4b508cc04c29ee9e9b61c83)

commit e89b9c4c53cc3dc9e8140f2cd08469f9e2e30a92
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 6 09:03:32 2020 +0200

    carrierroute: do not test return for strcpy() and strcat()
    
    - they return the dst or src parameter, resulting in code analyzer
    reporting
    
    (cherry picked from commit 65159728a4425f45559de55fd5549731e717d74e)
    (cherry picked from commit d597ecd290508b4be3dac459494db3d0eaffd6e7)

commit e1193bd7ac659e58fdbf009c89827233d6e307cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 5 20:50:00 2020 +0200

    db_redis: use safer localtime_r() function
    
    (cherry picked from commit 0cc1e167b9e54bb4a652162445efe89b02939eed)
    (cherry picked from commit 8e849681b7da3f6d94576620019363faba0c111e)

commit 7250695b4d83ed8362f0848ff4cca8b01c450ff9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 23:00:24 2020 +0200

    core: tcp - test connection reference counter to avoid going negative
    
    (cherry picked from commit 6a637cf84906ec5315c77e5458180f7d9d69a481)
    (cherry picked from commit 55edf5e1ff6afc895f8263854cbfe6c98c6e4d72)

commit ed1dff3b5eb9060e909695d09e0dd17856ecf082
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 14:02:20 2020 +0200

    core: tcp - safety checks on emptly local tcp connection list
    
    (cherry picked from commit 67f9de8a946335e2bf16fe0e6063877cd4d51fb7)
    (cherry picked from commit 003378f244d2c51773615905e7f98d3733b45b22)

commit ed095a9f353c521318b074bceee6280b42959b31
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 10:49:43 2020 +0200

    core: tcp - more details on error log messages
    
    (cherry picked from commit fefb3f1b2dbae8d9df24fecee763c5a1cd588107)
    (cherry picked from commit f6ad586b6b461ff061428b4286521eb3d06de397)

commit 208dec0a5b09cda7aeed33f80594976102bc3a60
Author: kvrban <k.vrban@googlemail.com>
Date:   Thu Jul 2 10:09:09 2020 +0200

    tcpops: target variable passed on tcp_get_conid function was empty
    
    (cherry picked from commit a2932492e24ac3c3afe4d33f025c7501c93fda49)
    (cherry picked from commit 511719e61405bc7f718de180331c43c2883a62f5)

commit 3c49aff1d0ad7d59dfd219646e729246a68221ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 08:33:13 2020 +0200

    lib/srdb1: init timeval structs to silent analyzer
    
    (cherry picked from commit 0780e781c319254307c85bd873c58c6478a28da8)
    (cherry picked from commit 6b438b9aad7044c79e4216d2c09ea95d5f0cc61c)

commit 4a82f43fd5f69f367845be1abd2c237f42c81f93
Author: Jose Luis Verdeguer <pepeluxx@gmail.com>
Date:   Wed Jul 1 17:47:59 2020 +0200

    cnxcc: update docs [skip ci]
    
    * new error return values
    * delete return value from set_max_credit not in code
    
    (cherry picked from commit bc0264f4802c266901a1eb7a296f80f1dbfcc828)
    (cherry picked from commit d14c2513390fb6e3bad2e73e6548d7e6e9232c46)

commit c32f7956db220906fd97aa41d14e963ece6eefca
Author: Jose Luis Verdeguer <pepeluxx@gmail.com>
Date:   Wed Jul 1 17:40:50 2020 +0200

    cnxcc: avoid duplicated call info
    
    Don't store call if call-id is already registered for that client
    
    (cherry picked from commit fb8cc72f1bd76bb2fd4d4e2e5fa2afc50eef59ad)
    (cherry picked from commit 31055879fccd14659e378bc28a79df82aa9b446b)

commit 5853ffb449283c43dade2f4c50b95d749f0cec61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 10:44:03 2020 +0200

    ims_charging: db_url param type set to PARAM_STR
    
    - the variable pointer is str* not char*
    - GH #2385
    
    (cherry picked from commit 71bc55240a144dbad9d9d8afc942b81237c806d2)
    (cherry picked from commit 3b2578660f8a2cfd528a425b833b8970662bf80a)

commit 33619b7465f3ec91225d4417e8c33cd75b8eeb45
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 09:10:48 2020 +0200

    usrloc: rpc scan flags, cflags and methods fields as unsigned int
    
    (cherry picked from commit 2c622627ea145eddcf891ba9b89b756457074991)
    (cherry picked from commit f959dec0c073c2b2dae904ee3d844872de989a2d)

commit 5c297f25680f256f6f6a598cec6150956b37e074
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 09:09:47 2020 +0200

    kamctl: set Path to '.' when parameter not set for 'ul add'
    
    (cherry picked from commit 301525dfbbad2ffcec6738ef5eff952645ab9dfe)
    (cherry picked from commit c33d634f400d5219dd1a820b209a123ef3e27020)

commit df84ba18409d9180f3afee2cf3cdaf8631a70eb5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 1 20:53:45 2020 +0200

    jsonrpcs: more debug messages in case field of scanning failure
    
    (cherry picked from commit 0a4fa9594d871a41c2ef6b811e2b342ed6ccfe09)
    (cherry picked from commit 070efaa8497773c3a903c26d7f5f31632ad99703)

commit 6b804b1d028d1c48afac100b85f60fc0331428e4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 29 08:25:11 2020 +0200

    carrierroute: docs - note about config file ownership
    
    - GH #2369
    
    (cherry picked from commit 214c762c46d5cd5892d2ddc06a25193a01164e8b)
    (cherry picked from commit 35d977aed4c7137d34d4cf8216d503ac48f1e423)

commit 8e4ec27eb9e81082981f48f481c1982fb4a07c5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 29 08:19:34 2020 +0200

    carrierroute: more details on error message checking file permissions
    
    - GH #2369
    
    (cherry picked from commit 31c7493d0d822239a76df4b504b2c319de09c19c)
    (cherry picked from commit 77a8fab36f878938cfd1b630439b9d0bde2f975b)

commit 56adcc0c2a1a8a42be526b1c1c8371fe7cecfb01
Author: Emmanuel Schmidbauer <emmanuel.schmidbauer@textnow.com>
Date:   Fri Jun 19 16:54:40 2020 -0400

    dialog: improve warning message to help better identify lookup failures
    
    (cherry picked from commit c4684574e0e0e1cca4c1489a16513182f821a643)
    (cherry picked from commit 15fbad460e4cd3187ff9103440ecd41eb427cf3a)

commit 0915bfbf47e9bb417033785d24a64bfa6bdd8717
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 23 08:01:48 2020 +0200

    dialog: use the dlg hash table slot to unlock on dmq handling
    
    - the dlg can be destroyed on dmq replication and unlocking may fail
    
    (cherry picked from commit f4036c535033a333cb551b5af70703135305e7b3)
    (cherry picked from commit 47e41a7cacab71f19e6c9c319d3ede83183e074d)

commit 6ebb3c5d3dbaf6794f66b878678c6fa81a7f59ea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 29 18:31:37 2020 +0200

    cnxcc: remove useless warn messages
    
    if the cid is not equal, an error message is going to be thrown.
    Add more info in the later debug message.
    
    (cherry picked from commit d6361c2e501cd9c08319f40897d765d1de1b1a32)
    (cherry picked from commit 147e5dd582dc8e4a00e1ef5868cf2eb18c0c4dd0)

commit 3d868e5de0c9928c2a5f9b3636005224907c94d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 22 08:22:55 2020 +0200

    uac: docs - updated examples to use avps with string names
    
    - the recommended format instead of interger ids
    
    (cherry picked from commit 295e9a23df952bc98c2a2803d796e358363b2e22)
    (cherry picked from commit d232e2e48b1b668270dcab419638adeffa5cf0b2)

commit 24e041cfc1060f01cb335abcffcde4d8d30f3011
Author: Kristian F. Høgh <kfh@uni-tel.dk>
Date:   Fri Jun 19 11:22:20 2020 +0200

    registrar: expires_range should not make expires < min_expires
    
    (cherry picked from commit c753932ebfa055d923c92b916937eec99cd14d23)
    (cherry picked from commit a6f117620f97fd8dd22e160938d6d322cce955bd)

commit 4c67a6e3e45e0be06e55747e1c7603cc66c7835c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 10:31:38 2020 +0200

    pv: use SIP_REQUEST/SIP_REPLY for value of $mt
    
    (cherry picked from commit 7e402da261e1ced56019037d3dce9e72b5b2b0ea)
    (cherry picked from commit 9dff6197dcae5c4051194753382f95c5edaa379e)

commit 2c27b129d6187737fdebdd782698683c852b259e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 11 15:50:09 2020 +0200

    sipdump: make month in the file name from 1 to 12
    
    - tm_mon is from 0-11
    - backport of 97593d20875d26c38511f564fd7071bf79baa56b
    
    (cherry picked from commit bfa58cdebc84aeca8220eb9d583b597706907a1d)

commit 9e91083f62a9e6d79e4d3f6c88f0743cb6d499e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 11 13:27:22 2020 +0200

    siputils: contact ops - removed old defines set on for very long time
    
    - bits of formatting code and comments
    
    (cherry picked from commit 2b8b2904399478984d3983ce447c98832419570a)
    (cherry picked from commit c0097b69c78919262be2c9c4babb462bc9354e15)

commit a456847533031d2af1b57017aa2ff2641d2f4c34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 9 10:53:22 2020 +0200

    app_python: check if f_code field in frame is set before using in log message
    
    (cherry picked from commit b02c247023ea3ea0ef9753efdb04aff7d5d3bbb4)
    (cherry picked from commit ed1fb65f4e8b63e66c3c80d6382a2d98046265ff)

commit 5920bc039ddc300fc7174feca9c8695924bdfbfb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 5 09:47:32 2020 +0200

    topos: allow 183 without contact header
    
    - some UAs do not add it, even it can create the session for PRACK,
    which requires it
    
    (cherry picked from commit 785326cdfbee849a8436e7c07003ff0539d259cd)
    (cherry picked from commit c09e2190a6e308e3446625afaaed5e9841883476)

commit 61c883255975395035943fb74f4f2b6426bf3f3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 12:45:05 2020 +0200

    core: tcp - log details of the exiting tcp connection on insert failure
    
    (cherry picked from commit 4deb51419ab66931459709fe44acd3e7a0acc18d)
    (cherry picked from commit be50e55355f1e33297121e0a7ac4c28fc4235e70)

commit 91c4689744ff315cdc73cfce54b761454e775f46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 08:55:57 2020 +0200

    core: io_wait.h - typedef fd_map_t, more details in log when is a fd conflict
    
    (cherry picked from commit 50af00c7ef7037b6e55a3d3254a38935532bb0fa)
    (cherry picked from commit 69dca2b460b7802eed50072e3672a20a249b8851)

commit f7260300a7dfb12ef7d5da97b6f05f56da1f1d52
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 08:36:07 2020 +0200

    erlang: renamed global io_h to clt_io_h
    
    - tcp core also uses a glibal io_h
    
    (cherry picked from commit b6abc7618af7b8b3470e76aae7a0fd5ba0869949)
    (cherry picked from commit c8f98ff7b7f734d0daa765cdb0332ea1952a97c7)

commit db9cfcde555d63dcca0cd94d4c418ccac3f6723b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 08:33:01 2020 +0200

    ctl: renamed global io_h to clt_io_h
    
    - tcp core also uses a glibal io_h
    
    (cherry picked from commit 19b3deb88afe5d787ca366885c660e66f17c3409)
    (cherry picked from commit dd59a3ac58253242257a8660310bb68274432ee3)

commit 94baf1022b3e4fe1073015bbc4ae28e52d45b121
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 31 09:29:39 2020 +0200

    pv: removed commented code for retcode var - exported from core
    
    (cherry picked from commit f658a7a8263efd4b0ed5816959741380a964221d)
    (cherry picked from commit b80ed7c5220dda8ff73a8db48617d92b104b7482)

commit 24a5582aefce2a4de39cd03441e6269421422200
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 26 15:05:15 2020 +0200

    tls: better log messages when failing to create ssl ctx
    
    (cherry picked from commit d2906da97d2429bfdff089203f933de2d282a86d)
    (cherry picked from commit 7b241198698db2ee483be13ab87d4d5bb37c7d85)

commit 244e6e35575bfa1e625cee41c39e92468bef2272
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 26 14:56:47 2020 +0200

    tls: Makefile - option to link against libssl static libs
    
    (cherry picked from commit 3e7278f28c43b830a197e2f7b212ec6f06e5acbf)
    (cherry picked from commit 1f1b0517ddcb11c51e7211a902c2ca7eb338ef49)

commit 0bd7c3ebb366024fbb49894d925b10101042c3c2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 26 09:24:17 2020 +0200

    core: async task logging on no callback
    
    (cherry picked from commit 8893e6f2b30577b065f11a406faf5c5935714f78)
    (cherry picked from commit be5ded1ec663ba8b364e0bafaac1a07de1e656f5)

commit 773908abccae6c6bcd3a50fb8a667ab4d14e9438
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 25 11:06:24 2020 +0200

    doc/docbook: added entities for kamctl and kamcli
    
    (cherry picked from commit 80e46395a3a937a5c5691c438db11bc059be6b38)
    (cherry picked from commit f53ad6d78d77d160682e151b92cba4dc8a0c2fba)

commit 11c668e405e73d7cacd6579fe78608a1ad0f5359
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 18 11:28:20 2020 +0200

    core: kemi - added KSR.is_KDQM()
    
    (cherry picked from commit 17d3040365400d14d251247c9c3319fc003f2cb2)
    (cherry picked from commit fed572ae474ca95eb35f712a4173451a8f98d825)

commit e0bdfe73d8e6b8f07ac5838d3fe1ee8240534dd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 18 08:29:09 2020 +0200

    core: kemi - added missing is_MESSAGE()
    
    - GH #2331
    
    (cherry picked from commit 8db5a12f7fab1a1fc7d50c87bbf1aee325b067c2)
    (cherry picked from commit b50e0041c0d485d82434381f66c1f6d21a2d003a)

commit b986e1d41f46916f2e19fce8dade019881df5a9f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 17 10:01:18 2020 +0200

    uid_uri_db: use file specific include guard
    
    (cherry picked from commit 7749069cd05b9619ee32237773097441e241bac4)
    (cherry picked from commit ac73bd096869a1cb13ba3145ad45a76838d023a9)

commit f6a3e5827fc7c2b76dd7e35bc356657e071643f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 17 10:01:00 2020 +0200

    auth_diameter: use file specific include guard
    
    (cherry picked from commit 9053c70fe7e147b784c53a57014796282701c74d)
    (cherry picked from commit a27d7da420ca0713201ca5f55ed79749d9ce213c)

commit 57ac3a5f94e07b4c7fe56edcd785b05c00cde5b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 17 10:00:28 2020 +0200

    acc_diameter: use file specific include guard
    
    (cherry picked from commit 3d73e8cb9f7431383c5a4ce798e2610f37ff92dc)
    (cherry picked from commit 83f20f6b0e8a3e4a6c6b5351526f67b63f10da3e)

commit 6ee76b6f4aa3a0844a421f35447c0096f2cb8577
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 16 15:21:43 2020 +0200

    websocket: use signature macro instead of offsetting inside server hdr define
    
    - pass rcv info structure by address
    - remove function name from logs
    
    (cherry picked from commit c0e687d820f9bbf2b6b1ef6892e5b34c30f25a63)
    (cherry picked from commit 3a288421dbbffca9952200533668a653d6a4c170)

commit 82e8f89fe3f7f4268495a2260c06e3d9f59358ee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 16 15:20:45 2020 +0200

    core: define macro for signature to be used for server and user-agent
    
    (cherry picked from commit d26ccdea61230bfc7720a2523c7b6dd8d2692d6d)
    (cherry picked from commit 34eafd03b97c857682f9177ec4d7d1f983ff5bf2)

commit 787a4726b85898c825e4782054a1e0c9f96baf71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 15 16:51:50 2020 +0200

    rr: updates for outboud module api
    
    (cherry picked from commit 6aca846dce4b797a66aaa865fb5a1e81f7806b4c)
    (cherry picked from commit 749dcc5b6d03889609685957538dc90bccce5703)

commit 386285a75da5fec4e1bc44967200600faae4f71f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 15 16:51:41 2020 +0200

    path: updates for outboud module api
    
    (cherry picked from commit 97c7081df94eaabd8e48b084671ea831b5ec9024)
    (cherry picked from commit 8ca76f01711e59fd1567bfcbd785cb0b7b8b3942)

commit 8eb99e94d4cc8411b3265259429b664a77ee27b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 15 16:49:17 2020 +0200

    outbound: pass recv info struct by address
    
    - fix performance inefficiency for passing large structs by value
    
    (cherry picked from commit 56ea88ef9a0628d7ca644f31840101ffe573e5c3)
    (cherry picked from commit 40e3773f28faf392475b142f54f301d7c0ec6f6e)

commit ea10a5f8f65a3bfa2c6a1dbbc413676cde128412
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 21:21:51 2020 +0200

    pua_reginfo: free xml doc in case of error
    
    - a few whitespacing fixes
    
    (cherry picked from commit 7ae675bd90b4420ebaa17768c97aa09219f53116)
    (cherry picked from commit 88935e040472ac0b5633173dfcd97251c09fa5c2)

commit a79403f99a59b4cf829139ec1a0b32647497a125
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 21:15:51 2020 +0200

    evapi: cast to void* when printing logs with pointer value
    
    (cherry picked from commit 4ad790f697554332ea590793d3ec56e13437e82f)
    (cherry picked from commit 129986178fb1e11e1e3132155445c16f7ba8ac78)

commit 41359f55bc70d32896b6a9bfa47ff338d08a2770
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 20:37:09 2020 +0200

    tm: safety checks for branch request len
    
    (cherry picked from commit c45913497f222c67bcccdbc8724b25bb083c556f)
    (cherry picked from commit 4f9f7160511a5f9301e2fb5764d857f58eb8f95b)

commit 7d67062d4d0bc310501dc4dd7d96b94920e8d36c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 13 18:35:56 2020 +0200

    misc: examples/kemi - small typo in lua example
    
    (cherry picked from commit c1d3fdb31871078b666278a933dbab20a0a8dca3)
    (cherry picked from commit c90fb35fbd5091e929f8b3b5064d8fe9ef674487)

commit f2a987a8c4aacb1538f44b890f922d495ef103f6
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Tue Jul 14 14:13:00 2020 -0400

    db_redis: fix unfiltered table deletion

commit ba8effcc6189404d368543215b8aa992f41b8d3b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jun 11 12:47:04 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 5a57dfd53cf1118609c947e1ef7a2bdd9a3597db
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jun 11 10:45:00 2020 +0000

    ims_charging: fix errors in docs, add missing parameters
    
    (cherry picked from commit d4f3d0e705f38c61c842c5f6a367a9768e592965)

commit 32c110cea12f3653b4d110d307e17df42bd79b6a
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jun 10 15:36:48 2020 +0000

    cdp: better compatiblity with certain Diameter servers
    
    - better compatiblity with certain Diameter servers
    - some Diameter servers do not include Supported-Vendor-Id AVP in their reply
    - assume in this case that the server will support our proposed applications
    
    (cherry picked from commit 1a462ed4cffddd5f691b33adb859c286a0c074df)

commit 696e5981bdb791f4662076a42687a2087d33b605
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jun 10 15:31:13 2020 +0000

    ims_charging: initialize ro_forced_peer variable
    
    (cherry picked from commit 7cae3e5e0df27bf3481cbf0680bf86902359a97c)

commit ade490584600be4715ea7a6fd93ba9fbcdce5be8
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jun 10 11:50:51 2020 +0000

    ims_charging: fix missing line-breaks for log messages
    
    (cherry picked from commit 508786fcdbbc120215b3e7dd90d92ab40c3b1e4e)

commit 25940655eebdb3a3b50aee01f29b23701d71d538
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jun 10 11:35:37 2020 +0000

    cdp: add missing line-breaks for log messages
    
    (cherry picked from commit 32a0d8073eb1b7f01190d305d318b43268811be8)

commit c9ad77e7d0ff7fb6ff4b9763cdea9b84f5ba739e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 7 09:20:48 2020 +0000

    dispatcher: don't reset load table when adding/removing a destination or reloading the list
    
    - manual backport from 4099a6caf856c9a

commit 75fdcec6241fc4439805f7781114d1f44cbe2528
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 7 09:14:44 2020 +0000

    dispatcher: sync on load management operations
    
        - use locks to increment/decrement call load and get least loaded dst
        - GH #2322
        - manual backport of d14833d9d1a

commit 50f60972abbde849c3e637cece7b08777ff3a515
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jun 5 19:46:32 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 144aeaa5fd7392f5ebcb4e601c3a23d5f7ba86fe
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Jun 5 17:29:17 2020 +0000

    siptrace: extend docs that force_send_socket parameter is only used for HEP mode
    
    (cherry picked from commit 1b27855539f42f5dece0232c90ee0857ca012ebd)

===================== 2020-05-13 Version 5.2.7 Released =====================

===================== Changes Since Version 5.2.6 ===========================

commit 2bfdc008a5ec6bafa0746854e0576543d630461d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed May 13 13:18:06 2020 +0000

    pkg: update spec files for obs and alpine to 5.2.7

commit ef6a2a7eded3ce5eaf2a881b5a1f72b707de3204
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed May 13 13:17:49 2020 +0000

    Makefile.defs: version set to 5.2.7

commit 582d4c9cca243843c45b736f69a480af9f269238
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 12 19:52:52 2020 +0200

    core: explicit cast to (void*) for %p format printing
    
    - c standard required that for a defined value and in some cases the
    code analysers complain, especially when reading the value via
    socket/file descriptor
    
    (cherry picked from commit 730f65c06d0b8436e4a9cd0c1a62d2433819dc45)

commit 79bc074ec4bb1c9b8d008104526827e1f80a2578
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 9 13:53:19 2020 +0200

    regex: leave enough space in buffers for parenthesis and -ending
    
    (cherry picked from commit 9cae069832c8f37ebf9e686b3fbcab5d63652755)

commit e00f0b567a1f1891fe23bf2a21b1c857f9ed7804
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 11 15:06:26 2020 +0200

    cfgt: fix implicit declaration of 'strcasestr'
    
    > cfgt_int.c: In function 'cfgt_msgout':
    > cfgt_int.c:863:21: warning: implicit declaration of function 'strcasestr'; did you mean 'strcasecmp'? [-Wimplicit-function-declaration]
    >  863 |  if(buf->len > 7 && strcasestr(buf->s, "OPTIONS")) {
    >      |                     ^~~~~~~~~~
    >      |                     strcasecmp
    
    (cherry picked from commit 361542a953ceaab1894f790e21eecf74008b749a)

commit cd6a3035c1fca7783b9996829fe2c89f4b81b8a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 8 21:28:01 2020 +0200

    core: safer truncation of hostname using memcpy
    
    (cherry picked from commit aac577a4655ebf09d5cbef3e1a49f72d25ea57d7)

commit 23abc1faa014e4a6ef3cb3bca64a33e7786c852c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 8 18:01:13 2020 +0200

    sipdump: safety check for local socket pointer
    
    - use generic address is not set
    
    (cherry picked from commit 3e969a5b4d9a75d082f7d59b0fa1dc6362391675)

commit ed089ab7a65b268e0b519ab3ebd889f2a2193030
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 10:25:28 2020 +0200

    app_python: use -fno-strict-aliasing for gcc
    
    - python2 is known for not confirming strict aliasing
    - it is EoL and likely not going to be fixed
    - GH #2298
    
    (cherry picked from commit 3366bf4f3746285d9dc29e8a2461f53983f0acf0)

commit 1b9fb8a42d9b1f6e66e403af494ecafc388e18c2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 09:36:36 2020 +0200

    redis: init variables to get rid of compile warnings
    
    - GH #2298
    
    (cherry picked from commit f1de08eef86dc2cd98509c90fa8b28212d47ca37)

commit 9c14f4bca395a0fbd1cc3b62d0c6651098e94639
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 12:38:20 2020 +0200

    tm: do not return if kemi callback execution fails for t_continue()
    
    - have same behaviour as with route blocks
    
    (cherry picked from commit 2161f0cc316af0e1153b01f327d0e7c50523060c)

commit 094719a56211e826cb0b26ef5ac7cffb86e5f35e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 11:58:23 2020 +0200

    nathelper: docs - fix ending tags issues introduced with previous commit
    
    (cherry picked from commit 288f1f17cb36cd69ea2daed7afcaa859ccc72d58)

commit d3a617a3bf81e9665d6d6da236970386a7c33935
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 09:54:48 2020 +0200

    nathelper: docs for nat_addr_mode parameter
    
    (cherry picked from commit 9721922e2e47f3e8403bc540ecd73b55f41d5d91)

commit 7c237acb1f5f7b4ddde21d8f3700d44aebce7393
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 09:40:42 2020 +0200

    nathelper: new parameter nat_addr_mode
    
    - if set to 0, default private net addresses are checked by
    nat_uac_test()
    - if set to 1, other reserved net addresses are checked by
    nat_uac_test()
    - default 1 (reserved addresses are considered not routable)
    - related at GH #2277
    
    (cherry picked from commit a10e7652f24bc7ed8e74ff27d16da5d77689b6ac)

commit 8bbe86b45d80cbb0be96979b0634db3afd119ab1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 15 13:33:07 2020 +0200

    core: data lump - updated comments and param names reflect better the purpose
    
    - coherent whitespacing
    
    (cherry picked from commit 36d55b1fca14eb1a055dedac2e3cdb81b48c3a22)

commit 6dba53cbcae5ad5f2b796cd81383973bde853844
Author: fredposner <fred@qxork.com>
Date:   Mon Apr 13 11:49:06 2020 -0400

    tls: fix typo in documentation
    
    - params.xml: replace "private" with "private_key"
    
    (cherry picked from commit ad91985849e46beee757d48ee9041b81bef9bd81)

commit 9b2b3679129c2fe1e9fe0ca4124308f543f47bdc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 8 12:45:07 2020 +0200

    rr: docs - updated ids for xref linkend
    
    (cherry picked from commit 62a2553043f81cd47f611d2829181604488a4b0c)

commit 0ec5987ffedcee6dfe00a5fe1c233cdbd4e9c119
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 6 20:43:57 2020 +0200

    siptrace: docs - fix siptrace control command example in the overview
    
    (cherry picked from commit 768b0b2c1559211dbc3c5b2e01a25bac8fd2540a)

commit 2c69d0eb1ce460c36adb540676035f383616669d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 31 09:11:40 2020 +0200

    core: parser - removed temporarily remark for module reserved internal flags
    
    (cherry picked from commit 8801ee89856d4a37709869a5c01dfa66988b8f5a)

commit e031f66a6cd431745ec9b58e6b22b9b201fb341e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 13 12:14:52 2020 +0200

    misc/examples/kemi: make reply code integer everywhere
    
    (cherry picked from commit 28be94ea97216ba7ac1420130cc01ebda167c5d8)

commit 59eb7e9efcef2d22d32cf8a9ac57c5148c0ade51
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Apr 12 19:03:52 2020 +0300

    pkg/kamailio: fixed python3 deps for RHEL 6
    
    (cherry picked from commit 5f31a56acd25f892e6275e6ac786677f2eb2be0c)

commit a6fc2a5f726d494e28ff171db83a1361b544fe7b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 12 12:06:52 2020 +0200

    app_python3: Makefile - suppress warning if --embed is not supported by python3-config
    
    (cherry picked from commit 392688fc756a97f65c2433bb6af7adedca4e0abf)

commit 20d7188d253020e82eb6d880c0cc5163216ad12a
Author: Sebastian Kemper <sebastian_ml@gmx.net>
Date:   Sun Apr 12 09:37:48 2020 +0200

    app_python3: update Python3 detection mechanism
    
    This commit
    
      - removes the python calls whose output is never actually used.
    
      - changes the include discovery to use python3(.x)-config. This is
        preferable because it also works for cross-compiling. Calling
        python3(.x) directly will always provide host flags, which for
        cross-compiling is not feasible.
    
      - updates LDFLAGS discovery to also work with >= Python 3.8. To
        achieve this python3(.x)-config is first run with the argument
        "--embed". If this does not succeed (exit status 1)
        python3(.x)-config is run again without "--embed". This is the
        method suggested by Python upstream to provide backwards
        compatibility. See [1] for more details.
    
    [1] https://docs.python.org/3/whatsnew/3.8.html
    
    Signed-off-by: Sebastian Kemper <sebastian_ml@gmx.net>
    (cherry picked from commit 05af36d34aa2668780aa111878206c6797fa98b0)

commit 5f5372e3d94db873d810d15154b5d96ce65e567f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 9 13:40:06 2020 +0200

    misc: examples kemi, don't fail if optional modules are not loaded
    
    kamailio-basic-kemi.cfg has some define instructions that can be
    removed ( WITH_MYSQL, WITH_AUTH, ...)
    
    So lets make sure that modules are there in the lua script before
    using the defined routes.
    
    (cherry picked from commit 661fc0193da9e559e22b83b006db3e23345c092c)

commit 47a8be938c39ffb335a36bfa34a9d37cd73e8803
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 9 13:19:00 2020 +0200

    misc: kemi examples, add missing kemix module
    
    change introduced at 01ac570c2fbda800d1e00cd50305739cf0596ebf
    
    (cherry picked from commit e123971726a8d18627091870086ee7d244e9802f)

commit 895df41d33fdec3f090da59a210847df1c0d7000
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 11 18:35:22 2020 +0200

    app_sqlang: docs - fix for rpc command name
    
    (cherry picked from commit a072e170c07370f97716ae719abb35c508d98564)

commit 181c8e3dc6b2aca5eb66f91a7db3c3a315ab4e08
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 11 18:22:42 2020 +0200

    msilo: docs - fixed position of parameter and whitespacing
    
    - parameter position was broken at the end of file
    
    (cherry picked from commit 1e3d7d319d07cd022c374ed2698fb905dacf50b7)

commit 0cbdd5e676aa9f01932182c6b70030aa9ce4c1d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 29 14:17:19 2020 +0200

    lib/srdb1/schema: removed kamailio-extensions.xml file
    
    - file didn't have any content itself, tried to include an inexistent
    extra.xml, which generated an warning for 'make dbschema'
    
    (cherry picked from commit 367a865e7f0c9cd67fda9176add1ca3c0dad2d46)

commit 8149fc45b6188a129440e7ac2754899628617878
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 19 16:56:38 2020 +0100

    cfgutils: use same type for local variable in rpc gflags functions
    
    (cherry picked from commit 5411eda4e44a487479d00433583a68a328aca9a3)

commit 843138e4455c6c0aa0e74b2e3f0d00877f602951
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 17:36:44 2020 +0100

    dialog: functions to search dialog by uuid and keep table entry locked
    
    - helper macros to lock/unlock table entry with dlg cell structure
    
    (cherry picked from commit a4f8c0291bfd32752c0c2c323f618c6ac0c91d53)

commit bccfb5ad45bc58cc77f2a64efc60942816d4c0df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 17:48:39 2020 +0100

    dialog: exposed functions to search dlg and lock table entry
    
    (cherry picked from commit 125031daeade9dab5c36b912dda65700d95c4c6a)

commit b150eacb841b1a7565b763767eb790f3df3aecf0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 17:57:48 2020 +0100

    dialog: dmq operations under locked dlg table entry
    
    - protect against races that could be due to rentransmissions or other
    parallel processing cases
    - related to GH #2224
    
    (cherry picked from commit 8965ff07f2e9fa105fc56896eed9caf4b6faf261)

commit 60092cc36f8e1b0869d16b1e684cf3f6eec78935
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 15:27:46 2020 +0100

    sst: debug message when setting timeout avp
    
    (cherry picked from commit 56ed5c028bd97837c7a9e0017a2599f09554211f)

commit 889938f19a5b012f149f6e853c40211e075dec67
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 15:05:17 2020 +0100

    dialog: detailed debug messages when resolving the timeout
    
    (cherry picked from commit 20013e4e2bf1a5d5ce8535e07320dca034639286)

commit 9e3e24726e9c60b3e61b3a46366cfa902b6adeae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 20 17:10:05 2020 +0100

    dmq: init worker structure in chid_init for PROC_INIT rank
    
    - have it ready when other processes are started
    
    (cherry picked from commit 21bdbff049571ca22f1205a041c8b1162005d319)

commit a18f9ae5110207b0d99283cd987aebafe3470a2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 17:01:49 2020 +0100

    dialog: keep route block index as signed int
    
    - otherwise it can be broken value when route block doesn't exit and
    kemi callback should be executed
    - reported by David Escartin
    
    (cherry picked from commit 6c557efc1b9cb8c880a05235c94780bbaf305073)

commit 0b33f3b2cdb5950c816723cb310b2844a5c13a2d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Feb 23 21:45:48 2020 +0100

    core: better debug logging in mk_action function
    
    (cherry picked from commit 10b96696b82d2e70c15f3e4bc52097f0a5062499)

commit 990e0f3d0a483c9bdc52de538d5e9b5a0fcee660
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Mar 7 11:35:55 2020 +0100

    core: remove compiler warnings [-Wstring-plus-int]
    
    > core/parser/parse_fline.c:93:34: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
    >               strncasecmp( tmp+1, SIP_VERSION+1, SIP_VERSION_LEN-1)==0 &&
    >                                   ~~~~~~~~~~~^~
    >
    > core/parser/parse_fline.c:121:9: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
    >       } else IFISMETHOD( INVITE, 'I' )
    >              ^~~~~~~~~~~~~~~~~~~~~~~~~
    >
    > core/parser/msg_parser.h:131:35: note: expanded from macro 'IFISMETHOD'
    >              strncasecmp( tmp+1, #methodname +1, methodname##_LEN-1)==0 &&     \
    >                                  ~~~~~~~~~~~~^~
    
    (cherry picked from commit 2b070a622fa3c78d929580fda3c7952963c4066b)

commit 8a06a8e456c1a6cd7deb7626efb012ba2eb8c113
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Mar 7 11:57:40 2020 +0100

    core: remove compiler warnings [-Wstring-plus-int]
    
    > core/parser/parse_fline.c:241:17: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
    >                                        SIP_VERSION+1, SIP_VERSION_LEN-1)) {
    >                                        ~~~~~~~~~~~^~
    >
    > core/parser/parse_fline.c:241:17: note: use array indexing to silence this warning
    >                                        SIP_VERSION+1, SIP_VERSION_LEN-1)) {
    >                                                   ^
    >                                        &          [ ]
    > core/parser/parse_fline.c:247:18: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
    >                                        HTTP_VERSION+1, HTTP_VERSION_LEN-1)) {
    >                                        ~~~~~~~~~~~~^~
    >
    > core/parser/parse_fline.c:247:18: note: use array indexing to silence this warning
    >                                        HTTP_VERSION+1, HTTP_VERSION_LEN-1)) {
    >                                                    ^
    >                                        &           [ ]
    >
    > 2 warnings generated.
    
    (cherry picked from commit f2959f422bb8171241728f5148d4b21c9cc2c681)

commit 71c692abb4a17d799cc162860ebd329747d3fee8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 19 10:59:43 2020 +0100

    pv: do not set ending '\0' for port value in pv_set_ruri_port()
    
    - it can be a reference to a static string, ending up in a crash
    - GH #2258
    
    (cherry picked from commit 1f76bca74839f35d11f42edf758eb046cedb752c)

commit e0d8e300ccb6a4fa54ab15f558a4017a2d5bd5b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 23 09:57:05 2020 +0200

    db_redis: var initialization and safety check to avoid compiler warnings
    
    (cherry picked from commit b9b177ccffd58b11cf460764514486d29637dd55)

commit 870f2cc861fde0ed0f8bc3322bbe097f10d0b956
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 23 19:04:58 2020 +0200

    dispatcher: handle the case of maxload 0 for call load distribution
    
    - GH #2297
    
    (cherry picked from commit 0115d3424c0f8780a661882527f39b2b39d0e74e)

commit 670ca687be62d130c4db38563eefa01360880f0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 09:00:21 2020 +0200

    permissions: docs - note about netmask value 0 in the database column
    
    (cherry picked from commit 8729a55f00b8ba6adbf97921ef09d56080145810)

commit 87e8cfa00bf2d21aa4267dd8b1c8df70c0eef4a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 10:47:48 2020 +0200

    pdb: covert byte-by-byte from buffer to short-int to avoid unalignment compile warning
    
    - GH #2298
    
    (cherry picked from commit 86ebb4eef482b37a3bb8bf033caa4d87fd8aeb87)

commit 4f94de7f26482002918cbb25c0d045e4008d5696
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Mar 29 11:27:07 2020 +0200

    lib/srdb1: fix warning about wrong namespace in version.xml
    
    (cherry picked from commit d4311f3dfa3fc6c3836e8573fb12bc2ae4b6c264)

commit 8764cbf3af221fe6ce6ec3c29eebc6f40844205b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 09:19:30 2020 +0100

    corex: docs - examples with setting xavps for via functions
    
    (cherry picked from commit 1e58a56cb7f9d83ca0c943481d02c429d33e188a)

commit 40a540f8ec966d0ed1ec7fffe1ce609f6f2c9b6c
Author: Greg Troxel <gdt@lexort.com>
Date:   Wed Mar 18 19:03:08 2020 -0400

    Makefile.defs: Only add -ldl on systems that use it
    
    kamailio uses dlopen, and on some systems, one must link with -ldl.
    On others, this is not needed and there is no libdl.  For now, simply
    omit -ldl on NetBSD (which doesn't have or require it), and don't try
    to change behavior on other systems.
    
    (cherry picked from commit bca9768b6f2667bad8472fa99a113b8249ca0f9a)

commit beb772654d0602cd2f146b60b8c000ff3bea754e
Author: Greg Troxel <gdt@lexort.com>
Date:   Wed Mar 18 19:01:52 2020 -0400

    Makefile.defs: On NetBSD, link with -lm
    
    (cherry picked from commit 3ccaac365da6078a96681109efebc70dcb12fc55)

commit f140b9e04021fe6957c1a8712025847cb776af57
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Mar 12 17:53:02 2020 +0100

    sipcapture: fix spelling errors
    
    (cherry picked from commit cc1142fcc15e0875d309de894a239325526fa186)

commit c77a9efc7295fed897de805be08f00260012efef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 14 18:16:34 2020 +0100

    kamctl: cmd trap output file with txt extension
    
    - easier to view inline when sent via email, without extensions being
    binary encoding and requiring explicit download
    
    (cherry picked from commit 41841dfc153894a97609bdc95d78a12cb2b304ca)

commit ab544f384da96fbed41b5856b0b5698d6a000ebc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 18 18:41:52 2020 +0100

    kamcmd: Makefile - updated the msg target to print pkg-config detections
    
    (cherry picked from commit 331ffea6c8c8b2c7cf38e3d7eda882a6becd326a)

commit 22c79b10542f004cce245a7412ccf5a8b9a4cbf6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 18 17:39:18 2020 +0100

    kamcmd: use pkg-config to get compile flags for lib readline
    
    (cherry picked from commit 0e6e05f8bec1fb451375d71a6b929a6908c5689d)

commit c1e9fac3284c84110cbf1406313acf3d374e9b80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 18 14:51:46 2020 +0100

    dispatcher: docs - added modparams for keepalives in sample config file
    
    (cherry picked from commit 6fb8cb820207e51e7e6ae07020c17c32b9fa9aa0)

commit a701a78df5b0affb267153ffa878f7d85d51d7cb
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Feb 17 17:09:36 2020 +0100

    db: update README describing the DB XML framework
    
    (cherry picked from commit 25e61922244ec9c438fc472500472b59d191093a)

commit f26f42712a447b033792ce3e514c70d50064ecb6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 22 10:55:20 2020 +0100

    topos: skip http reply handling
    
    (cherry picked from commit fad795648f8cbf12cc099dea18092ff7beee9c75)

commit dcccf002cc21af47d654d7e298147ae1f4158bcb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 22 11:18:06 2020 +0100

    topoh: skip http reply handling
    
    (cherry picked from commit 345d6f67006e4254300209742a2778b925cafaf7)

commit a325bf7ea5bec95d3ddb638c852e46a122003a7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 18:42:23 2020 +0100

    rtpengine: replaced rtpproxy with rtpengine
    
    - avoid confusion in printed log messges
    
    (cherry picked from commit dda07c69420e1a38948dae4b71f8005b2375253b)

commit 003c9ea66ae77957899776d10b0ef291b5fefb00
Author: Zero King <l2dy@icloud.com>
Date:   Tue Mar 24 11:11:54 2020 +0100

    nathelper: fix zero-length log placeholder
    
    (cherry picked from commit 69714b26c63c75df6759f9158c7181d4f86b4764)

commit fdefbecdce5a7153a89e29e0750dfc266d70b251
Author: Zero King <l2dy@icloud.com>
Date:   Tue Mar 24 11:12:25 2020 +0100

    rtpproxy: fix zero-length log placeholder
    
    (cherry picked from commit 030f18b5cffeb117dcf582cf12c5b3c35ace1469)

commit fd4d00868e3527a9841db38d0b4216cce27ac519
Author: Zero King <l2dy@icloud.com>
Date:   Tue Mar 24 11:12:39 2020 +0100

    rtpengine: fix zero-length log placeholder
    
    (cherry picked from commit 740afac15b3d8d618b5101a761a37f5808d4b4f0)

commit 8cc08c3a217bcd1aa4df472773dde44d7c5c9f74
Author: Nathan Bruning <nathan@iperity.com>
Date:   Tue Mar 24 11:24:28 2020 +0100

    core: fix returning multiple IPs for a cached DNS entry
    
    (cherry picked from commit 29a35ec3cec8b9c3ee4b45c8d84308701bda097c)

commit ff5280155c1740f61990949e45e5492dd32a6f55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 24 14:50:58 2020 +0100

    sst: docs - more info about how timeout_avp is used
    
    (cherry picked from commit b800ffb9fb1de6ee0d7b6c2b42a25669022c1142)

commit ee52f834092d6e2fd8e80f110ec05e71dfb2e69c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 24 15:23:10 2020 +0100

    pike: docs - aligned ip tree example
    
    (cherry picked from commit e65ce2fd407626acc89879033a2114cf521457dc)

commit c81fc143ea2b90573112f4e3aad23b7985c0e610
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Mar 23 18:28:49 2020 +0100

    textopsx: small spelling fix in docs
    
    (cherry picked from commit 53ccb420c0414a12af0783add864bb4d97a65d90)

commit 0b6f5d890da1b20c43a15d5ce980a0ef6cd89af2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 12 11:14:09 2020 +0100

    kamctl: kamctlrc - fix CHROOT_DIR example and coherent use of ## for comments
    
    - ## is used for explanatory comments
    - # is used for commented options
    
    (cherry picked from commit 517b3be4b06473d1d64d1fe198c4a9c149bcc1b0)

commit fbcee7886e704d5f83eb0ddaad0b4f6a0e350e59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 22:27:43 2020 +0100

    tm: safe list iteration in tm_clean_lifetime()
    
    (cherry picked from commit 325a45e846faae3e5dfa333727d5fab294e44dac)

commit 1cc1cd9d1f921af74aaf4355b860605498c7ac65
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Mar 5 18:13:33 2020 +0100

    core: small improvement related to commit 5e42adae624f9741 in cfg parser
    
    (cherry picked from commit f879b4c4d75777892f160d8abe639c6f15f68569)

commit f1c05b27544736f9f7f4db25072e62e1acc54542
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Mar 5 17:31:00 2020 +0100

    core: initialize memory to 0 in cfg parser in a few more places
    
    (cherry picked from commit 5e42adae624f9741e26dfb0af4accede2a8f92d2)

commit c291d25b4da3b13eee49121f30947b12ea8562e1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 13 09:50:27 2020 +0200

    pkg/kamailio/deb: version set 5.2.7

commit 08889eb0cf8986920fdbd81ce5097913296a6fd3
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed May 13 12:31:53 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit aead6cc11323d60d51ca9423b7bb453f50b12706
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Tue Apr 21 13:55:36 2020 +0300

    ims_registrar_scscf: fix aor generation in lookup()
    
    - Generate AoR in lookup() from parsed uri user and
      host. Skipping all user's and host's parameters.
    
    (cherry picked from commit e53b25f89a14aba93d3c48a1b2f983114db1760c)

commit 7a605d11bf92a4b3476e1523ae23de460d929fd2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 20:27:14 2020 +0100

    auth: safety check for auth header pointer in pv_auth_check()
    
    (cherry picked from commit ea2ea2f8274eda9d8d7055b22fab8910cd773a19)

commit fcd3938267fce229784ca1afae19fafc2db121cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 25 08:36:40 2020 +0100

    dmq: use PROC_RPC rank to init the worker process
    
    (cherry picked from commit f2a4fd419c27b99ce4ff6f93dc3f235d4f74a33c)

commit 05083ee454b8a8cc3d22b5869b609add777de1b2
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Thu May 7 12:49:20 2020 +0300

    ims_usrloc_scscf: extend and fix log messages
    
    (cherry picked from commit b2487d95f61b46033eb2825c5f54d5f19ca1e878)

commit 3218f623f98d0fbeab0288f88200c4b2553e718f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 26 10:38:23 2020 +0100

    rtjson: fixed the updated example
    
    - included invalid characters for xml text, rendering empty readme
    
    (cherry picked from commit a23476600666d0cf0604a6a7e3212fa5b1223af8)

commit d6e84f7da6b9f2689fdf1dc82ef9006bc0b4a8cb
Author: Mathias WOLFF <mathias@celea.org>
Date:   Mon Feb 24 19:57:42 2020 +0100

    update example using IP address reserved for documentation
    
    (cherry picked from commit abecca7f6515a454b3394ec0df7f535a6a52e1e9)

commit a1f7ac2248df18fb0dde008829d74138599b6505
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 3 10:39:22 2020 +0200

    misc: examples/kemi - missing parameter in kamailio-basic-kemi-python.py
    
    (cherry picked from commit 6b69754f28ab8df61852b9f8695e59305a7c6c3a)

commit ef1bb542986c525205a673aab62963f7cb068d57
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 17:26:39 2020 +0200

    htable: docs - more details about size attribute for htable
    
    (cherry picked from commit 35f711e6ec74c6e67edf99adaa15cc353f2ce949)

commit f7d2e93cd6f8f1cf88b0a8f6d9444e74b4024a2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 08:18:58 2020 +0200

    kamctl: kamdbclt mysql skip creating dbrouser if same as dbrwuser
    
    (cherry picked from commit 66ef7ab7b078794b96ecee13f6867d5f90a8d63e)

commit 4bc4bef58e7e2251f10669883ac82b04d2021e71
Author: Semen Darienko <semen.darienko@wildix.com>
Date:   Sun May 3 12:26:45 2020 +0200

    core: dns - use all NAPTR records
    
    - enable using of all NAPTR records instead of the first one ordered by
    priority
    - GH #2290
    
    (cherry picked from commit 28049aafc8dd06c160ce5e7b8d5e4fc728441b0c)

commit 642f92276bc8690a473f71b129a884efa54f37bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 6 17:15:36 2020 +0200

    pua: use file name specific include guard
    
    (cherry picked from commit 076649793bfdbdc4f03f96961f23997c87ce4268)

commit 3a3f82e22954d3d9801c006334a87ccb080089ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 08:07:14 2020 +0200

    snmpstats: use file name specific include guard
    
    (cherry picked from commit 13622cf6e36e50c42ec882272b1c48107fa55677)

commit 13f7c148c5258371446a8fe0cf2a8e723e568bb9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 08:06:56 2020 +0200

    ratelimit: use file name specific include guard
    
    (cherry picked from commit 68b5b3ce5b8ae38ed5ba7731ae1a6315adedd0e5)

commit 4b2499054d78e790d76dbf3c6d2ae20f2f79a489
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 08:06:31 2020 +0200

    pipelimit: use file name specific include guard
    
    (cherry picked from commit e4356d56d57599ff063e6849cab8cab5267d26e0)

commit db6a4e0f942ffb44ebd09ade3cb4c8aad1b1b3b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 07:59:32 2020 +0200

    app_sqlang: use file name specific include guard
    
    (cherry picked from commit 9a2fea75dcee851b1dc22e5a9e7a6ee0d05814ef)

commit d892e82095b5538b64efcc68e8ecb9ad7ecdb63b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 19:38:07 2020 +0200

    usrloc: use file name specific include guard
    
    (cherry picked from commit f4f66ad91324116e5d4e9e02fa9caedcad2b2d2f)

commit 7fdcc9e5ca5c3077b59cbe1199f54467db5b6c99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 19:01:21 2020 +0200

    uid_domain: use module specific include guards
    
    (cherry picked from commit b3c981db67845622fb8c85a20e18e1b98c29eb69)

commit a134dd99ed43a9701bde4e19c61a41b533052aff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 18:35:00 2020 +0200

    core: hash_func.h - use file name specific include guard
    
    (cherry picked from commit 9691f6e0cab48114ef4067a22cc8f9c1efb8944c)

commit 05f89d395803dad9c8fa6e08f032ece618f4716e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu May 7 18:45:04 2020 +0000

    tm: small spelling fix in comments
    
    (cherry picked from commit 1d555161195ebccd35534f8533eacdcbba7020fc)

commit 077b395f9562fd119974e7fe8f4b5db6d23f1dcb
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue May 12 09:08:33 2020 +0200

    TLS: Try to always refer to OpenSSL as "OpenSSL" instead of other names
    
    (cherry picked from commit ff887fe5d0d7cec7fc0640a54c80b322d421ed36)

commit 0bb4c39ca2ff7324d70336b438861f2357cefaea
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue May 12 09:07:02 2020 +0200

    TLS: Fix TLS session id example to match source code
    
    (cherry picked from commit 70bcb5f88dc87e27940cc71e293d1c68a7717af6)

commit c076756dd4e7fe17b8dedd656f9d30e43b4eb275
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue May 12 09:05:51 2020 +0200

    TLS: fix typo in docs
    
    (cherry picked from commit f75e64b2335fcf07c3371a4108063e8c0a3a52b9)

commit 1cedde96d36c24e6fd2f1a98d6ea9a20472cdecc
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Wed Mar 4 10:19:57 2020 +0100

    websocket: docs - fix title for parameter rm_delay_interval
    
    (cherry picked from commit c4a566bf8df05b55a690a4ad9ea5f5dfe8961e0e)

commit 93d19643fa01c821ca653c7d10f5904656e46b9f
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Wed Mar 4 10:16:27 2020 +0100

    usrloc: doc fixes
    
    * add doc for parameter reg_id_column
    * fix title for parameter partition_column
    
    (cherry picked from commit 305ba1b23bae19a4042c3e8fa88451b47ac69ff5)

commit 55ee4b0ec44b57612653188ea6394f269f47138b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed May 13 11:46:39 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 5cad26c5bef19de73feba84668b2f8b68fc99647
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 11:14:26 2020 +0100

    ims_qos: more extern declarations in the header files
    
    (cherry picked from commit 7bea30203b85b7ed17434ee3f301faa0cedcba76)

commit f00711733b071709fcffb874f80426d3a34dfc10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 12:24:48 2020 +0100

    pua: extern declaration of global variable in header file
    
    (cherry picked from commit e260447833f616066e0fa23e51e791822b55b039)

commit 39615a12aba6834b34041812f87156b0c03f76b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 6 07:02:18 2020 +0100

    ims_ocs: declare extern global variables in header file
    
    (cherry picked from commit 13da8cf58a2abfcd87a48fbc963d4e1a26d60085)

commit 94268c1e65c3f2414b4b22eab2a677c9e3e31668
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 7 11:54:01 2020 +0100

    janssonrpcc: use extern not to declare tmb global many times
    
    (cherry picked from commit 6bb1e84907a6c8bdb0c72289bad7b9915c9b3385)

commit 9a90b41e636af948326bb552e4fb62804694e62b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 8 20:23:32 2020 +0100

    pua_reginfo: extern declaration of global vars in header file
    
    (cherry picked from commit 7afe5b9837d38cd77f75c3028c9134673c95404e)

commit 2d80f8984dd2f8a13468b0b961d4d3c886995193
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 9 08:27:15 2020 +0100

    app_python: declare global vars extern in header file
    
    (cherry picked from commit 9cc9576c025c541264a3679618bb2be8d108a9f6)

commit 2bc21c1dc24418a0228908ac4212ac17c5021320
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 9 08:27:47 2020 +0100

    app_python3: declare global vars extern in header file
    
    (cherry picked from commit a771d9abd9ce97228efa7a0dfc9c4d89690e9b38)

commit 19fcac6a792823ecf4fd360962650f62775d0cf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 6 16:28:51 2020 +0100

    ims_diameter_server: extern declaration of global vars in header file
    
    (cherry picked from commit 19263243127c40d0418ff04e56048d31e9dd9d0c)

commit ed81bd378fed68f9e3c117179631222736d58f57
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 05:17:07 2020 +0100

    ims_registrar_scscf: global vars declared extern in header files
    
    (cherry picked from commit a041e94c4dce464737d6531d11fbe4d61292d7b4)

commit 225536c1254d9bee48f7291a9e01c273919d35da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 11:22:19 2020 +0100

    ims_usrloc_scscf: extern declaration for duplicated global vars
    
    (cherry picked from commit 1bbab692b749feee7f23a6c5c3fbee1ac890fffa)

commit e6bd029c33c36a8de28ed630d6009bd0494b9329
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 13:45:36 2020 +0100

    ims_charging: use extern to avoid double declaration of globals
    
    (cherry picked from commit a13d49fb099dd5e8d832a0559a8e69aa8c61c1ae)

commit e2db44b2fbc6cd05e557e63d3f606ea1b7c62e5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 15:08:25 2020 +0100

    ims_charging: extern declaration for cdpb
    
    (cherry picked from commit 9cd1cec4dedadcfcd50322c4709c4844a3db2f4f)

commit d1f187b78956ca8f515d31c36cc93708ec34ca98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 2 10:21:23 2020 +0100

    sms: removed duplicate declaration of global variables
    
    (cherry picked from commit f8284418ea7d16dec970260cb92eb1af35bbf643)

commit 2c4601d767c65da651d33411c28a3366bc361ffa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 09:11:59 2020 +0100

    sipcapture: declare extern heptime in hep.c and init it to null
    
    (cherry picked from commit 16bc15156ecc8a8f4f66c44b064db854d0e3e4e0)

commit 76b5cf2dcd16e9496ba97fda947dcc433494e1c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 10:34:02 2020 +0100

    cdp: global variables declared extern in header file
    
    (cherry picked from commit a88cf96b8ba3358c08e0e210f76320f6d7926b7d)

commit b91953f88b4ee5343393172531c2251e1a669f39
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 11:40:40 2020 +0100

    ims_dialog: declare extern dlg stats structure in header file
    
    (cherry picked from commit 15d5676fd7b6d64616fbf8ebf9517f0d56a47f5c)

commit 28f6d74dcfc68b3d7ac680ad0c3e62565c396568
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 13:28:30 2020 +0100

    ims_auth: declare extern the stats variables in header file
    
    (cherry picked from commit 8156dd87a977a011abb9652a997f4ba61eb3e642)

commit 786d18db8a1ad839cdeeda9ebb6419f901df0323
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 17:26:58 2020 +0100

    ims_isc: avoid duplicate declaration of isc_ulb by using extern
    
    (cherry picked from commit 32f37cdc876abcd7127993e079c9a0132d1f6460)

commit 1afb7afde87f1022c10fc9e3796174b89f0a3e1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 07:19:57 2020 +0100

    ims_icscf: stats global variables made extern in header file
    
    (cherry picked from commit bfb717fc8504a079066a0fdc09b856a937a7b430)

commit 199c00984191f73d1e9bf637444740e041ebedb8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 08:28:30 2020 +0100

    ims_qos: use extern in header files not to redeclare variables
    
    (cherry picked from commit df5521fcdfc96462eb191b774f242fe1d4616adb)

commit baff4a1c240362a7ad5af4576df80d950487b37e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    xmlrpc: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 994a8dfc070d84b5dad28fa873d8759280c910f2)

commit 454e441e10f46a1efa590b01df0655d3be8c9d22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    xhttp_pi: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit fe173b2af121b2d6388fea3632037a0ea2999988)

commit 4d01c41746d47d74745161f90ea5d5a5fefaf58e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    xcap_server: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 169ccce5e3cb302352b1e4d5ac0a0dc58eb552cb)

commit 4825182c0fa448cd1dbdf8cf4ba74d0061f90b5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    rls: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit fbfe21f54c7fd845bf9c99c4091980b1ee4d61d5)

commit 64db37850a4c0ab56e2456ca92af08f7e3e4d689
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_xmpp: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit d40a924bd698ddf365b4db52cba2ab45f7d7a6e2)

commit e1a5176caa05f1aa32b9570852c28a776dc2dbe0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_usrloc: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 20d9453cd3259e8afa1de92a7dba1d25f5f43fe4)

commit d1ff8f84d6b420625f62ebe807ab4543b3d8260a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_reginfo: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 7f6648a8586fdfd5a1fdba05556333095bc25777)

commit 35c0a605719386b7d79ca7f1da3695dcbd36f850
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_dialoginfo: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit b4842e81e3aa861739c996ff795b6d7261202b66)

commit b6a9617ca5f9f8b08f2fb7635aa103992efdca1d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_bla: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit e00ce6016afd5c0fba084a19a45fb13353e7f6f4)

commit 148d063edf8993fb7e55234737f0324e3f6446e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 4f43047172260e1a524700a866693f99ea11383b)

commit b3ac786b35b6b70f8c624cc3885676f675d0f58b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    presence_conference: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 8e9e1fdeacc4c1b2b0cd67f1b36d73737dacd015)

commit ffd04724da296fe2dba3c3db9ae9e9ac9329808c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_registrar_scscf: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit ff92622c3b4c6224f75318ba9e39c9b4389bff1e)

commit 4d7dc10923defb7667b96b8015657e12e4569f01
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_registrar_pcscf: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 29573bbdb09412c9cbfe839f0c80b7dd7fe77804)

commit 534931ce18bf01eb82221e8f243cecbf0b084e20
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_isc: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 71e67531194aa867b8f3f32b72d07e1bd4ad7dff)

commit 004e5f20b4a8e329da75df2e35dcbed5358e01b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:07:24 2020 +0100

    test/mod_httpapitest: removed unused xml2-config discovery
    
    (cherry picked from commit b88b2306a0bdd8ba8df92cfeb60eb4032f337f44)

commit d684dd3862277b5d4ff1cd7537002c4b93add4f8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_icscf: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 80f2eb33a967ede3e70fef572dc9b42172ad067c)

commit b4d5bd208d90b5d109dd81532c05c91e31626055
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_auth: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 4d3496fb82df1d249a78365e0c50b4ec13989261)

commit 6da63a2a9473ce21c7eff7954dc3a85d0ea79638
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    cplc: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit f05a46dc79de45c6cb958b845b9f2d85452c4f37)

commit fcb0ac2c47cb9861f38f84c3ecd59cf6aa743172
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    cdp: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 2749962b8354be1731ab68a0ae4aa0fac4f944e1)

commit 96f0cbd8ffab63ddb2e1d0cfb28de17fec90a97a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:08:58 2020 +0100

    lib/ims: Makefile - try to use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 58deac2e7fd62afca409b17903deb951493b213a)

commit aa5bd6dfa556e0fea81172356e97d2e96b2f39e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 21:30:09 2020 +0100

    utils: Makefile - try to use pkg-config if xml2-config is not found
    
    (cherry picked from commit 02cf454fc601dd3b246a8886ec6d86103ad87a6e)

commit 705e1737bf0990858906ec27d079aa444c99ca37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 21:29:53 2020 +0100

    presence_dialoginfo: Makefile - try to use pkg-config if xml2-config is not found
    
    (cherry picked from commit 517283c245be8c35d3c6ee9721fa1e85865b4638)

commit f43cc0fa9110e078405ad4c62b6718ac5953e4c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 21:29:39 2020 +0100

    presence_xml: Makefile - try to use pkg-config if xml2-config is not found
    
    (cherry picked from commit 77ad9e626a8b9f26f3ce904fe35dda70ad4ce164)

commit fea6520b3815e2694ae19c5283a081efd682c51c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 21:29:25 2020 +0100

    presence: Makefile - try to use pkg-config if xml2-config is not found
    
    (cherry picked from commit 5ce9690245e0a075742c7cb8eac1786622c976f4)

commit 6f096013bf782f35e9ea96fc21748842921f8fbd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 20:56:05 2020 +0100

    xmlops: Makefile - try to use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 64d37971d2d3fbd87176fe71ae19adca7f47a6ea)

commit 8c09b29f1a9e577dbf3c42df83e20ad6cb69db53
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 10 18:14:30 2020 +0100

    dispatcher: docs - note about special attributes section for weight dispatching
    
    (cherry picked from commit 7602329391760b2f18d653f46d6a596be1daade5)

commit 3235a04621dbcc3196d7e49641ec73fcebcf0ece
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed May 13 08:47:09 2020 +0000

    Makefile.defs: detect gcc 9.0+, manual backport of 07209c3095d

commit 13f4b108e1a424c42121f752de91fdeca8c0480a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 5 14:20:07 2020 +0200

    ndb_redis: redis_cmd() check reply type to detect command errors
    
    fix #2300
    
    (cherry picked from commit d00b14704805d728f5a845a6af900eff1ed372ac)

commit 4061a1d7cd130a5c3e4236c2abb999658ee02e36
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 15:22:36 2020 +0200

    utils/kamctl: dbtextdb.py close previous opened file properly
    
    related #1747
    
    (cherry picked from commit 5f52f9905bbdf63d636080f7d0340af4f71ed12a)
    (cherry picked from commit e26e587f31eb23c431a2cfb149ec7a86b4f648bc)

commit 0d9c72b27d75fb2e4ec879e855ce141394ce1918
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 15:05:23 2020 +0200

    utils/kamctl: dbtextdb remove DeprecationWarning on test
    
    related #1747
    
    (cherry picked from commit 765efa80c7d27e9447bc1ad8a354ee24723580ef)
    (cherry picked from commit 5a90c8bc600fe9a93a5ce4f828ce50f3bf532b99)

commit a2660fbe2e974553f0146c9ee84fcc6fa2f8f705
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 14:01:33 2020 +0200

    utils/kamctl: fix dbtestdb
    
    some indentantion errors introduced at https://github.com/kamailio/kamailio/commit/bc8bdcaa726f375f6deea8228a1ab0cf97c67035
    
    related #1747
    
    (cherry picked from commit b722a48144ac9e029bdbc2968dedbe56966a3f7c)
    (cherry picked from commit c4dd3218e6b723c688762a5c4253fa70f3f588bc)

commit 23062ed50ea4e6b6e00468cc7f8ec57ccc613429
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 11:33:12 2020 +0200

    utils/kamctl: fix handling of Exceptions
    
    > Traceback (most recent call last):
    >   File "/usr/lib/x86_64-linux-gnu/kamailio/kamctl/dbtextdb/dbtextdb.py", line 1239, in <module>
    >     main(sys.argv)
    >   File "/usr/lib/x86_64-linux-gnu/kamailio/kamctl/dbtextdb/dbtextdb.py", line 1233, in main
    >     except (Error, e):
    > NameError: name 'e' is not defined
    
    (cherry picked from commit 1aca79c43cb8dbd920c1eb81c0c30cf89f0985b9)
    (cherry picked from commit 5f6f4331811e654e75b49263f8fb823bea9874a3)

commit fb937491f4222960a7cddaa73853cb2dd08672f7
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Apr 27 14:31:53 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 6bb5594f23cf10fb149edbfaf044f7ca9de8f7b8
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Apr 27 12:19:35 2020 +0000

    rtpengine: remove obselete auto-bridge flag (GH #2301)
    
    (cherry picked from commit cf084881d79dc18d8272fc4a9f89c0bfc8e1fde0)

commit d27586c58acbee65aacce511907317cd3ac91f30
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Apr 22 16:14:54 2020 +0000

    auth: log correct variable name in nonce-count error message
    
    (cherry picked from commit 75ef2a31ee3abd9e840788a3389cedfac8767cd0)

commit 6fdeb31a535e63fe39509398ad641ccbad8d3686
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Apr 22 15:01:42 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit befc5dcc3607eda3b837197109faeda411bcb549
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Apr 22 12:52:12 2020 +0000

    nathelper: update flag documenation
    
    (cherry picked from commit 95fa98e254ae85b29fa80a8cddde3442b69ca9dc)

commit b6f40ec3016961d9e2f97b40bc6a05c752780b4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 17 19:04:16 2020 +0200

    http_async_client: do not set global avp lists from t on async callback
    
    - they are done by fake_env() used inside t_continue()
    - they were set without reset, living in the process context, resulting
    in invalid access when async callback was executed with faked_msg
    - related to #2286
    
    (cherry picked from commit 1bc3bbd010705ee247345c1ed9b36210bb8d9ed1)

commit a11379790d1477c789fb72360bf2d5a23197fdd5
Author: Peter Friedrich <peter.friedrich@kapsch.net>
Date:   Mon Mar 30 19:02:29 2020 +0200

    ims_qos: bugfix for Rx register dialog callback
    
    - bugfix for Rx register dialog callback
    - In some scenarios like parallel forking several INVITE with identical
      CALLID and FROMTAG sent to PCSCF which inserts dialogues for each INVITE.
    - When 200OK is received in PCSCF the dialog callback must be registered
      for the respective dialog. Currently sometimes the wrong dialog is selected
      by searching with CALLID FROMTAG and TOTAG thus leading to problem
      no STR is sent at BYE.
    - Fix is to pickup the right dialog before suspending the transaction during
      AAR/AAA processing and reuse this saved dialog.
    
    (cherry picked from commit 2768f8ce1cf6da242674e7e40c8e76eb6c630f6b)

commit 91436c9fc402f2038467a18ffa0aa00d1ade12a6
Author: Peter Friedrich <peter.friedrich@kapsch.net>
Date:   Mon Mar 30 19:00:58 2020 +0200

    ims_dialog: bugfix for registering dialog callbacks
    
    - bugfix for registering dialog callbacks
    - in Rx scenarios of parallel forking (several INVITEs with same CALLID
      and FROMTAG sent to PCSCF) and INVITE for orig and term handled in
      same PCSCF (means also INVITEs with identical  CALLID and FROMTAG) the wrong
      dialog is selected for registering the callback (i.e. the callback
      for sending STR) when 200OK from terminator is processed.
    - Root cause is that dialog is searched with callid-fromtag-totag but at
      the time of dialog insertion (processing of INVITE) no totag is available.
    - fix is to get ctx dialog at 200OK processing before suspending the
      transaction - save dialog until AAA is received - use this dialog for
      registering the STR callback.
    
    (cherry picked from commit e2a1b967fd6e2cc92dc1447e1c033f6124aca446)

commit ad4bd72a29c9b3805152970f5eb9761dfc7e7a4d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Mar 29 11:39:34 2020 +0200

    doc/stylesheets: remove obselete company and e-mail address from my name, update copyright date
    
    (cherry picked from commit 446dc8006240050a1e0c13c7094e9f9739cc16c8)

commit 0506dee4af74b5e1190ca1e28b1f4cc4a4f3e334
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Mar 25 14:56:32 2020 +0100

    Revert "uac: also set socket for in dialog REGISTER (GH #2262)"
    
    This reverts commit 09985a448ffd34375be0d93f4b16f17c7dac3dc0.

commit 09985a448ffd34375be0d93f4b16f17c7dac3dc0
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Mar 24 22:42:59 2020 +0100

    uac: also set socket for in dialog REGISTER (GH #2262)
    
    (cherry picked from commit a752411df65b93f82aaad43a767cff102f5a6100)

commit 3858b3057c8a145975556504bbe307cd5383ad28
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Mar 14 21:32:00 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 4b2bbaa4b75545de75877c24bb101bfad5bc53dc
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:14:04 2020 +0100

    cdp: docs add missing parameter
    
    (cherry picked from commit 8668d43ccc814867be9716a548c9d3a4cbf0f3d9)

commit 7a394732892eb823a5f0440cdc2de2115565c113
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:32:32 2020 +0100

    nsq: docs fix parameter name
    
    (cherry picked from commit e907b53374ead5ec03a01f8a04ff69e70bd0356c)

commit 77e51115dedc16d81c4239b7dcb2c99fb42cd785
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:24:22 2020 +0100

    sms: docs fix parameter name
    
    (cherry picked from commit e9d4ab30419460175fe76b82c58b26768ea4ef57)

commit 4dd1ec7687223623d47a45f1fdaba60ccc4d9c2c
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:21:59 2020 +0100

    msilo: docs add missing parameter
    
    (cherry picked from commit 34263c603a0b08625c3769a0c5f91012c4a4618f)

commit 15adae7c20dce82284cc296439314b8890455b37
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:19:37 2020 +0100

    xmpp: docs fixes
    
    (cherry picked from commit bba1b9a10d76d8380f3d27dd0120ae902586e481)

commit 094f4882f7302c5defc474f358b00a00e768412b
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:19:14 2020 +0100

    xcap_server: docs fixes
    
    (cherry picked from commit 64f34d9315d24d9e919ec32c56fca2927e3845c3)

commit cfe83ecc1cfaf8a9ecf85d1d1132d50bb5ba2f9f
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:18:20 2020 +0100

    tmx: docs fix varname tag around parameter
    
    (cherry picked from commit 404c46f358340df2dc4a91c7f83036ea26d05375)

commit 0c4405845d1d0ba5f73e0ce76d9cf905bfa27de6
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:17:27 2020 +0100

    rls: docs add missing parameter
    
    (cherry picked from commit 2ba86a27a9f7d32eace52815161c0a8b9e48878a)

commit 64403a02d331c04f502a351792cb96668e6e6dde
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:17:11 2020 +0100

    presence_xml: docs add missing parameter
    
    (cherry picked from commit 3bbb27de30080a9fedaffcba04575dddb690caad)

commit 11684c46b9fde7b844b5b3a823d359a096e573b3
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:16:33 2020 +0100

    ldap: docs add varname tag around parameter
    
    (cherry picked from commit 4b2970b5b8addbb6cb325e35060714aa1e8811b2)

commit a235e5f74ed9208b86832ab4e63ed3ab005f15e6
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:15:45 2020 +0100

    lcr: docs fix parameter name
    
    (cherry picked from commit 10f7ff344f546cc1816d5e6882313ba57540387b)

commit 7ccc31abd5be55f64924f04e726896f0485871f8
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:15:32 2020 +0100

    htable: docs fix parameter name
    
    (cherry picked from commit 65cb844fe0b180e0feeba641fa4d16ab3cb9c375)

commit 327fc7adb5ae69a21974e799109011a206521cc6
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:15:19 2020 +0100

    dnssec: docs fix parameter name
    
    (cherry picked from commit 6b5689f4079aacf348e60bd7e72560b4fe98d9dd)

commit 047e09144604962965eade47016a3b98d478e311
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:14:53 2020 +0100

    dmq_usrloc: docs fix parameter name
    
    (cherry picked from commit 2771b041d47339b76271d4115bd68ffa7514aa25)

commit d09c07ae5ae7d26da06e49ed26146d488b8319b2
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:14:22 2020 +0100

    dispatcher: docs add missing parameter
    
    (cherry picked from commit 4b84dd2e9387efcdab7e501b66a64a72b233a9c4)

commit 44fbc5ee49d1ea6f87c7e72103a307227a028342
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Mar 13 09:32:31 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 34917a79e596a6634b3019efb24d92ebdad3053e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Mar 13 09:22:43 2020 +0100

    p_usrloc: fix doc section related to default_db_url (GH #2247)
    
    (cherry picked from commit bbc330e768fa462d5e37ad34a7898711cff85b70)

commit fa170b9a40c79539ce1818918298099f5dd88724
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Tue Mar 10 11:46:49 2020 +0200

    dialog: update event route statistics
    
    If dialog was deleted while running the event route, update statistics
    for early and active dialogs.
    
    (cherry picked from commit c6faf3af06129f636f86f9919f0b9db84ca0dab6)

commit c670ba6f18c0df83f64a87bf4d02de84b848ad26
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 11 09:01:39 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 3ce82b7db0cef0f16fd43fd4ce9029ed6d02c5bb
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Mar 11 08:57:40 2020 +0100

    siptrace: fix table parameter in example (related to GH#2244)
    
    (cherry picked from commit 836c6297820014c5ba9519a5039c775fb399f073)

commit 1a142067b04e41b98ce2f8d7f0946c2dcbd7914f
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Tue Mar 3 18:06:26 2020 +0200

    corex: check not in SHM before PKG free for path
    
    Do the same for reset_path_vector() in core msg parser.
    
    (cherry picked from commit 395303dbb3572e57bd8d16bcbbfb29d6d54a60fe)

commit 16b0801ba6b25a5660f2ba30fef35e9cc81fe9c0
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Mar 5 11:19:52 2020 +0100

    core: fix a crash in cfg parser related to invalid syntax cases
    
    (cherry picked from commit 54a0aeee9d30ee85045150d8ad5b75f7a4b71d15)

commit 7916cb92fdd12fce74dd6295890ea0bdb5ba36fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 11:30:04 2020 +0100

    core: cfg.y - detect use of function call as parameter of another function
    
    - GH #2227
    
    (cherry picked from commit 047fdebff732c847fcde5b066ce1acd5f6c2219a)

commit 46d156c1da3fa466abebb8bf036807163ff7c90a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 11:01:53 2020 +0100

    core: cfg.y - init static global variables
    
    (cherry picked from commit 8c5b92ee638a33e612e68cf85a1d37ab5e5d2c22)

commit ac37cb04c0b5ca153342f44d7d7fd17a633afddd
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 2 09:31:54 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 3dee7c6488eb143141becf47e0edd2f3e6ce3cef
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Mar 2 09:24:29 2020 +0100

    pua_dialoginfo: fix doc for puburi_calle[e|r]_avp type
    
    (cherry picked from commit cd94a88d21c6d649d63791ba509845a38a6eb76b)

commit 6ece7d8288aca10a6d653f164df5b386ed3eb63e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Mar 2 09:20:22 2020 +0100

    pua_dialoginfo: fix doc for pubruri_callee_dlg_var type
    
    (cherry picked from commit ee34fa46d008426f710c38bf247f4dac9e11bfe7)

commit e3e937914b30173f83fe91ad4d18f6fe6dbd2eb1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 28 17:53:34 2020 +0100

    siputils: declare extern contact_flds_separator in header file
    
    - GH #2235
    
    (cherry picked from commit 6e9b0fad487aadb22df10e90f3db6a104ca99cfc)
    (cherry picked from commit 66e33a0e3c7af9c51dc665556a022b6598e86843)

commit d0acd76775659407caeaaa87f29cfa617014ed44
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Feb 28 14:52:14 2020 +0100

    dmq: small spelling fix in error message
    
    (cherry picked from commit 97e3de1046cf5247f7a462385778409b02680149)

commit 89b3d358dcfb0bed63762a017c0dcd0d2f1aad9c
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Fri Feb 28 12:17:49 2020 +0200

    pdbt: add pdb server message check
    
    Related to 3c07e2351a94e4ff2cf3c6b9b9df4d7462cd5760 commit, but on server side.
    
    (cherry picked from commit 7db39bbc128233ae663061364c5545648e06d3a7)

commit 18842e3f1d0b7b37df2306164d67a203fe80486e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Feb 28 09:47:09 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit a5a73ea21349beb76e49379658ad283661bf5de7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 28 09:28:44 2020 +0100

    pua_dialoginfo: add missing module parameter from docs
    
    intruduced at 09d1bdc38b51619c65c6a9ec8f293cf9c395c6c1 back in 2009
    
    (cherry picked from commit 9e1e7d4d3f7eb2e08d092c9b0b772fc76cf09376)

commit 179026e078427f64ad8b360a41ded71ca2706090
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Feb 21 17:31:36 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit ef8238a58dc901904e53655cf9e14028fd190c2b
Author: Alex Balashov <abalashov@evaristesys.com>
Date:   Fri Feb 21 17:26:43 2020 +0100

    usrloc: Updated docs for 'timer_procs' parameter about multiple timer processes

commit 8f72e21b5f68c4dd467e3a109b1d7b1ee6091872
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Feb 6 17:28:42 2020 +0100

    sipcapture: fix inaccessible HEP chunks
    
    Chunk types 1 , 2  and 3  were not accessible.
    $hep(...) pseudovariable didn't return HEP chunks of type:
    * 1 (IP protocol family) returned HEP version
      (accessible via $hep(version))
    * 2 (IP protocol ID) returned HEP message source IP
    * 3 (IPv4 source address) returned HEP message destination IP
    
    This removes keys src_ip and dst_ip. Use $si resp. $Ri instead.
    
    (cherry picked from commit 459ccabe9e3975dd5a90135ab96f3cccdf4ffdbe)

commit 073212e027e4e90b4520b32d5563d53afd22e0d9
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Feb 6 15:28:18 2020 +0100

    sipcapture: fix typo
    
    (cherry picked from commit d4d7a8bb27426045de9afd8636729426a346ca79)

commit 3d5e468acd49df316844bc985147e6a9592a877a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 21 08:39:47 2020 +0100

    core: propagate xflags inside sip_msg_update_buffer() to new msg
    
    - xflags were lost when the msg structure was reinitialized (e.g., after
    msg_apply_chages())
    
    (cherry picked from commit 2c6e87c50b13acdd94f77491eda0d73430f58dfc)
    (cherry picked from commit 38869d54ed6210f63fceb185a6531193eed1629f)

commit 1d907f64c6d676aecc96a91d7c31ca0f269eab61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 19 13:09:02 2020 +0100

    Revert "tm: set send socket flag when computing the destination and local socket is found"
    
    This reverts commit 09ac3e47ef79dbd599b7dec5b84ae3b792f025ed.

commit f860d6703bfc9ab5c9ff66660326fa90c22b15bb
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Feb 17 16:41:32 2020 +0100

    db: small spelling fix in docs
    
    (cherry picked from commit 942d1cc40a1772ffd7a7d62bf1354a0b6343f7fa)

commit 443b06bf396afcb25d09d1cf5ca450ffd07e2252
Author: Federico Santulli <federico.santulli@nhm.it>
Date:   Mon Feb 17 11:09:34 2020 +0100

    pkg: add ebuild for 5.2 branch for new gento packages (GH #2220)

commit b389c87575a43b78fa9667e88e9647e218cadce4
Author: Federico Santulli <federico.santulli@nhm.it>
Date:   Mon Feb 17 11:03:38 2020 +0100

    pkg: add generic files for new gento packages (GH #2220)
    
    (cherry picked from commit d94fce63e496f1039ed6b39ce2dfc257a8e60da2)

commit f28dc145943742632a21057051465d1b84942b4c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Feb 11 21:16:50 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 18d235ddab21ed4e3288bfca5bc9a5a925cb7fa1
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Feb 11 21:15:04 2020 +0100

    ims_qos: fix dialog module name, dialog2 is not used anymore
    
    (cherry picked from commit 70b6e2fb4ccf77c9eb71610f9febeca843228093)

commit 55e0eef3f554b5cb6e8cec73c4a482ac03b3c99d
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Thu Jan 23 15:24:17 2020 +0200

    ims_reqistrar_scscf: Fix bug with multi-notifications
    
    - Added more accurate contact comparison when
      sending NOTIFY to a subscriber.
    
    (cherry picked from commit c275110a07fdad8963a08f5ca210f0d5fb717986)

commit 90e09c250858bb58ca49a0b858b6959acf3e6471
Author: Emmanuel Schmidbauer <emmanuel.schmidbauer@textnow.com>
Date:   Tue Feb 4 09:33:16 2020 -0500

    tm: t_continue - do not print error and return error code
    
    (cherry picked from commit a62d4f45282b4d216def7de908548ade40a6369e)

commit b021ba5e6d0e76e5ad64bf26e7343749085ac59f
Author: Peter Lemenkov <lemenkov@gmail.com>
Date:   Sun Feb 9 16:38:17 2020 +0100

    rtpengine: Remove unused struct fields
    
    These two were copied directly from rtpproxy module but never used by
    this module.
    
    Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
    (cherry picked from commit 35b82c4acb4559fd14faa86fe1c58caf763d5fd0)

commit b370041ccfd86e15812e1a06ad803569654eac07
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Feb 3 11:53:55 2020 +0100

    tm: use WARN log level for status rewrite by UAS (were decreased before SER tm integration)
    
    - use WARN log level for status rewrite by UAS (log level decreased before SER
      tm integration, e.g. v1.5.x)
    - for bad interconnection or gateways this might be reported frequently
    
    (cherry picked from commit e1a01699af450292859e4f2cd69b6a6d85246e5e)

commit bad37f2dd4abd929d1603a836475e2baad61f4f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 08:22:47 2020 +0100

    permissions: safety checks when destroying module
    
    - avoid warning of freeing null pointers on failed startup
    
    (cherry picked from commit d98d8b653e5cf0ae358f6abac392ec44ee39548a)
    (cherry picked from commit aa57ad455b0c0f907bfc5f2f9a0fc382344b7bdb)

commit f9af11b1857a7bb63dbecee775b45c0ac57ca287
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 24 10:20:09 2020 +0100

    core: msg translator - warning log made info for  multipart body processing
    
    - check boundary cannot find boundary value in content-type when the request
    is turned into multipart body
    - use different return code for this case
    - a few realignmets for curly braces to be corherent across the
    respective functions
    
    (cherry picked from commit 2c7ba53b2b6cc7dd5e3c24241d23e76fb052aa50)
    (cherry picked from commit 0a90aecb5737f4001cad7bb20590823deea4390e)

commit d4927599737a1f3b530327731d1fd60dc13ba79d
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Nov 21 17:12:37 2019 +0300

    pkg/kamailio/obs: fixed rpm requirment for python23
    
    (cherry picked from commit 6677dfdba3534a0f50c15fe5b43b8220444b18ad)

===================== 2020-01-24 Version 5.2.6 Released =====================

===================== Changes Since Version 5.2.5 ===========================

commit dc063357687f754338b1fb7b9242dd29c49d1960 (tag: 5.2.6)
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Jan 24 17:56:25 2020 +0100

    Changelog: add reverted commit to Changelog as well (for release 5.2.6)

commit 5c2a2c51fc5e2d4469818028c57c0ef8be9757a6
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Jan 24 17:54:42 2020 +0100

    Revert "evapi: use local allocated buffer to get data parameter for event relay"

    - This reverts commit b1bb24d3639c2869f825dd692a9b1346d1bb30b5.
    - needs PV core enchancements which don't apply cleanly to this branch

commit fc63e970304ba74b7f6800176b0a9b41b7b39f52
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 22 10:49:18 2019 +0200

    kamdbctl: split create user and grant access statements for mysql

    - MySQL 8 doesn't support all in one statement

    (cherry picked from commit c0879add55bef77703f2259f224b4a1f954cd8bf)

commit 114cda75a593a5f1119bc8b5b545b4560416b41c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 30 10:14:07 2019 +0100

    ctl: docs - more infor about binrpc_buffer_size modparam

    - replaced ser with kamailio in a few examples

    (cherry picked from commit c9070600af1b7993b003964b5c58db3391d50f60)
    (cherry picked from commit 4ca6ad00eb71ea76dacf71c6126a4fe853d898c9)

commit 0e552e6c2efcf449e91040b781eafafca2a1e97a
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 9 21:12:48 2019 +0200

    uri_db: spelling fix in variable name

    (cherry picked from commit 23b60ed9fbf9396bd531c76f57c133d5850c0764)

commit 2f0a0b785efc921cd82dee274b548516b1bb5d40
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 14:02:57 2019 +0200

    nathelper: removed exe flag from c file

    (cherry picked from commit 82195c2a51c5020ca0024f59492a4e2faef0e15a)

commit a519a289cccf89a06bb7fa3857fef5505049a277
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 24 12:38:20 2019 +0200

    statsc: debug message when fetching stats values

    (cherry picked from commit a463c53e767114567ff25f0fe50115da0e3d0045)

commit 3d6246d97385fbd3742c1d860b8f974a79f0ef8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 28 10:00:28 2019 +0100

    core: pad some fields in contained structs for 4 byte alignment

    - safety for sigbus on strict cpu architectures when accesing fields by
    address

    (cherry picked from commit 1296bb2270985a1bf3af04f35e4cdae1fe4b184a)

commit b1bb24d3639c2869f825dd692a9b1346d1bb30b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 31 09:54:22 2019 +0100

    evapi: use local allocated buffer to get data parameter for event relay

    - use system malloc given that the data can be passed from jsonrpcs,
    which uses system malloc as well
    - try to grow the internall buffer as needed based on estimated size of
    output for the data parameter

    (cherry picked from commit 63334e312d60a5d6a6470b0067c29db672d08c7c)

commit 0b6cde5604fcbc3756311b1ddacc4d7a230d7152
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Nov 23 18:53:17 2019 +0100

    app_sqlang: fix squirrel warning: ‘nArgs’ may be used uninitialized in this function

    (cherry picked from commit 7fad9c51f71854e0649fe76e273190e4b4f82438)

commit 9bdcde18c932d81efd4d58a810b88e42d9fcdec8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 19 15:34:00 2019 +0100

    app_sqlang: imported latest squirrel interpreter

    (cherry picked from commit b0fc60403b539672c6a2638083e8955783c65e0b)

commit e62d4bb6d5c5f759cbb4cce32921db2a6418589c
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Jan 24 16:07:30 2020 +0100

    Makefile.defs: version set to 5.2.6

commit 3fbd91923977dcaabda119a97b7cbd0182dc1eaf
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Jan 24 16:05:16 2020 +0100

    pkg/kamailio: updated version to 5.2.6 in spec files

commit 826f99ac4266a7f1dcb72dcf6aeb7dfff1bf686a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 24 10:11:57 2020 +0100

    pkg/kamailio/deb: version set 5.2.6

commit 659810200f4fc60da12b2633489e81e10dc7a565
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jan 23 15:55:04 2020 +0100

    Revert "pv: print missing types for xavp values"

    This reverts commit f17353dfbf7fc42b2d070bdc45a3b72278202a08.

commit 57198b5fb3ee5376ee94761e8735a38b855ee13e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 10:02:36 2019 +0200

    utils/kamctl: update shebang to python3

    (cherry picked from commit 9aa42d7c8161d4a0d085b019a85cde6981b3b4f9)

commit 8f2552a6d517c598058e94d862cbfb62c1e67ef0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 00:29:48 2019 +0200

    domain: fix spelling error

    (cherry picked from commit 0944689db2eabbb531fc6daed9db3a9bcc1780b6)

commit 766b993b78e38f4aa108b6ec901cecbd9c938fbc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 09:35:10 2019 +0200

    seas: fix spelling error

    (cherry picked from commit 8a197dcc8d2d063d3615e8800ed8d2f7812cce0f)

commit edbe99332af576b8c860c9d887e3eb1c51c9b6db
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 09:57:07 2019 +0200

    smsops: fix spelling error

    (cherry picked from commit 4a657005a5c4eff88e48dc2b8847d5800a90bead)

commit abb94a6747f24c2d89e9c3f6afc6615e44fea120
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 09:59:02 2019 +0200

    smsops: fix spelling error

    (cherry picked from commit 4ba14d2f6db6144870650398da6c07b07d23d64d)

commit d79c2c37acd0c5660cfc4d36d7e0e801f8da8d59
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 10:04:58 2019 +0200

    pua: fix spelling error

    (cherry picked from commit d06e85d6fa9e75e8008bc422a7596671283054f7)

commit 8ea6d73689b954f2ae60261075b232d09401c525
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 10:08:34 2019 +0200

    core: fix spelling error

    (cherry picked from commit e35fe2d7b4ae79be6af9a70d8520620941960a72)

commit 97627793db2963704202f252d45821d8c05acc1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 30 18:27:40 2019 +0100

    acc: better evaluation of error return for pv_printf_s()

    (cherry picked from commit 69ccdc25fbfaf01785127ecb051429e51df6cad5)

commit f7c990e2ca6c7b2d43cf15723c71ba38065236e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 3 10:30:09 2019 +0100

    core: qmalloc - print details of prev fragment when its tail is overwritten

    - do it when check2 field is not touched

    (cherry picked from commit bf1ba8d2d4519af50d44acfce5f34535fd1db8e0)

commit 7bebd6586b0b3b1fcee852502863ab4daea970bd
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Mon Nov 4 13:51:07 2019 +0200

    ims_usrloc_scscf: added '\n' for debug messages

    - added a new line to the end of some debug logs for
      better formatting.

    (cherry picked from commit 90ff57e10f1b456b35dc8ac262457dbb2c497997)

commit e85fcbf139473760fed9895d839f447adadc8f53
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Thu Nov 7 18:11:21 2019 +0200

    ims_registrar_scscf: added '\n' for debug messages

        - added a new line to the end of some debug logs for
          better formatting.

    (cherry picked from commit 2e4727014fff86545bb9ce8bb97f72173d8c8c87)

commit 4935d3c3c9ff76f34670fe39e26df11f909d6453
Author: Alex Balashov <abalashov@evaristesys.com>
Date:   Sat Nov 9 01:17:44 2019 -0500

    evapi: Removed cast of bind port to short, as this restricted ports to signed 16-bit int values (< 32768).

    htons() takes unsigned 16-bit integer and returns the same. When this value was cast to (short), higher ports could not be used.

    (cherry picked from commit e9545ae1e490ff768270d03ea28f14b751d2c132)

commit c4431b1932a73fec7c9e75418f451c3745bd7ad5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 12 13:37:25 2019 +0100

    rr: debug messages when record-route is inserted

    - some trailing whitespace removed

    (cherry picked from commit 027082793ccd4e849234e1dfa312c2148a8fd08d)

commit f17353dfbf7fc42b2d070bdc45a3b72278202a08
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 14 17:28:09 2019 +0100

    pv: print missing types for xavp values

    (cherry picked from commit 4b0b045a114591de6cc0655ae019029e337167d0)

commit bca76be86e52b545b968476e8c9bdf899c2e4739
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 15 20:32:27 2019 +0100

    pkg/kamailio: removed netbsd unmaintained specs

    (cherry picked from commit 686daa57309b6dc5c32caf75e65a130dfd09d523)

commit f0cc36ed668eae7fdcd1b01d44b3e0e509d6f40e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 23 15:31:27 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 2c00d15ddb48436827fba7d1d3a0c5ae3ec3e864
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 14 12:25:09 2019 +0100

    uac: reset credentials structure for uac_req_send() authentication

    (cherry picked from commit 2b12754920704f49cd227c518e130cef4d76ea7d)

commit 0614a74d44c98deffada7a8c61edfe7453da260f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 11 10:51:33 2019 +0100

    phonenum: use -std=c++11 cpp compile flag

    - required by the libphonenumber

    (cherry picked from commit 75c5a20a870985059f642ac1a6624655332dbca8)

commit cff87a49dac6f3bc04bd0bd203aa3c09b91cd613
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 09:14:42 2019 +0100

    db_redis: do not print full table scan warning when loading the entire table

    - GH #2149

    (cherry picked from commit 13c1c0bfdd93d2f727ff65275e93f4a780143dee)

commit c9b0ef608d2d6afe8b551057fed0ccb47b5fe985
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 16:47:40 2019 +0100

    kex: docs - fixed rpc command name for shm memory details

    (cherry picked from commit 9e89a66b36d7aa691cf69d5b33b7ee31330693e9)

commit 0da0fee7d5cc7d3f07e5525b335d78f8a17e0a18
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 19:07:40 2019 +0100

    rtproxy: docs - fixed section id value

    (cherry picked from commit e896f2c9286809b5ef81c4952577780002ee5df8)

commit eae9d86fb1e579cb3a18577884f631014ad7b455
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 3 12:12:54 2019 +0100

    permissions: fix crash if load_backends parameter is 1

    fixes #2151

    (cherry picked from commit d7f4493da751802dc47a694d251d34a85a7b3bf1)

commit 34c1509bd53bbbb99aaa4438f7e7465583128f7c
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Dec 25 15:13:29 2019 +0300

    src/modules/rtpproxy: Updated FAQ about MSRP support

    (cherry picked from commit 347a3d1399389335102869b9253ec07fed521613)

commit 0d3c8cfe6be0ab712baa75a0d0b972f79fa19226
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 23 15:16:27 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 29ca1231c624e79ded4d2cb633e7eeae77398d4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 19:31:19 2019 +0100

    ims_isc: null terminate dst_uri field

    (cherry picked from commit a8cc28b6e0236b21569625baffa865ff4ce0a153)

commit 0d123b3cbd1a500ff47ebb1aee26c43671d14c23
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 19:30:44 2019 +0100

    ims_ipsec_pcscf: null terminate dst_uri fields

    (cherry picked from commit a8be2459fc4013060944bf79e7c66b3613e8d04c)

commit 73be78ff3585e521e9b2102d7473db8b8ef13481
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 18:06:22 2019 +0100

    core: make dst_uri null terminated

    (cherry picked from commit ca546d35c326666c6389c84ce45214bd2fc5c147)

commit d5aaffd2a32e15f7288d0392063688f408ae9194
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 4 08:20:30 2019 +0100

    core: kemi - fixed missing support to check for REFER method

    (cherry picked from commit 840e29d7d63602482e202e1b514a0ba9952dffe5)

commit 020065420e539420d86ecc51d6822c38ca17c81c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 10 12:46:34 2019 +0100

    tls: init EVP_PKEY pointer when loading engine key

    (cherry picked from commit 433551f3ea00e4151f2fa4e84d7c52422b6cefe3)

commit ae584e61a2219d45ab0c175d72fb42497b866a5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 10 12:38:30 2019 +0100

    tcp: checks for event route index on close

    (cherry picked from commit 46436cf8ef7d337c255b2fd9115544a6971f9741)

commit 1d8f795c111c0fe5f5f992d137d0d94d49144fb6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 9 22:15:24 2019 +0100

    tm: rework code to avoid compiler warnings

    - fix log message priting wrong string variable

    (cherry picked from commit 263b8ce5360716e44c6a7bcdbc65a76dfad67575)

commit ba8b8b2aed1cb66f7f73b8d1720cb35756268ece
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 08:42:06 2019 +0100

    tm: clarification that the sip message flags operations after t_newtran()

    - they are not reflected in transaction, only in local sip message
    structure

    (cherry picked from commit 9a0c850f98063da145120f90d2c5c2a43e76b976)

commit 880f1d433eec3a2764bb7e46cca7b7e0e01efbb9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 8 10:15:26 2020 +0100

    Makefile: use variable for detecting emacs for ctags flag

    (cherry picked from commit ef19acf3a79a804a47238daf1f6d4794f1d82a5e)

commit bc5ddff280f6ead66cf976d1e04e23acdc26a142
Author: James Aimonetti <james.aimonetti@gmail.com>
Date:   Tue Jan 7 23:55:01 2020 +0000

    Makefile: include flag to generate Emacs-compatible TAGS file

    Emacs exposes an environment variable `INSIDE_EMACS` which can be used
    to toggle ctags to generate an Emacs-friendly TAGS file.

    (cherry picked from commit 35c846b1e8dc7075b0cee196a430dd1b09a87446)

commit fb952a9351071bedadb61e6ea030a031f6fec6e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 19 13:39:22 2020 +0100

    log_custom: send processing logs via udp

    (cherry picked from commit ec0dd71bd963d7bf5959521ff82b6a659efe699a)

commit eb2f7ad9d50f9bdd7ad4c3688f0e04a9494d1e0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 19 16:30:28 2020 +0100

    core: check logging protection before the level

    (cherry picked from commit 53ca8b50207ca35f16a2315efb1ed29448961da8)

commit bd9fcd34420b6fef3e9f8838af7bfc73587626da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 16:08:16 2019 +0100

    tls: set default tls method (version) to 1+

    - it was 1, but newer libssl doesn't have it anymore
    - while older systems don't have newer version support

    (cherry picked from commit 1da196174d8cd7e82ce57d4de60197fc063e6b50)

commit b1a6e5838e23716c19051eff89912ebc1410c69c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 24 14:39:17 2019 +0100

    tls: docs - fix example for setting xavp_cfg

    (cherry picked from commit 4f42115ce29d446ad60b32af9ad370d9b2d847c2)

commit 7d2fab4d6c2c918c9636d5bcee74cb53f8475ea8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 6 11:25:32 2020 +0100

    tm: added missing $T(reply_reason)

    (cherry picked from commit bf57a7ab50949ddbeec787331548dfcb023c238f)

commit 732f2c04cbdbff537411118642c9f68340b66825
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 7 10:11:42 2020 +0100

    ipops: fix locating static index for dns pv

    - reported by GH #2179

    (cherry picked from commit a383caa12a1af2cbc0f135add643045a159f24f2)

commit ff7f254b939ed50b296e2191c0a36095d926edc1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 8 17:38:57 2020 +0100

    app_ruby: memset rbdata to 0 in app_ruby_run_ex()

    (cherry picked from commit af18330c7ed5266079038ca7ae515487537cd6b6)

commit 765333402b2c012e0862d786202834e483f17cd6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 18:12:56 2020 +0100

    core: kemi - handle notice log level in KSR.log()

    (cherry picked from commit 73088fd871b4b1a292c67e80c55373ed1b891144)

commit 2a5fb5add18abdddf0094754d7f4d5a34f8478a2
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jan 23 12:38:23 2020 +0100

    Revert "Makefile.defs: add -lm to linker flags"

    This reverts commit bb247563f2d5efbf95c52e682c72215a8b1fbb0a.

commit 4fb3ef304ba9ace8e276978d893a05bbcb76fde4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 22 23:16:30 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit a9df08d48297fbaf2690b5035314d8f4093ab315
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 17:43:38 2020 +0100

    auth_xkeys: proper debug log messages on valid match

    (cherry picked from commit 39802fd2efad4b710072244f360741312a7164f2)

commit 2d6101227365f1f21b39ec4806b09f1c44df6348
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 15 17:06:36 2020 +0100

    core: more details on error log on failed comp_num() expression

    (cherry picked from commit a85bdf58e3f1933a4a1d231b5de4fd9cf1393366)

commit 27de46c506dc7cc9bdc6ce8f249176f6df0221f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 16 11:23:40 2020 +0100

    htable: make ht_dmq_init_sync variable extern in ht_dmq.c

    - avoiding redeclaration, it is set via modparam

    (cherry picked from commit 02bff604ec70a51a5ba9faae38e946e556763e08)

commit 045641ce82ba6150c72a3a25f967fea9a9e551f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 14:54:07 2020 +0100

    corex: declare nio specific globals in c file

    (cherry picked from commit 512f89bec0b6ebd2b3c7c16b115f15dbd6de9a39)

commit bb247563f2d5efbf95c52e682c72215a8b1fbb0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 15:02:53 2020 +0100

    Makefile.defs: add -lm to linker flags

    - on some linux distros is not linked by default

    (cherry picked from commit f12492c231e1f3a08994727e3e8263886f1f2fbb)

commit f96b99f09af56921e42322b0e63194b4d1b45939
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 16:08:56 2020 +0100

    pipelimit: make error log debug in rpc command when pipe not found

    - error code is returned to rpc command

    (cherry picked from commit 5a607cabc34d16fe3770f273241b667fea470dc9)

commit 669266e775197760644c56be73a632db365f3d97
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 17:20:19 2020 +0100

    tls: proper match of config profile by server id

    (cherry picked from commit 40f87b7e46714a114e7c98be7e677b20f1deb694)

commit 4e6345bbd0ca9b484b3031a4177040d524868a5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 22 11:02:39 2020 +0100

    sipdump: small whitespace fixes

    (cherry picked from commit 5d523e81c2a6ad1394254a36e9e143cb04e0171b)

commit 7f66bb3beccdb9489388dec24be48d6a0e810876
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 22 17:39:49 2020 +0100

    seas: docs - removed mi_fifo from examples

    (cherry picked from commit 31b710b5ec402bf75b3babe5ffe440c429d3ec63)

commit c3493767ba479c7e8b39730af76402abea0a4953
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Jan 20 20:39:52 2020 +0300

    pkg/kamailio: removed not maintaned Oracle packaging files [skip ci]

    To package for Oracle dist need use OBS folder

    (cherry picked from commit fcd45145d9c534e2230707ce64b044d927efca14)

commit 717a678e4e773dcd28cf8e751b99149abc93e2dd
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jan 12 12:16:52 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 7189b5cf877a15481ad83850de7008ad24bc1010
Author: Sam Ware <sam.ware@gmail.com>
Date:   Sat Jan 11 14:24:37 2020 -0600

    xhttp_rpc: documentation correction

    - The documentation in the README file had the
      wrong module name in the modparam in the
      example for the xhttp_rpc_buf_size parameter.
      Corrected this in section 4.2.

    (cherry picked from commit c9229d66136f41fda0082585c4a73baf503b2c2b)

commit 764bcd72b1447b2fa9314bdc380818247b15143a
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Jan 8 15:22:28 2020 +0300

    pkg/kamailio/obs: enabled build of geoip and phonenum modules for CentOS 8 and RHEL 8 dists

    (cherry picked from commit c953af29433abef3251e9e4644c0af98b84368cb)

commit d2d78cf21d7278a847bcbc8e90a7a70a1f240cdd
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Oct 24 22:13:47 2019 +0300

    pkg/kamailio/obs: packaged evapi module [skip ci]

    Releated GH #2098

    (cherry picked from commit 298abc9eb6240b9567df5166d64eba9f6da078dd)

commit 42f49a901e31ebc9ae8a507ba6b1c79f0ff3daaa
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat Dec 21 07:31:20 2019 +0300

    pkg/kamailio/obs: simplified fedora packaging rules [skip ci]

    (cherry picked from commit 1fb5f81618dc142a51104c7b60d467eb1acd9261)

commit 9d8be519bb0cc97a20360652085da6aaed94e86e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 19 17:46:43 2019 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit fdd8bd3cce007e6256be5373d84413ffdeff802e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Dec 19 17:35:58 2019 +0100

    dispatcher: small style fix in ds_probing_mode docs

    (cherry picked from commit faccbb1cf62bfb625d0bcc9d1a52727dcdd962ff)

commit 32d4f5875e7b9624dc54a83f9f4a507ff20486a5
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Dec 19 11:31:54 2019 +0100

    sdpops: add missing line break for debug log

    (cherry picked from commit 0d7b5bd4575c80053e1d3851aeae34d5fbd5cf0b)

commit 354cce84135836a780364f1fef441ba850c9f2ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 17 07:49:57 2019 +0100

    Makefile.defs: use dedicated vars for pthread mutex flags

    - CC_EXTRA_OPTS and LD_EXTRA_OPTS may be set from environment

    (cherry picked from commit be34082aac3e275058f4747c3706499848ccd86d)

commit 9474e01d8ffa82c80c61706b87fc1e1dfd47d747
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 16 11:40:37 2019 +0100

    travis: build using pkg-kamailio-docker 5.2-$DIST tag

commit c0ad6576661c4940b1406af99d2dae262469b470
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 9 19:31:41 2019 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 61445fc12961d414141ed2115a6003c551884e74
Author: Dmitri Savolainen <savolainen@erinaco.ru>
Date:   Mon Dec 9 18:31:37 2019 +0300

    rtpengine: doc typos

    (cherry picked from commit b86fa175e92be4a2ab36f198ebc47d8f9b7c9e2a)
    Adapted for 5.2

commit 7fae9f78b15c8385e4c93989532b22b79732f819
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 5 10:17:15 2019 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit f4abac26de5ce4d48e988887a03405f71e24a318
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Dec 5 10:05:14 2019 +0100

    ims_usrloc_scscf: fix parameter example titles

    (cherry picked from commit 55233fffb6ed9165bc912565ec782624dbffaa26)

commit 097687c90fd9b51928aa0f10330f714f3371fa27
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Dec 4 12:16:24 2019 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit bb7e84d46017a112b88fa0c4a187bb5ca7f961c5
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Nov 29 19:40:03 2019 +0100

    tm: extend t_newtran docs with a note about flag behaviour

    (cherry picked from commit f2f492bd580621dec23d0538b8785635a013497a)

commit d55905c1877b13f5d8367e8d4fd16cd0f01dffee
Author: Greg Troxel <gdt@lexort.com>
Date:   Thu Nov 28 20:53:23 2019 -0500

    utils: Change sh(1) "test ==" usage to "="

    The POSIX sh(1) specification says that strings are compared with
    test(1) (also "[") with "=".  Bash accepts "==" and this leads to
    non-portable code.  This commit simply changes "==" within test/[ to
    "=".

    (cherry picked from commit e8b8251f6c7382f8e373c2b309422973a3bf730d)

commit 65d13ddf14c134555fa99555ef46273cb8f56248
Author: Marco Capetta <mcapetta@sipwise.com>
Date:   Thu Mar 28 12:29:10 2019 +0100

    dialplan: fixed avp usage in subst_exp field

    - in case both match_exp and subst_exp contain avps, the content
    of match_exp were used to evaluate the substitute expression.

    (cherry picked from commit 81b268d9610ea16420d7ce2aa1a9e3ba5364773c)

commit 60aa0d9fd7b3a53154b10eedcd0c51d51c6e0035
Author: Marco Capetta <mcapetta@sipwise.com>
Date:   Fri Nov 29 09:28:45 2019 +0100

    cfgt: fix detection of jump to previous-previous route

    * this happends with onsend_route

    (cherry picked from commit e0ed91acb88091caf285704689f72e48c5127ae4)

commit fa7778816de04aea0b23f4cce06fd8af6da598fb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 28 14:28:14 2019 +0100

    cfgt: don't try to create dir if it already exists

    (cherry picked from commit 6918a96cc61fa0b15e09db01bb02e9b9f8c78abf)

commit ca4d105c8b9718138e0d6a62b81cdf2d63470712
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 27 20:28:49 2019 +0100

    core: safety checks for xavp operations

    (cherry picked from commit 1067abf87cdaabc9557a99b36ad60e2349e16fa5)
    (cherry picked from commit 7e5b726ec106fcc06f9ed406570b3f5fea72bd7e)

commit 18444d619b87c3734f3078f09c50a4fef1f8a259
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Nov 15 13:35:13 2019 +0100

    core: add support for parsing http/2 replies parsing

    (cherry picked from commit 17be36102e3a1c286c69a5da193dd8405000ab62)

commit 7b10327189fc6c1cf1c53fc7c90bed84753ec54b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 08:15:03 2019 +0100

    tm: execute TMCB_REQUEST_FWDED cb as BRANCH_ROUTE when necessary

    (cherry picked from commit bc40eaa4fe446bffd9f41d5d6b21becd7b7fdc87)

commit cd955a22ddceab2356a8bf6ca37b57704baec097
Author: rdboisvert <rdbprog@gmail.com>
Date:   Tue Nov 19 16:05:34 2019 -0500

    db_redis: allow deletion of all rows

    (cherry picked from commit bf2ecd4dec55d5009e0904392d083e17af91977d)

commit ec04243cd760532dc4aa87b278068b09d408d174
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Nov 18 20:45:48 2019 +0300

    utils/db_berkeley: fixed unused var

    kambdb_recover.c: In function 'load_metadata_columns':
    kambdb_recover.c:819:6: warning: variable 'ret' set but not used [-Wunused-but-set-variable]
      819 |  int ret,n,len;
          |      ^~~

    (cherry picked from commit 792261b43d74518e6d67f807df60b6622ba2d9f8)

commit 5a8da74f91fbb33b18d6bf1119801f3270e90599
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Nov 18 00:55:13 2019 +0300

    pkg/kamailio/obs: added extra packages to centos 8, rhel 8 and 7 dists

    (cherry picked from commit 24eb08c9cbcf4ab464ac5e8f2830bf8afa8a4271)

commit 7428ddac71777fe5f0d8b65020dca75ec1b3b828
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat Nov 9 10:58:06 2019 +0300

    pkg/kamailio/obs: replaced systemd-mini requirments by systemd [skip ci]

    Also commit restrict requirements only for OpenSUSE Leap dists

    (cherry picked from commit 0075472ef96c77ec38789af7bba744667a49ef22)

commit c24bd9e7e449275fa9b9b7a05960e264edb15fac
Author: Stanislav S. Litvinenko <litvinenko@protei.ru>
Date:   Thu Oct 31 01:54:28 2019 +0300

    ims_ipsec_pcscf: fix non-close mnl_socket when a bind error

    (cherry picked from commit 8cae623c7051d529d779c4bf072225c44154e403)

commit 548db41611da0c70bb6c8cdd19fa11a9bb6e7172
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Oct 31 12:46:56 2019 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 87df0c0b7c3bccfc38b17fe20572948a39a57cff
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Oct 31 12:30:46 2019 +0100

    topos: fix documentation for msg-sending event_route (GH #2115)
...skipping...
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Oct 31 12:29:05 2019 +0100

    topos: fix event_mode parameter type (GH #2115)

    (cherry picked from commit d9c603d3fcc93a3a160a03e7e3c5500d744957db)

commit 4437787b3de382ffa8a7df0fad54f5226c1bafd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 25 12:55:06 2019 +0200

    lib/srdb1: detect if ipv6 address is between square brakets

    - if not, let it be host part with surrounding brakets, because it can
    by a mysql conf group name

    (cherry picked from commit 2aa614d49f4917faec62534a51fcf8ddfc5fb870)

commit dc0d4f8514ca8aec79e57c49e91360a5ed90f3fd
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Oct 24 14:19:32 2019 +0300

    pkg/kamailio/obs: added packaging for RHEL 8 and for CentOS 8 dists GH #2078 [skip ci]

    (cherry picked from commit a3ce062fdec2d3a5d5e46f49c9d0ea9d449a1bec)

commit b40d13d4e68112ff9598fd78fdd0bb7bcad410d8
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Oct 11 12:37:57 2019 +0300

    pkg/kamailio: Updated RPM spec release extracting for "-rc" [skip ci]

    (cherry picked from commit 1361ce6e980856ce7a3ffb77349cc45254ced6ab)

commit 116fb0108b0f422cff955a37ce6b16de94f22c64
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Aug 27 21:03:33 2019 +0300

    pkg/kamailio: added rpm spec version and release configuration [skip ci]

    (cherry picked from commit ab0a69eb01953be97ccdfdb230e5af06bac9649c)

commit e10d4f0224132952ebb9411b06d173b5520b5509
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Oct 15 15:17:01 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 597ac3f589b82982c02631f3dc8b7962969b9645
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 15 15:13:09 2019 +0200

    tls: fix missing TLSv1.2+ parameter documentation

    (cherry picked from commit 5e00109fabe3507f1c20cbef80348e72ddb78cc8)

commit 722b8f0f3147359ce20bf6a2ba1a463ae79f6d93
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 15 14:14:16 2019 +0200

    tls: switch to TLSv1.2 in example cfg, usage of TLS 1.0 is not recommended anymore

    (cherry picked from commit 3fa7b04cb6ac4170343455fa4f591fa95f7a3ff9)

commit 62d35f9e80577f511371ef3e4571773ecaa18b03 (tag: 5.2.5)
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 10 10:44:09 2019 +0200

    ChangeLog: content updated for v5.2.5
...skipping...
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Oct 31 12:29:05 2019 +0100

    topos: fix event_mode parameter type (GH #2115)

    (cherry picked from commit d9c603d3fcc93a3a160a03e7e3c5500d744957db)

commit 4437787b3de382ffa8a7df0fad54f5226c1bafd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 25 12:55:06 2019 +0200

    lib/srdb1: detect if ipv6 address is between square brakets

    - if not, let it be host part with surrounding brakets, because it can
    by a mysql conf group name

    (cherry picked from commit 2aa614d49f4917faec62534a51fcf8ddfc5fb870)

commit dc0d4f8514ca8aec79e57c49e91360a5ed90f3fd
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Oct 24 14:19:32 2019 +0300

    pkg/kamailio/obs: added packaging for RHEL 8 and for CentOS 8 dists GH #2078 [skip ci]

    (cherry picked from commit a3ce062fdec2d3a5d5e46f49c9d0ea9d449a1bec)

commit b40d13d4e68112ff9598fd78fdd0bb7bcad410d8
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Oct 11 12:37:57 2019 +0300

    pkg/kamailio: Updated RPM spec release extracting for "-rc" [skip ci]

    (cherry picked from commit 1361ce6e980856ce7a3ffb77349cc45254ced6ab)

commit 116fb0108b0f422cff955a37ce6b16de94f22c64
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Aug 27 21:03:33 2019 +0300

    pkg/kamailio: added rpm spec version and release configuration [skip ci]

    (cherry picked from commit ab0a69eb01953be97ccdfdb230e5af06bac9649c)

commit e10d4f0224132952ebb9411b06d173b5520b5509
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Oct 15 15:17:01 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 597ac3f589b82982c02631f3dc8b7962969b9645
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 15 15:13:09 2019 +0200

    tls: fix missing TLSv1.2+ parameter documentation

    (cherry picked from commit 5e00109fabe3507f1c20cbef80348e72ddb78cc8)

commit 722b8f0f3147359ce20bf6a2ba1a463ae79f6d93
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 15 14:14:16 2019 +0200

    tls: switch to TLSv1.2 in example cfg, usage of TLS 1.0 is not recommended anymore

    (cherry picked from commit 3fa7b04cb6ac4170343455fa4f591fa95f7a3ff9)

commit 62d35f9e80577f511371ef3e4571773ecaa18b03 (tag: 5.2.5)
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 10 10:44:09 2019 +0200

    ChangeLog: content updated for v5.2.5
...skipping...
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Oct 31 12:29:05 2019 +0100

    topos: fix event_mode parameter type (GH #2115)

    (cherry picked from commit d9c603d3fcc93a3a160a03e7e3c5500d744957db)

commit 4437787b3de382ffa8a7df0fad54f5226c1bafd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 25 12:55:06 2019 +0200

    lib/srdb1: detect if ipv6 address is between square brakets

    - if not, let it be host part with surrounding brakets, because it can
    by a mysql conf group name

    (cherry picked from commit 2aa614d49f4917faec62534a51fcf8ddfc5fb870)

commit dc0d4f8514ca8aec79e57c49e91360a5ed90f3fd
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Oct 24 14:19:32 2019 +0300

    pkg/kamailio/obs: added packaging for RHEL 8 and for CentOS 8 dists GH #2078 [skip ci]

    (cherry picked from commit a3ce062fdec2d3a5d5e46f49c9d0ea9d449a1bec)

commit b40d13d4e68112ff9598fd78fdd0bb7bcad410d8
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Oct 11 12:37:57 2019 +0300

    pkg/kamailio: Updated RPM spec release extracting for "-rc" [skip ci]

    (cherry picked from commit 1361ce6e980856ce7a3ffb77349cc45254ced6ab)

commit 116fb0108b0f422cff955a37ce6b16de94f22c64
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Aug 27 21:03:33 2019 +0300

    pkg/kamailio: added rpm spec version and release configuration [skip ci]

    (cherry picked from commit ab0a69eb01953be97ccdfdb230e5af06bac9649c)

commit e10d4f0224132952ebb9411b06d173b5520b5509
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Oct 15 15:17:01 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 597ac3f589b82982c02631f3dc8b7962969b9645
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 15 15:13:09 2019 +0200

    tls: fix missing TLSv1.2+ parameter documentation

    (cherry picked from commit 5e00109fabe3507f1c20cbef80348e72ddb78cc8)

commit 722b8f0f3147359ce20bf6a2ba1a463ae79f6d93
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 15 14:14:16 2019 +0200

    tls: switch to TLSv1.2 in example cfg, usage of TLS 1.0 is not recommended anymore

    (cherry picked from commit 3fa7b04cb6ac4170343455fa4f591fa95f7a3ff9)

commit 62d35f9e80577f511371ef3e4571773ecaa18b03 (tag: 5.2.5)
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 10 10:44:09 2019 +0200

    ChangeLog: content updated for v5.2.5
...skipping...
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Oct 31 12:29:05 2019 +0100

    topos: fix event_mode parameter type (GH #2115)

    (cherry picked from commit d9c603d3fcc93a3a160a03e7e3c5500d744957db)

commit 4437787b3de382ffa8a7df0fad54f5226c1bafd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 25 12:55:06 2019 +0200

    lib/srdb1: detect if ipv6 address is between square brakets

    - if not, let it be host part with surrounding brakets, because it can
    by a mysql conf group name

    (cherry picked from commit 2aa614d49f4917faec62534a51fcf8ddfc5fb870)

commit dc0d4f8514ca8aec79e57c49e91360a5ed90f3fd
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Oct 24 14:19:32 2019 +0300

    pkg/kamailio/obs: added packaging for RHEL 8 and for CentOS 8 dists GH #2078 [skip ci]

    (cherry picked from commit a3ce062fdec2d3a5d5e46f49c9d0ea9d449a1bec)

commit b40d13d4e68112ff9598fd78fdd0bb7bcad410d8
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Oct 11 12:37:57 2019 +0300

    pkg/kamailio: Updated RPM spec release extracting for "-rc" [skip ci]

    (cherry picked from commit 1361ce6e980856ce7a3ffb77349cc45254ced6ab)

commit 116fb0108b0f422cff955a37ce6b16de94f22c64
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Aug 27 21:03:33 2019 +0300

    pkg/kamailio: added rpm spec version and release configuration [skip ci]

    (cherry picked from commit ab0a69eb01953be97ccdfdb230e5af06bac9649c)

commit e10d4f0224132952ebb9411b06d173b5520b5509
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Oct 15 15:17:01 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 597ac3f589b82982c02631f3dc8b7962969b9645
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 15 15:13:09 2019 +0200

    tls: fix missing TLSv1.2+ parameter documentation

    (cherry picked from commit 5e00109fabe3507f1c20cbef80348e72ddb78cc8)

commit 722b8f0f3147359ce20bf6a2ba1a463ae79f6d93
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 15 14:14:16 2019 +0200

    tls: switch to TLSv1.2 in example cfg, usage of TLS 1.0 is not recommended anymore

    (cherry picked from commit 3fa7b04cb6ac4170343455fa4f591fa95f7a3ff9)

===================== 2019-10-10 Version 5.2.5 Released =====================

===================== Changes Since Version 5.2.4 ===========================

commit 8d08d3fdb8f70955ae0bcbf62a32761d653383a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 10 10:33:45 2019 +0200

    Makefile.defs: version set to 5.2.5

commit b8fed3a479d970f2c9e77ef0f3fcf7bff1ae3efe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 10 09:56:18 2019 +0200

    pkg/kamailio: updated version to 5.2.5 in spec files

commit 361b5c5d75bbbcf231654c0c44fbbf49619b341d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Oct 10 09:45:56 2019 +0200

    pkg/kamailio/deb: version set 5.2.5

commit 9271ec3e0bc1de5d911f44e311104d8d685e8f4b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Oct 9 22:46:37 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 88adabadaa1b2916dbdffdc7a6eb526dc124c871
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 9 22:41:47 2019 +0200

    websocket: small doc improvement (use module names instead of file names)
    
    (cherry picked from commit 179c536e972f4f8739a4ba3446610161d8cb913f)

commit aac6b02731bfdd0b9627cbc6f78f8337bf09c666
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Oct 9 21:46:27 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 66baf224211877241b4c5d8911d36083fe7d58c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 9 21:28:40 2019 +0200

    tls: docs for kxlibssl rand engine
    
    - manual backport
    
    (cherry picked from commit 64c35a9f06ef42ecbfe2ac11a7ed171c7e91c06c)

commit 9a97bbae48725955e991bbbf4c28dbfbd6b0e0c2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 9 20:29:52 2019 +0200

    tls: added rand engine kxlibssl
    
    - use default libssl engine wrapped in a kamailio mutex lock
    - manual backport from master
    
    (cherry picked from commit 29a75074c99b334ea80d78a247562684d18b2116)

commit 9617f51a19dc715932ddbb58e72fb264ae90b747
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 9 21:22:38 2019 +0200

    uac: spelling fix in uac docs
    
    (cherry picked from commit 167efd5eea2e9a918ecda4249fa5574cfba4e310)

commit f36d6562e54acc2b2f72c04a628b8e85f36bc9dd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 9 12:38:14 2019 +0200

    tm: skip resuming suspended transactions put on wait
    
    - transaction is expired in that moment, pending its destroy process
    - GH #2055
    
    (cherry picked from commit 52afc7b70f8e4abfb347c84872ab7daa202a6a24)
    (cherry picked from commit c44bd17c79bc0119ae201b826d84b9514700eda9)

commit 9230834aec2de5a078c0a4a81f33bd5483729898
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 8 12:31:39 2019 +0200

    avp: free allocated variable in case of error
    
    (cherry picked from commit 5a18155c0fe661e7488f75afa7b0ea7638932943)
    (cherry picked from commit fc9ca0fcdff7ebc5399374038bc6a0aa02207229)

commit 0afa37d08b83a050152bbfec9e8ac764e78fd97a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Oct 9 18:01:29 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 698e21f29b25c432057c4792d8134a4e953efeb9
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Oct 7 17:04:54 2019 +0200

    texopsx: extend docs with a small note about msg_apply_changes()
    
    (cherry picked from commit 899b826bcf2ebe0197fae5766962e0c193c585ec)

commit 4006c2cc53818f52a9a3211c3906d5a7c829970e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Oct 9 17:16:26 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 4288880cd5a11c255ecf426311033a74a8e292f4
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 9 16:56:31 2019 +0200

    tls: add initial seeding to cryptorand generator, as we don't do it in core
    
    - add initial seeding to cryptorand generator initialization to main proces
    - only as additional fallback in case of no access to system entropy sources
    - not needed for 5.3 - we do it in here in the core for all processes
    
    (cherry picked from commit 21e0fba6adb9e77e91ea83ed79b13621df556e1e)

commit 6170ca3bb3f309bd20061fc7eb747631c405980d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 9 15:47:05 2019 +0200

    tls: small extensions in parameter docs related to PRNG engines
    
    (cherry picked from commit 6fb06e5f71bdf1b7fc689701a57f543e34836812)

commit 64cdf0df255932856abceb650cb4ce543b3cd519
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Oct 7 11:50:29 2019 +0200

    tls: update name and mailing list in tls_cert.sh script
    
    (cherry picked from commit 49a78933845f136f8f7caaf7e24e6cdcf206cbb5)

commit 9fc7c9a1ee97e708247e050988eabf8b529c5fb2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Oct 3 14:21:35 2019 +0200

    usrloc: keep a private copy of urecord before running ul_callbacks
    
    fixes #2089
    
    (cherry picked from commit f3cf0a2f4e60a3a7185baa106869dab85cd8cd0b)

commit 052c647e310b59efd06903668aec231eadf321c2
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Oct 7 15:38:22 2019 +0200

    core: workaround related to T_OPT for alpine linux musl C library (GH #2095)
    
    (cherry picked from commit cec1043a9c4daa39b4245b87f28fb5566e8627bd)

commit c419dfddfbfc7b250a4be18665d4ed779435ac2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 7 16:26:10 2019 +0200

    http_async_client: use enough size to print pointer as string in build_hash_key()
    
    - use local string variables instead of allocation in pkg, because the values
    are needed only inside the function
    - use safer snprintf() instead of sprintf()
    - GH #2091
    
    (cherry picked from commit 087654a5028cd800e17fcd9d1768135a60fd6706)
    (cherry picked from commit 2ec8caa1ef9577fa4f21fb1fa2f9f6217a29f3eb)

commit a365a8d3519d33f5314a9c3bdab4e1c1ea465642
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 7 15:31:30 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit dde78715ce88c8bfb6530559fcaa3a182ca72af7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 7 15:13:58 2019 +0200

    tls: docs - documented cryptorand engine for prng
    
    (cherry picked from commit 398641926648a32b635f39f655ae3231038b9c3d)

commit 0e5fbd02c95d76045487b707a7386abb029234ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 7 14:57:06 2019 +0200

    tls: add cryptorand (fortuna) engine for PRNG if libssl v1.1.0+
    
    - set it to be the default PRNG with libssl v1.1.0+
    
    (cherry picked from commit 58f6eb7b8bbd6e22994f4b147b6c2fc9c7d1daa0)

commit dbd4bc0944664c861a31f42c4c70eac148312969
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 7 11:46:59 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 466075c0c9145cf676ffac8102af23478cc1a244
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 7 11:42:12 2019 +0200

    tls: Makefile - do not enclose fortuna lib in quotes
    
    - bsd make keeps them in compile/ldd command
    
    (cherry picked from commit f07893606b2129f3a7f24a7d1f7fee619f9b8105)

commit 1ccb215b96f3dc0bd49ea3feb00f9e8f1a5c1fda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 4 18:12:15 2019 +0200

    xmlrpc: clean allocated buffer for reply when no more memory for reason value
    
    (cherry picked from commit 36a4b16117d79f1a30a9f929350f75ab8bfd5d2a)
    (cherry picked from commit aa875e297bea05828f319d71fc68c44969931231)

commit 6beb87f165d9926cd14eb0bd4d57f4167232121c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 4 11:15:04 2019 +0200

    tls: use fastrand() for the corresponding rand_engine
    
    (cherry picked from commit f877069e141749796ec02a78ce16342f9e120ef7)
    (cherry picked from commit 52dda341500c697b988f600d3ae6f1b0065670bc)

commit d86c831a474e57acc6bd744eb52a24b3b7b9a3c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 4 08:53:53 2019 +0200

    core: str2int() test first if result is null, otherwise init it to 0
    
    (cherry picked from commit b83a165e2d0e34c9bca742708c1891eb114bae04)
    (cherry picked from commit ac16e21715e57befcba386e74214fa482bdf97d7)

commit 52e348087551b42c97bcb235dabbc95255a83b1a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 3 11:36:05 2019 +0200

    tls: docs for rand_engine parameter
    
    (cherry picked from commit 787b95a5a0573d4e81b2475a84bad59076e34faf)
    (cherry picked from commit 3c11a405344af55aa4b9c8d35e1c181473cbdf42)

commit e1b740b43f0fda7bcbf4b36c2816d318193acf54
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 3 11:23:09 2019 +0200

    tls: set random number engine to fastrand for libssl1.1+
    
    (cherry picked from commit 6d154fbb2ff1d2941316281fad120b5db219deb1)
    (cherry picked from commit 2935b65d7d909f8ac355b8f2b5404494c4ec2c6b)

commit f73aa7727607c18cf6d6bcb11c51510c8d3660c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 3 11:18:41 2019 +0200

    tls: option to set use fastrand for rand_engine
    
    (cherry picked from commit 4f514a7956534f1afc1ef30d8332f5dc3547de4b)
    (cherry picked from commit 43aa779ee9e43805e6a7da2c12562fdc89c5c413)

commit c6cac67746e96fff43dbf6b55e018a84722a1400
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 4 16:26:20 2019 +0200

    tls: add local copy of fortuna and depenencies from git master
    
    - add local copy of fortuna and depenencies from git master
    - not active yet, needs additions in tls_rand.* and probably also Makefile
    
    (cherry picked from commit 26d8e3cf82a49ad4e58ced507f7a1787b74656b0)

commit 254d66b0a1b88ba91dabffc3b55a0b10430a18e1
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 7 11:01:53 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 8c70c16d10ed46f4ba8cf002a5b1599a02b5cb93
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 2 08:32:21 2019 +0200

    app_perl: first destroy old interpreter before creating the new one
    
    - on interpreter reset, the new one may inherit globals from the old
    one, if that is not yet destroyed
    
    (cherry picked from commit 58047ba61d0cbceebc8c85590970a573fc396aa5)

commit 0e22d01b54340009d34db92bafb7da5a82c76cc7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 23:04:01 2019 +0200

    tls: option to set custom random bytess generator
    
    - attempt to fix GH #2077 which exposes a crash in the libssl v1.1
    default random bytes generator
    
    (cherry picked from commit fc542100d85a013272dde869e54173a7d5a062f4)

commit fdb54474b7a7cbe953f7869be41459650493e551
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 12:22:34 2019 +0200

    pdt: init len variable to avoid using garbage value
    
    (cherry picked from commit 47e0649eca286bfc26c39dd1142169fc06eea077)

commit 7829be6555b1da66a3802b713304cb28a5ff29a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 12:17:48 2019 +0200

    speeddial: fix stripping domain prefix
    
    - increment the index after the value is adjusted
    
    (cherry picked from commit 6861995e417c40e9ab530d4c0bed97c57de184fd)

commit 7c219b4a7a2e6a8448d72789587ca10f27fcf36c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 10:28:13 2019 +0200

    core: init local structs to avoid use of garbage values
    
    (cherry picked from commit dfe8db758f84f5e88e0cb35b80a65dcd48158897)

commit 3bd97b2ddaf537cad9f937485ec94391f78b17a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 09:04:01 2019 +0200

    jsonrpcc: removed old todo file
    
    (cherry picked from commit fa5f36454f2ef5fb4e55dd05f746430d9786e842)

commit 77c4bd3207173f7e43e67e553fb47f1f260c166e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 09:02:56 2019 +0200

    ims_qos: fixed typo in comments (timout -> timeout)
    
    (cherry picked from commit a6caed41166e555d7297abbae6017c5c54262662)

commit 342e1dcdd8d59269efe93f4c3e7651d4019e2dd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 09:01:29 2019 +0200

    sms: fixed typo in comments (timout -> timeout)
    
    (cherry picked from commit 5631338036c405b1e8c7fe8a1e320db2eb63c3f9)

commit df08856b7570ee477e1aaa49d0550e8541f19f02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 08:59:44 2019 +0200

    db_mysql: fixed typo in comments (timout -> timeout)
    
    (cherry picked from commit 75e0e0f4d693e207d2035f84c3e1ddc9cc715ec4)

commit b5264c56d0fe55622e7f2451d5fbdec1eb05865f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 30 09:05:47 2019 +0200

    tm: removed async mutex define option
    
    - it was disbaled due to conflict with reply processing, the reply mutex
    being used, t_continue() has same processing like a failure handling
    
    (cherry picked from commit de11e2850314b12320cf8fed29f709a38a986709)

commit bc8bdcaa726f375f6deea8228a1ab0cf97c67035
Author: Anthony Messina <amessina@messinet.com>
Date:   Sun Sep 29 11:04:58 2019 -0500

    kamctl: Update dbtextdb.py for Python3
    - reported by GH #1747
    
    (cherry picked from commit a44ade38dc420d2699896930ededf54645837a22)

commit f14807f722e85feb8c7d98b08454a432837fecf7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 27 12:22:24 2019 +0200

    app_perl: log the number of reset cycles in debug message
    
    (cherry picked from commit 1fdabbf5ce5fd218a47b7d147ebec5c6c45c1cce)

commit 7e7621a93013174bf42ff0dd782a46d238c0943a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 26 23:09:37 2019 +0200

    app_perl: set G_EVAL flag when executing perl_destroy_func
    
    - trap use of die in the perl libs to avoid having an exit when
    reset_cycles is used
    
    (cherry picked from commit 9490ec06d3cf0cfd0b0cf2d0a5ef701ccdabcaba)

commit 438df8714322ef9d100452a5f5f2c33304bb2957
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 26 09:19:46 2019 +0200

    db_cassandra: docs - note about the state of the module
    
    (cherry picked from commit 39b7b4073465fd5343297683c59d75510c87d195)

commit cd4f3c7ad82ef11e73a8c5a53cea2fb812b7dd60
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 1 18:00:13 2019 +0200

    core: fix compile error related to missing T_OPT in older (<2.25) glibc (GH #2087)
    
    (cherry picked from commit 325d1e6d53b3db3265d6f76ec34bb3d6a31419c4)

commit f24fb5cd5509dd7c539bf1c36b2676220dc1e826
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Oct 1 16:38:20 2019 +0200

    core: skip get_record for DNS extensions e.g. for EDNS0 (GH #2087)
    
    (cherry picked from commit aeea940adaddc12c1467a0ac8f5e34d14b1339be)

commit dfe5422a70c264af3428e27decf82ab05024b048
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Sep 27 18:31:35 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 983f6436719f5cb388b165ec6474be631263e2fb
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Sep 27 18:15:25 2019 +0200

    dialog: two spelling fixes in docs, small rephrasing
    
    (cherry picked from commit 21af49a8db75b80e6a910e6b6ed0412bbcf5608a)

commit 75c90d1e00170f07c8113b131f889e6a59d28192
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Sep 27 11:25:51 2019 +0300

    pkg/kamailio/obs: removed deprecated fedora dists [skip ci]
    
    (cherry picked from commit 827713c8abb15c50828d7b0597fdf1024a45cbd5)

commit cffcefb66776667846b7e1b1c39059cdd0e8bdc9
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Sep 27 11:47:07 2019 +0300

    pkg/kamailio/obs: Added fedora rawhide packaging [skip ci]
    
    (cherry picked from commit 94a20e8f0005f16b371833b315f8d64457709328)

commit e7e6b547332fb5bdf22b595b9ea7e53794792b27
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Sep 27 11:27:05 2019 +0300

    pkg/kamailio/obs: fixed rpm buils for CentOS dist on OBS [skip ci]
    
    (cherry picked from commit 3ac708b5d80faf1f7615eb884dba2ce2fc04bdf3)

commit 668497172343c01509a6ae17efc2c6e3ac26c770
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Sep 27 11:23:13 2019 +0300

    pkg/kamailio/obs: set correct group name for systemd unit files [skip ci]
    
    (cherry picked from commit e9671df3f458ad40d913bd2ce0792340a5df5948)

commit 02d70893718a96f552dc6426d016a0342e47247f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 25 15:16:23 2019 +0200

    app_python3: implement missing types for 3 params
    
    (cherry picked from commit eeeecadeb1452972de7386354dfca37f483cef06)

commit 695bdaf4a0501c9b5d455052141f42f9f7d8b349
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 25 15:11:30 2019 +0200

    app_python: implement missing types for 3 params
    
    (cherry picked from commit 261cb0f91e7a85bf56c64bbf929673c46197efcf)

commit 40184602ea9b3550fe740a9f41abd73976e4372c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 25 15:16:52 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 1d0e11e3d240d3b818fe41c51c3e8d1955fcfbf7
Author: Jurijs I <jurijs.ivolga@gmail.com>
Date:   Wed Sep 25 15:34:06 2019 +0300

    Typo in RPC Command dlg.dlg_list example
    
    Typo in RPC Command dlg.dlg_list example, it should be kamcmd dlg.dlg_list abcdrssfrs122444@192.168.1.1, instead of kamcmd dlg.list abcdrssfrs122444@192.168.1.1
    
    (cherry picked from commit 6319d73aa3aac1d4da689259dc3ec6084bbfca2f)

commit f8f056b9e822aa7a6fa7abc0e335a6fc64cf603e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Sep 24 12:17:23 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 991a12f98320af2066697cd74394b6fe5900294d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 19:25:26 2019 +0200

    xcap_server: free xpath object before reusing the variable
    
    - removed unnecessary resets of local variables at the end of function
    
    (cherry picked from commit d0ed04ae7938ef09da1ca215043334190adb9c52)

commit 745475301cdacf9d391b39bb17014538a69d697d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 14:25:31 2019 +0200

    xmlrpc: reset fields in case of error for building fake via
    
    (cherry picked from commit b54573ca9167c807a1de39634bed04cb7953dce0)

commit 40e1dba3b2089ee66fec6e431dbbd2bf1f34374f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 17 13:18:08 2019 +0200

    core: print a version flag when pthread shared mutex is enabled for tls
    
    (cherry picked from commit 801a9e38bcd863950a53ed0ca63a2976376daddc)

commit 25585a67489cba4e55e888c68aacb1da17732bd6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 10:12:47 2019 +0200

    kamctl: kamdbctl.base - replaced get_answer() with a portable version
    
    - contributed by Sergey Safarov, GH #2019
    
    (cherry picked from commit 88d06a08a8baf460188745f1d748dd83f275356f)

commit ffec32d01d440cb16dbaaac1b497f7ca9d2c363c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 09:45:33 2019 +0200

    presence: reset freed list to avoid double free in case of error
    
    (cherry picked from commit 28dc74fa8a30b17abd7f7b173b66b8538c5a4bb5)

commit 3425fbad549c16aa79c001560e7ec9ab7583f353
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 09:38:26 2019 +0200

    log_systemd: return in case the xavp is not valid
    
    (cherry picked from commit 9e703c1c1eb362bd68e53b38021aa42f8b173d0c)

commit cba7b6a19c9ac0d80e4bf89153796852afb28e9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 13 13:00:17 2019 +0200

    core: main - functions to set PTHREAD_PROCESS_SHARED for pthread mutex and rwlock
    
    - code relocated from src/modules/tls/utils/openssl_mutex_shared/openssl_mutex_shared.c
    - simpler option to initialize kamailio with the workaround for libssl
    v1.1+ without using the preloaded library approach
    
    (cherry picked from commit a8c811e69e964821b73d0861a9547a301253d172)

commit 827dccc75d560257ba4caef5187894dd5dbd7999
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 13 12:57:38 2019 +0200

    Makefile.defs: detect if libssl version is 1.1+
    
    - link against pthread to be able to set PTHREAD_PROCESS_SHARED attribute
    for mutex and rwlock initialization
    
    (cherry picked from commit 79619717aa67c219fc36dfaac8d06919b8f2018e)

commit 28c4e65e7aef8e6ab1129a45fc01e2b4b721adab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 11 12:42:58 2019 +0200

    core: tcp - set default local socket for tls when lookup fails
    
    - GH #2028
    
    (cherry picked from commit f40df55af2f50789ca4a8b89a213f7323b1932f2)

commit 7c3cc32c98a66318fa355fd14c69772e13ba0a4c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 11 12:05:18 2019 +0200

    core: main - set default send tcp sockets to tls if no tcp is available
    
    (cherry picked from commit 8a678c244aa34cf352fb614693c6e6d505ce2dfe)

commit dcdfc26fc260d36000c991eed89da250c6eb6748
Author: A Alba <ascanio.alba7@gmail.com>
Date:   Mon Sep 2 01:28:48 2019 +0800

    module rr: KEMI expose record_route_preset
    
    (cherry picked from commit e1ab977fd9a61864376782f2534cc0d932347d78)

commit becc6bc3f90781f64b90879db1f7eeac8c2c0ebf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 20:03:05 2019 +0200

    phonenum: proper access to the str type param resid
    
    (cherry picked from commit 56f86535e0ae3fcf8fa2d0b565c7ab61351678d0)

commit e1197ad59685fa97868c5fffcbde841a6136eea3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 2 13:45:16 2019 +0200

    phonenum: docs for resid parameter
    
    (cherry picked from commit d2bac426192c074368bf78014e0d1d0ca97f3274)

commit 21ccb8f3e4f5496e5bb71c6cdfeec96c263f51ee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 2 13:41:03 2019 +0200

    phonenum: new param resid to register result container ids
    
    - allow use in KEMI scripting by pre-registering container result id via
    modparam
    
    (cherry picked from commit 67412b4b2b377cca179de2ebe109bd56fb8a63b9)

commit 80bb3b96f60d3347460a202ec69e01233d9a0586
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 29 18:51:17 2019 +0200

    tls: proper dot position for matching subdomains
    
    - reported by GH #2049
    
    (cherry picked from commit 16beec2b7660d416a05f069695b4ce18e8b4e795)

commit c63d048c7ba2dc1e271fafbbd0e0a74bf7c515a3
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Aug 23 10:05:33 2019 +0300

    modules/rtpengine: set_rtpengine_set fix
    
    (cherry picked from commit fe6614feb5f9b062a556de82fd7df6fc12c96471)

commit ccf16cb7b8f84d2f9899d9922f5c940394ec2020
Author: Surendra Tiwari <surendratiwari3@gmail.com>
Date:   Tue Aug 20 13:17:04 2019 +0530

    Module:rtpengine: memory leak is fixed, if no rtpengine in list while reload
    
    (cherry picked from commit 0e29879ee950d5a9e9a669c7d5c634416d52f5c9)

commit 09ac3e47ef79dbd599b7dec5b84ae3b792f025ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 20 12:07:30 2019 +0200

    tm: set send socket flag when computing the destination and local socket is found
    
    (cherry picked from commit 8d608d1c3ed0fe4c69cb02868b746cd0497dd1f5)

commit 24b46f0e3ec6b280302e3cf59b41ed44424eaf7a
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Sep 19 23:45:20 2019 +0200

    core: remove unused seq variable in build_iface_list function
    
    (cherry picked from commit 8821cc2f5a6b972307fb71e73cf8d57496e61f66)

commit d3ee5a3e16750655c0c106613028b27a8d00e427
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Sep 20 12:02:03 2019 +0200

    tools: fix python exception usage in route_graph.py tool
    
    (cherry picked from commit 4a66e500ddb6028d3dfcf67aca951282309b6ea4)

commit 1ef44dbf7a62a912618f2dc3174ac0adc91e63ac
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Sep 20 11:54:16 2019 +0200

    tools: use correct check of None instead of wrong comparison in route_graph.py tool
    
    (cherry picked from commit 545ef51912ae9bf5e14eaffeb9f41be8359a442f)

commit 35292bc172e8ad2246b3c7c1e1e576264e70a1de
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Sep 21 21:15:12 2019 +0200

    core: fix possible int overflow (conversion after multiplication) in cfg code
    
    (cherry picked from commit d1f5a2a266716d4f6759f9e695249dce442ccdd2)

commit e8c6a8fbd1b16ddd1b8c9180aaf27dcd5cc9e05c
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Sep 13 13:56:34 2019 +0200

    dialog: run DLGCB_LOADED callbacks when loading dialog from db

commit 2c011ba68ae2c2d299d1851a818a5d4b7018f74e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Sep 14 16:46:57 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 5ac8002cfe62bb825dbc2db75a47e38244b03404
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Sep 14 16:38:48 2019 +0200

    msilo: fix documentation for expire_time and clean_period to values from code
    
    (cherry picked from commit 492f6e1584d4a2a51c584ab5a71fe43822acef72)

commit c6eab3787b46f60e860ca7a90b6abf7c21be9f0e
Author: Jeff Gross <jeff@grosssoftware.com>
Date:   Thu Sep 12 15:46:48 2019 -0400

    ims_isc: fixed the RURI trigger point match
    
    - use the RURI from the SIP message in the regex compare, rather
      than the regex string from the trigger point
    
    (cherry picked from commit 36ee7fa70ee43cffc8e7f2c279fb97862daf3f9b)

commit f7ad4bdc2398d37d9226c7a07cdbe0fe604a9cba
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Sep 12 23:47:08 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit daab9563d3edcdf59028ca5b4004bc1d6edecced
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Sep 12 21:53:21 2019 +0200

    acc: extend documentation related to flag usage
    
    (cherry picked from commit 40905046baab49fb3baf0f2fdded1307b023d08a)

commit 71efcfbb059e72cb05572ef7d3f58ac2e7dba397
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 6 20:35:08 2019 +0200

    core: ensure index of preprocessor directive conditions is not negative
    
    - avoid accessing the array at negative index for else processing
    
    (cherry picked from commit 8f6e826576e52270f21c22a7d94b3026cc22c172)

commit 79dd00cdb3f02868e847c6c20932360c403a73d0
Author: Pintu Lohar <plohar@sk.com>
Date:   Tue Sep 10 09:14:00 2019 +0200

    nathelper: Fixed memory leak in nathelper fetch contact timer (GH #2062)
    
    - Allocated buffer is not freed when contact fetch is failed
    - Leak frequently occur when database disconnect and reconnect
    
    (cherry picked from commit 79fecc643d0a17b4de25f54ae269d1bee1f0cb00)

commit d6bc471aa41447d605eab42ee0596a2e47e3be29
Author: Alexey Vasilyev <alexei.vasilyev@gmail.com>
Date:   Wed Sep 4 14:12:22 2019 +0300

    db_postgres: database URL supports IPv6 address as hostname
    
    - changed parsing of db_url to accept IPv6 address for hostname
    
    (cherry picked from commit f99b4926c817e181f83f92ffa15510ff133d0a15)

commit d128b3170c6e82ecd5751351885f9098490068f5
Author: Alexey Vasilyev <alexei.vasilyev@gmail.com>
Date:   Wed Sep 4 13:47:23 2019 +0300

    db_mysql: database URL supports IPv6 address as hostname
    
    - changed parsing of db_url to accept IPv6 address for hostname
    
    (cherry picked from commit a7588f382605991bef4499de8c89b10a9468c8cf)

commit 5a4debabd3c6e997200947453503a972b9dcab0f
Author: Alexey Vasilyev <alexei.vasilyev@gmail.com>
Date:   Tue Sep 3 16:48:02 2019 +0300

    lib: database URL supports IPv6 address as hostname
    
    - changed parsing of db_url to accept IPv6 address for hostname
    
    (cherry picked from commit 9e29e262f0107cedbf2e2d61d045b05c5a5fc410)

commit de9a03f1353456d8e0165cd673d660c3d8e1e27e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Sep 8 22:16:41 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 307939e892877603357af11ff452ca8c62d7bef5
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Sun Sep 8 09:56:43 2019 +0200

    db_redis: add examples about usage with dialog module
    
    (cherry picked from commit 86990ab53c4b5e5ede49b95e17b02f96ae00a01c)

commit 761758b1d8a7ebdb72caf8d5442a38988cf2e951
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Sun Sep 8 08:58:54 2019 +0200

    dialog: check xdata length when loading profile from db
    
    (cherry picked from commit d05dfc20632fde1d65017ff5d7f41713a9c79825)

commit cf9b59a54a49201bd1022a3fb1b7688b45ed3536
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Sep 6 12:13:19 2019 +0200

    core: spelling fix in error message related to pid/pgid chown
    
    (cherry picked from commit 21afc6081c3044b4f754e6a34ea67fd98f2e3af9)

commit 94b60464c9ccac49ebae238aa42ae16fb2c5f9ec
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Aug 26 20:21:13 2019 +0200

    siptrace: check if trace_to_database is set before checking the db connection
    
    (cherry picked from commit afd0c929dc72a975e2ca3c88f307fd8c140a4fda)

commit b16b9bf49d1b8437673c8913265daf8ee311e51a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 24 16:22:16 2019 +0200

    core: kemi - warning when using an unsupported method flag for is_method_in()
    
    (cherry picked from commit 7dc450006743ea160864ce5583a4494fb1033e9e)

commit b21a75dad1575999549f9a84de522dfb8d7fb50f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 24 16:09:45 2019 +0200

    core: kemi - fix matching update for is_method_in("U")
    
    (cherry picked from commit e876770e36c83ce47d1b0f95c14fe269b92a4e70)

commit 5244a3ac50f9766fff9bf4f769eb1d3464d1fc74
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Aug 24 10:47:03 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 63cf7598b2ed0bdf8420782a21a39a44094a6f64
Author: Yasin CANER <caner_yaso@hotmail.com>
Date:   Sat Aug 24 09:13:26 2019 +0300

    ims_registrar_scscf : document title is fixed
    
    Document title is fixed
    
    (cherry picked from commit 2668110abe7b008470740ffbace1235933b9ba09)

commit a57138162a40390c245236a8ab693e62292d92ce
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Aug 20 22:24:30 2019 +0200

    dialog: run dlg callbacks also for PRACK requests (as done for "other" requests)
    
    - run dlg callbacks also for PRACK requests (as done for "other" requests)
    - bugfix for uac module in auto mode with dialog storage for PRACK requests
    
    (cherry picked from commit 4efe19f64d8bb787d2d620a833f5dd29619fa588)

commit 000e778cf8838989e316aa71f35f2e0e252c511d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Aug 15 16:25:57 2019 +0200

    topos_redis: fix regression in PRACK routing (commit cfc89db53c087, GH #1784)
    
    - fix regression in PRACK routing (introduced in cfc89db53c, GH #1784)
    - result set were set to 0 before usage by a memset
    
    (cherry picked from commit a263f5b62c03851a5d8a61f09e69745f90370703)

commit 0ded702ccbb746a26c7172bcbf80dd971ec8b530
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 16 12:57:33 2019 +0200

    evapi: use a completely new fake message structure for dispatcher handling
    
    (cherry picked from commit 769dce2fad66efdbc6cce6951bc60b60bf453a19)

commit 67f889bcda49ad8f99f619b495e3fa201968ad64
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 16 12:56:49 2019 +0200

    core: clear branches and expose the function for a new faked msg
    
    (cherry picked from commit d7bd8a187546f132547788c47ff9a3947be49957)

commit 4db7db8486ecab55e649a4037a1d86cda7633faf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 16 12:37:58 2019 +0200

    core: function to get a new faked message in a specific structure
    
    - refactored the code to be able to fill a sip msg structure with
    content from the faked request
    
    (cherry picked from commit 4a904b5fe90253d0d5517cf1a5cdca3695e59ec3)

commit 9f4c8c37f50ce15e52ea64388d7aab46167e78cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 15 08:33:49 2019 +0200

    evapi: free the faked msg clone used for dispatcher event route
    
    (cherry picked from commit d36a4b00c6becd42cfcec4fc7eb398371e1cc812)

commit 9b6d1e9ee767e2bf2a31dcf817558566d99f81b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 12 11:18:39 2019 +0200

    corex: free old outbound buffer inside SREV_NET_DATA_OUT callback
    
    (cherry picked from commit c79dfbeab0bfefaa4dd5cefc41cba3ba157da0ce)

commit d815945cdf85250877c89b3368506d444aa0ff2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 12 11:18:21 2019 +0200

    gzcompress: free old outbound buffer inside SREV_NET_DATA_OUT callback
    
    (cherry picked from commit d9a1cbc8f66f9fd0991048e5e1ba1579916a092e)

commit 0df6f49fe7a13ce6c01542a16fdd8932043f5ec9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 12 11:18:08 2019 +0200

    dialog: free old outbound buffer inside SREV_NET_DATA_OUT callback
    
    (cherry picked from commit ad8d9628da27a3ab68b005ef52842784af6bda3a)

commit bbac07207f55216ece4fad4d1aed2ed578cb0e15
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 12 11:17:33 2019 +0200

    topos: free old outbound buffer inside SREV_NET_DATA_OUT callback
    
    - GH #2027
    
    (cherry picked from commit 21816a11a56628a9eee17765645fcf03d57929bd)

commit aaeb0ca500f4cbf98631c58da5289eea30b3dd92
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 12 11:16:23 2019 +0200

    topoh: free old outbound buffer inside th_msg_sent()
    
    - GH #2027
    
    (cherry picked from commit 37a1765853294016f43bd633667cd623aaaa2d3e)

commit 891bd927f3e519bb9fb2f23a65f21f82f2f7e0af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 12 11:14:38 2019 +0200

    core: forward - clone outbound buffer for SREV_NET_DATA_OUT event
    
    - this event can execute a series of callbacks, leading to leak if only
    the core function does pkg free
    - GH #2027
    
    (cherry picked from commit 98249e2cc97e818cf7ad492132ecfea2ce13a78b)

commit 5e314acbe9c66fb868ed4cbff1e57a98fc18fa60
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Aug 15 08:46:18 2019 +0200

    ims_dialog: small spelling fix in WARN log messages
    
    (cherry picked from commit f25cf7806a84caccf49275be14a5885a9038bdca)

commit 9f766cbb6d4820e5418594681ae0ebb305204bfd
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Aug 15 08:45:37 2019 +0200

    dialog: small spelling fix in WARN log messages
    
    (cherry picked from commit 389843c34eed6f39f4631eede6f6ab8b6bade2eb)

commit 6670a3b6403fb43670042103ce4e087f92fa0c1b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Aug 14 19:37:37 2019 +0200

    add ims_usrloc_scscf README

commit 3dc241b48be634ff444443ef9e0a4c4f4ddf33a6
Author: Yasin CANER <caner_yaso@hotmail.com>
Date:   Mon Feb 4 21:09:24 2019 +0300

    ims_usrloc_scscf: doc is added
    
    documentation is added for ims_usrloc_scscf
    
    (cherry picked from commit 44049e9a9793824a8ef09759813b3cc8b5864103)


===================== 2019-08-14 Version 5.2.4 Released =====================

===================== Changes Since Version 5.2.3 ===========================

commit 0c23deeaad6b54236966807172388f4073e54dde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 14 11:17:03 2019 +0200

    Makefile.defs: version set to 5.2.4

commit 7218d1fdad903fabaff224cf2be8212013e35221
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 14 11:13:54 2019 +0200

    pkg/kamailio: updated version to 5.2.4 in spec files

commit f4f08a901bd798acd237851c7299c6d07083974e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Aug 14 08:32:33 2019 +0200

    pkg/kamailio/deb: version set to 5.2.4 [skip ci]

commit db0ae1e3dde3331810ba8b154d7e111bf3322583
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Aug 12 21:01:32 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 6e5cb772817a8275c89869c868ce20a2ddb47df9
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Aug 12 20:52:50 2019 +0200

    topos: docs for dialog_expire param limitation for in-dialog requests (GH #2024)
    
    (cherry picked from commit 3ccf5ee691440e806d441f0e58562ddc4137a488)

commit c1eaf3353f43d34f164f28a871399ca785c40b4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 12 20:15:17 2019 +0200

    dispatcher: skip inactive destinations for pointing next to be used record
    
    (cherry picked from commit 18eeda012a711584239b03d5cfef8b7720f0ef31)

commit 7069cbaf28beb35036eeb2ab9bde19844144eb00
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Aug 12 10:32:22 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 1d436e38cbadd47a36a5293b88713566e2454eb0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 6 21:37:56 2019 +0200

    misc_radius: increase MAX_EXTRA from 4 to 8
    
    - GH #2025
    
    (cherry picked from commit 4c537a618949eb48ffed9297f3abc8cdc879b70d)

commit 5d7784a5e35e3060549e5e12a05d1dfc34fbff19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 6 21:37:04 2019 +0200

    auth_radius: increase MAX_EXTRA from 4 to 8
    
    - GH #2025
    
    (cherry picked from commit df93a638040f4c1aa4d6ed3799d6f990b0593f94)

commit 91ffb3e9d2ff60d0e31a33cc00c966afbadadcd2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 6 17:33:15 2019 +0200

    app_python3: Makefile - get all ldflags for linking
    
    (cherry picked from commit d762848d4f71014a6c6b6693b44403324a8edd15)

commit 7368859780f258945f2077a9ea0e1c7e603a75eb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 5 18:29:42 2019 +0200

    app_ruby: docs - fix rpc command name for listing the api
    
    (cherry picked from commit 5773fba2765c8a08be7016e82a6ec02579b49215)

commit 2eafd02697f5f6c6885389e5ef25785d153b3026
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 5 18:11:00 2019 +0200

    app_ruby: print pointers in error log message
    
    (cherry picked from commit ea526a8de9c961a57858ecc4c47ce4ba24e03908)

commit 887c49e597572a58f6400736f8dcd753fa4543cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 5 18:03:47 2019 +0200

    uac: debug messages when restoring from/to headers
    
    (cherry picked from commit 7a4c490a63cd3fa924b6921fcd20ba77a6d661fb)

commit 21fa3d2c130d85a925d2db658dfbd291d21a6baa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 2 13:43:36 2019 +0200

    tm: removed unused error label in prepare_new_uac()
    
    (cherry picked from commit c7ceb08b31fdb3f6560d02fff6b6ee71602c19ec)

commit 5c042d6e1023828f49d7ac75f2b761ad3433ab31
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 1 13:54:21 2019 +0200

    tm: proper resoring of backup lumps in case of cloning failure
    
    (cherry picked from commit cd379886fa7a8ff01b9618491199f8e5b3ce897f)

commit 164702ddbc2e88c818f9293d0c31fef163ea45b7
Author: Guillem Jover <gjover@sipwise.com>
Date:   Mon Jul 29 20:15:47 2019 +0200

    build: Call make via $(MAKE)
    
    When we need to call make from within a Makefile, we should do so by
    using the MAKE variable, which has special meaning for make itself.
    This makes sure, it will get marked as recursive command, and will
    make it possible to use the make jobserver.
    
    Change-Id: I6829f3ee0a830fc8273e1dffe696382fccc6a093
    (cherry picked from commit 2306dd47b308f99e5c22c2d6f4d2bc1200ed8453)

commit f88580226306bdc02120e8a0d0042c640192fd53
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 31 11:04:21 2019 +0200

    db_redis: note about defining key when updating table content
    
    (cherry picked from commit f2df5df815f8dfca87324ca70e6fe9a51fc417e9)

commit 1c406f1e8ff2c02f1d739082c39835d7bee077ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 16:58:45 2019 +0200

    usrloc: use static record for expires callback in db-only mode
    
    (cherry picked from commit 12dbf48d421680764f9e9621de9485616ca0c055)

commit 112529b9e9396c12ec5471ca651f580a02d1b172
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 29 12:25:17 2019 +0200

    kamctl: option to enable kamctl test from shell variable
    
    - set KAMCTL_TEST variable in shell
    
    (cherry picked from commit 4968e8994157f1152bf7461b16049d67e5c9cc59)

commit 5bbf4aeca8063da6f7f911260a95c7475f6184a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 29 10:54:41 2019 +0200

    usrloc: delete contact attributes in db-only mode
    
    (cherry picked from commit b642263a08313e86cc4936a9c489e8afb4a2cb5f)

commit efaeb98c3a251e468573d6ebdb3d92c6065c7bdc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 29 10:40:56 2019 +0200

    usrloc: coherent indentation and whitespacing
    
    (cherry picked from commit 12bf3cb574e2ead2da46e7e237a33415ae12df61)

commit e2a0873df1e18640e1bfe7bc0adee725202afa2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 19 10:03:53 2019 +0200

    evapi: adjust log message when no client connected for dispatching
    
    (cherry picked from commit a6a2416e59c1e1a5cbadd3ecceecff52201be10d)

commit 1bba5826292f0dbd6703f8df941f886a2a71c9e9
Author: Surendra Tiwari <surendratiwari3@gmail.com>
Date:   Fri Jul 19 13:07:32 2019 +0530

    evapi:return code and log fixed for no evapi client while sending
    
    (cherry picked from commit 08cf17288861bcaa8f3b23166059ead517d1b4fe)

commit 77abc5d6923930649bb2fc76dd3b4f5d702684d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 19 09:50:21 2019 +0200

    core: pv - increased the size for vars and transformations tables
    
    (cherry picked from commit e6b183a1ec3b267cc25040a9b67a1c151ee85555)

commit ae766571c230ef9b1e8edd0faade674061488897
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 08:46:27 2019 +0200

    corex: debug message for set rcv/snd sock functions
    
    (cherry picked from commit 5e961873401fd0a93ff03ba8d75dbcefbf2fbcf0)

commit 2a864f3580fb97c9e920f8fa7cd9361ad3b88aae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 08:41:29 2019 +0200

    core: debug message for forcing send socket action
    
    (cherry picked from commit abe060b417c5270082aa46660fdc2f78098a5888)

commit 681dd5d519c24e8e0574eafccb62e9c0b6cf8732
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 08:34:31 2019 +0200

    pv: debug message when seting $fs (send socket)
    
    (cherry picked from commit ac95f0c29390e1dbc0779b56936ee68a424595e0)

commit 2fc5178d6557e2c1e8351330456cdcd8a55bebee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 15 17:24:14 2019 +0200

    siputils: log method ids on mismatch for options_reply()
    
    (cherry picked from commit 9dab8303a96614fd74efff6add359a23713642a5)

commit 787ebf8cef9972292a38c5d3335703a0407c547a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 15 16:41:22 2019 +0200

    siputils: exported options_reply() to kemi framework
    
    (cherry picked from commit 183ff04e00e592cc2c7db54732c6a3bb8fb75bb8)

commit a77c4a9268e416abdae5ec74374451d4172cc8e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 9 09:35:08 2019 +0200

    kamctl: relaxed regex check on aor and sip uri
    
    - it required a dot (.), not valid for ipv6 and single word domains
    (e.g., localhost)
    - now just match on USERNAME_RE@.+
    
    (cherry picked from commit 94e9d47d2d2da82be23f1bae8cd6491c758a384c)

commit 59d29bc35138939a14beed501e7d8ae47b35b6e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 6 09:00:06 2019 +0200

    usrloc: coherence for int type of parameters
    
    - it was combination of int and integer, now all int
    - fix examples for int params, related to GH #1999
    
    (cherry picked from commit 91fa799e436de252e9f5aa5d8f09609f46db6e58)

commit 21af99321bbcc14ffeced749eafe003caff26b36
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 1 17:30:07 2019 +0200

    uac: docs - examples with rpc commands having params numbers converted to string
    
    - GH #1988
    
    (cherry picked from commit ec42a0b36a10dec0852bd1ef2bf3ad7ab9ad8dbc)

commit 942b0ab096a7981ddad19a74974eef3d23d44cd6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 28 16:01:43 2019 +0200

    pv: relax uri and params transfromation parsing when separator is last char
    
    - more flexible in parsing custom values, detection done in
    transformations code
    
    (cherry picked from commit 1c4af823c39d28b694c1dec607d8d72c5b726456)

commit 1f7519fa002e7cfff0edd2180aeab2b5306881e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 28 14:53:02 2019 +0200

    htable: docs - rephrased info for db_expires to clarify its purpose
    
    (cherry picked from commit f87adf6aba3fcebfe162341bc45d130365d34f5e)

commit 4d3bc9dbd2d4da88e6f04f0cdaa52944430fd364
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 28 08:07:02 2019 +0200

    uac: debug messages when initializing the remote uac registration
    
    (cherry picked from commit 0fcb2607d2d63a0e10fce189b6881ac15b985bb4)

commit 4761c2708a6b315d4cc0b1d8c88fd9d90e1400ee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 27 16:25:27 2019 +0200

    sdpops: exported to kemi the functions to detect sdp with codecs
    
    - sdp_with_codecs_by_id() and sdp_with_codecs_by_name()
    
    (cherry picked from commit 3716541db01c09bd00998bdbd0c35b3a842cdaf5)

commit a5f51d169ab3cd890d005eac1ea5d91102acbda7
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Tue Jun 25 15:37:43 2019 +0200

    call_obj: b/f acept optional limit parameter.
    
    (cherry picked from commit 8266f0ee05b1f2faf2d4148efca257f7322da4ce)

commit 203b027357259564aaef1db2f004bfaaa30c9fd7
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Mon Jun 24 15:06:25 2019 +0200

    call_obj_mod: no need to use a free function for call_obj_get.
    
    (cherry picked from commit a58b4c2afbffdd2584f553f8d7d36a84d40e2aee)

commit 8848bce61107c98a4b8e6fd2afe3670ec90baf70
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 27 09:36:21 2019 +0200

    lib/srdb1: support for username@domain in user id part of db url
    
    - used by some cloud database services
    - reworked patch from GH #1992
    
    (cherry picked from commit d419f427d2acf890e5e45c4f3e8e7a2b2fe4cead)

commit bf5e1698e543bce6cbf424773322a06ae09d2c19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 25 23:03:17 2019 +0200

    sanity: free parsed proxy-required header in case of failure
    
    - reported by GH #1990
    
    (cherry picked from commit ffa2aa438e2a13e6e8bdbe70dd90827ae18279ce)

commit 2b58dee39ea92e2fd2038b70cb0c0436c109d6a2
Author: Julien Arlt <julien-arlt@gmx.de>
Date:   Fri Jun 21 14:52:11 2019 +0200

    userblacklist: fix double "check_user_blacklist" in module documentation
    
    (cherry picked from commit b7f7efe4f952894aa847165cc038cd5af4c3141a)

commit 9d4f48b20216b688006fb68e9878a2ce339d19a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 22 10:58:18 2019 +0200

    rls: Makefile - link agaist libicu on macos/darwin
    
    - libxml2 needs it but its pkg-config doesn't list it
    
    (cherry picked from commit 46084c898d0598e94c7f22ab03d321e037fd7f55)

commit df7a3c2b1c9dec3655f175728a5771262fd6a747
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 21 11:08:12 2019 +0200

    presence: docs - aligned examples to avoid large whitespacing
    
    (cherry picked from commit 8a909021ccccc321b06b3437d124978bd901ab18)

commit 0bcfc63dd365e50e8a6394e005972e2bf5d0e86a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 20 20:35:04 2019 +0200

    presence: docs - fixed name for event route presence:notify-reply
    
    (cherry picked from commit f005e2edca8fef350546cb743bf1cb51ee4ddd8d)

commit 59402a71c5c7d8fc4ffd3dbb5643fb6605982e51
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 20 11:01:09 2019 +0200

    rls: docs - added section ids
    
    (cherry picked from commit 50dfec2f2b7a467afe7c935524d0d385e9018f02)

commit 29114b86e4360f2de53310070db872cd09aaef6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 18 16:25:25 2019 +0200

    pdb: safety check for header length in pdb_msg_dbg()
    
    (cherry picked from commit 3c07e2351a94e4ff2cf3c6b9b9df4d7462cd5760)

commit db0cabd8673e5ad7468eebae1781dd176bac1788
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 7 09:55:04 2019 +0200

    exec: debug message with number of results for exec_avp()
    
    (cherry picked from commit 01c50c84aed717f9de689ab4eec3faec59a498e4)

commit 1789377bdb6180b8979a84502ba439366f7f8d45
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 7 08:48:34 2019 +0200

    tm: detect local uac transaction not inserted in the hash table
    
    (cherry picked from commit cf0008d843009acc8e40fcad3eceda063b1a358c)

commit 2f07bb77623c556b440d040203ade01726a59fde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 28 08:44:32 2019 +0200

    usrloc: clone xavp list in contact struct in memory mode
    
    (cherry picked from commit 76f0fa8a0330de3885f5f3830eb90061c59045d4)

commit 009f62895e835606c1a6c378aeded6c7068f3902
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Aug 11 11:02:02 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 822820827c55adb02efae9703cfda9b936686f3f
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Aug 11 10:56:56 2019 +0200

    acc: remove diameter specific doc content, code was moved in 2017 to acc_diameter
    
    (cherry picked from commit d8cede175ddeada5ca5654a74e765f154dcfa86d)

commit 71e384ab77faf7d09c7cb27996a16f588e9dd22e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Aug 11 10:51:37 2019 +0200

    acc: doc improvement regarding radius and diameter modules
    
    (cherry picked from commit 59a58e8a01e91def4634b551cb69ebe1f1c953e0)

commit 82bbbd443977ee45c87958265ef064c94689c17c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Aug 9 16:46:36 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 06d6009624ec5f537838e23afc491043e6edae75
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Aug 9 16:35:30 2019 +0200

    uac: fix another copy and paste error in docs
    
    (cherry picked from commit 85994cda0a9413836386d595aab1657d1412ec8b)

commit 1681a5b22270e1dfcbad8edea2881c24d49e847d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Aug 9 16:25:02 2019 +0200

    uac: fix references in docs for AVPs
    
    (cherry picked from commit a5360fa28d8394bf420915645ecd0658dcd1c7b8)

commit 643faf56274d6432b9884a062a669d0920d04bd4
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Aug 4 21:12:48 2019 +0200

    domain: fix memory leak on domain reload (related to domain_attr table, struct domain_list)
    
    - fix memory leak on domain reload, reported by Mack Hendricks
    - related to domain_attr table, structure domain_list
    
    (cherry picked from commit f50177003c21f53564be6349c0bb4935be184e2d)

commit 24e327280b1790ed15e16f6fd251c5596728abd8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 8 18:29:40 2019 +0200

    sipt: reset the static buffer for returning the number
    
    - GH #2030
    
    (cherry picked from commit 2c052974263c0785eb5280a935162673ac82dc6b)

commit b88e04ee3d873a1d9c09b504e62174c0e1aaa02b
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Aug 6 09:44:38 2019 +0200

    corex: fix parser for alias_subdomain modparam, extend debugging output
    
    - fix parser for alias_subdomain modparam, it was not working correctly for
      all proto:hostname:port combinations (e.g. hostname/proto mixed up)
    - extend debugging output for alias adding and also alias matching
    
    (cherry picked from commit 36ef1bf77f9df7bc5022c1dc350e54df2d168cf3)

commit 9db6d9cc7751684981c2b602b3bd6021edc3a7fb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 27 22:36:20 2018 +0100

    db_mysql: remove build warning, unneeded include (#1777)
    
    db_mysql: mysql_version.h is already included at mysql.h (GH #1777)
    
    > In file included from km_dbase.c:38:
    > /usr/include/mariadb/mysql_version.h:3:2: warning: This file should not be included by clients, include only <mysql.h> [-W#warnings]
    > #warning This file should not be included by clients, include only <mysql.h>
    
    (cherry picked from commit 57263490bd1dedbb4b7fdad6046880980feea040)

commit 82635674517b6c96678289ca4e807ae73020eefc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 29 13:51:57 2019 +0200

    core: skip to-tag when computing via branch for invite, ack and cancel
    
    - proper functionality for stateless proxy in case of negative ACK (in
    this case the INVITE has no To-tag, but ACK has it and resulted in
    different via branch, making downstream proxy to not match transaction)
    
    (cherry picked from commit b4e11cb25d848651406e0ad355d54f10db971761)

commit c93c7eb77692f213e68be7992f031e4cfd377605
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Jul 30 16:37:20 2019 +0200

    utils/kamcmd: default port is 2049, adapt help and README
    
    (cherry picked from commit 74375eae8f447952d17a1d89e5a62f029a15a81c)

commit dd21d3eab5024e351c06ea3ae7b0e427dbd38701
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jul 28 22:01:44 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 228154df82bbc2ebfa4edaf5e1bb91453bfb53e5
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jul 28 21:44:50 2019 +0200

    db_text: small fix in docs
    
    (cherry picked from commit 6b946807dfa77eeead83b5a4650bd3e59f75ba57)

commit 77c60ca41c1789cbc3b7872d0f66fc8323ac260f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jul 23 10:46:47 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 4d8dac06ad4fe9bcdf9a2fbc2d79a56918ca4e8e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Jul 22 21:13:54 2019 +0200

    tm: add missing docs about event_route[tm:local-request], GH #980
    
    (cherry picked from commit 8d613cb532fadecddde799a982bd9acf96df1eaf)

commit 99e78ce404da0d7d0e98464916eef794d0f889a1
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jul 21 11:51:01 2019 +0200

    uac: minor spelling fix in docs
    
    (cherry picked from commit e7061ee85ddcd203fb58fa023eeddd90bc97848e)

commit 4a50d6c091e0c8b38a582d4b07263c5c97e64d7d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jul 16 11:22:31 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e0f95f60ae08b583f52f1aa3aee72ef57c85e139
Author: Niall McAndrew <34754073+niallmcandrew@users.noreply.github.com>
Date:   Tue Jul 16 10:53:47 2019 +1200

    tcpops: Fix the example documentation for tcp_get_conid
    
    (cherry picked from commit e094407297e89e574f10347ce720bd8475537970)

commit 7c8ee7a32a712cddc4d6080f9d9f48a588113eb0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jul 15 12:09:00 2019 +0200

    rtpengine: fix error output on send_rtpp_command()
    
    * rename out variable to cmd due to We already have an out goto label
    
    (cherry picked from commit 262068940ba8dbd1b9fd93847f83f40c038d988c)

commit 13e6e5ab591297237027a966b01cef5cb59f9f10
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jul 14 12:25:28 2019 +0200

    dispatcher: small spelling fix in docs
    
    (cherry picked from commit 93d18c0e4a805c86e82e2271d2d496b4b125fdfd)

commit c23ea82a80c3e66a11b3c1f0bb0ea22e0e7985bb
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jul 3 22:09:40 2019 +0200

    acc: extend description in docs for log_missed_calls flag
    
    (cherry picked from commit f7f3222ec03b2a1e9260a79e737cc55c7dac169f)

commit 01786b79e449506d0ccdf7528343e996be4e7cad
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jul 3 16:57:48 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit f9caee5851bfafe195ebf009bd6a51051394c7d5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 28 17:06:54 2019 +0200

    usrloc: fix memory leak on DB_ONLY mode on RPC commands
    
    (cherry picked from commit b97bb77265e7bfc5562a664e8a510692ed68b2f8)

commit baf9e9fbfcf3be043085a649eec3f396213bcb5c
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 30 11:51:57 2019 +0200

    call_control: add a note that the callcontrol application expect the MI interface
    
    (cherry picked from commit 62d607f29593bcd645c7d068327e0bd4a0db0a8f)

commit 4a458861b4377f53218a6c836f18adca6b17a9ff
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 26 12:29:22 2019 +0200

    registrar: clean avp/xavp created at 'usrloc:contact-expired' route_event
    
    (cherry picked from commit c671e78142b51515d64392fd9a9db8f07e904167)

commit dcce685ab41097dc77fad50c414a66e634db72b9
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Jun 14 02:00:09 2019 +0300

    pkg/kamailio/obs: Updated libevent2 deps for CentOS 6 dist [skip ci]
    
    (cherry picked from commit a54b36e2533a71d8e38c03b497b470110a1e33fb)

commit bda9d6a23a2c2e5f5548f0a57444aeb4137a0bb0
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 13 11:51:17 2019 +0300

    pkg/kamailio/obs: Updated jansson module dependences
    
    (cherry picked from commit 602eacf713a092eb0b4758f243ddd2342d2ee16f)

commit 2d2b993673d0296e6d9c08ff78b73341e407a37a
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri May 31 12:42:21 2019 +0200

    htable: fix a possible null pointer dereference in dmq startup error case
    
    (cherry picked from commit 6f0b67b675dd18dce60fa3e5a4ece063216bbab5)


===================== 2019-05-22 Version 5.2.3 Released =====================

===================== Changes Since Version 5.2.2 ===========================

commit f946e1bd70099c0d6c490cdafdb2d111fad4fbfc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 22 12:42:04 2019 +0200

    Makefile.defs: version set to 5.2.3

commit 45cae4e6829ba2affd17c31745f217b97f173b07
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 22 12:40:04 2019 +0200

    pkg/kamailio/deb: version set to 5.2.3

commit 4a6a9574536400d67713f1317111c5fc1417e2db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 22 12:32:04 2019 +0200

    pkg: version set to 5.2.3 for obs, rpms and apkbuild

commit 1d06499462e1e893e5965d2cc9553cbdd5bd347d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 20 10:56:08 2019 +0200

    tls: register SNI callback for server default profile
    
    - make SNI work for other profile when the default one does not have
    server_name
    - GH #1938
    
    (cherry picked from commit 08d22b7bd95828554e30f4c23e906cd9d234e1cd)

commit a67274df404107a729890b5d4936928f8cdde379
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 16 08:57:17 2019 +0200

    core: kemi - typedefs for functions with 5 parameters
    
    (cherry picked from commit e184648a9cf9b7be2cc12ef64bbb978926384e2b)

commit 110de27806d7703939b3123cff7a8fe423028d0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 14 11:02:49 2019 +0200

    core: pv - define the string printed for null value
    
    - added function to return the str null value
    
    (cherry picked from commit c84a89a3ab5b3f3174203753e51926143b0309f8)

commit 4676d3d2c1267761ac6405464459b49c809afcbf
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Apr 25 21:38:44 2019 +0200

    pv: clone string in all substr operations, related to GH #1937
    
    (cherry picked from commit 280eabf16a45f522655f8b49677e46c75d34024f)

commit b1e1fc1002bc4a11b7c4ff0421de483b9a78dceb
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 18 23:00:38 2019 +0300

    pkg/kamailio/obs: Packaged app_python3
    
    (cherry picked from commit 1abcd38495c39cb0ba69ddcb9ddd06a695bd6e67)

commit 089874a2eb218e7f43bde12f95a113a1b4de5988
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 18 19:27:56 2019 +0300

    pkg/kamailio/obs: Fixed packaging on Fedora 30 [skip ci]
    
    (cherry picked from commit b2402ec1fdde4584c9061e0a47a92e3328b5e7a8)

commit 14ac6f410e2e2a6bf6010598234e2bb772ecec0f
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 18 12:56:08 2019 +0300

    pkg/kamailio/alpine: Packaged pua_json, db_redis, ims_ocs, acc_json [skip ci]
    
    (cherry picked from commit fd98820199be3c395174b6f86a24773356d802b6)

commit 353192ca4f2203fb85fdda6e0ea9e734f27019cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 16 12:35:46 2019 +0200

    db_mongodb: catch the null values and set the type to DB1_STRING
    
    - avoid the log message on unhandled type
    
    (cherry picked from commit a5781fc4bb3063c6e7abf54d93178ef610617298)

commit fcf6fd61e38da76e775fea6d38df3704a28f545c
Author: szcom <sergey@wgtwo.com>
Date:   Wed May 15 12:54:12 2019 +0200

    ims_qos: use msg_ctx_id_t to detect same msg/transaction processing
    
    - relies on msg id and pid, not only msg id (which is incremeted by
    each process and has potential conflicts with failure routing)
    - msg id and pid are enough to indentify the transaction thus
    dropping checks for the pointers
    
    (cherry picked from commit b951d88eea52e9fbbec62d2069b6169fc182ba91)

commit 256400382a9a4edac601c18cf2affe59b4dd93b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 14 16:36:08 2019 +0200

    core: return negative on error adding pre-processor substdef
    
    - expected by the checks when executing the functions
    
    (cherry picked from commit e648fd5e10a6ec694129be5fab0a84c2c90aa916)

commit 1f4262b3f7db30e917eec36132c193c4be6c04c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 13 15:27:08 2019 +0200

    rtpengine: allocate space for one more rtp relay control socket
    
    - keep it as safety end place holder
    - should make it work again for the case when starting with no rtp
    engine in the database - GH #1940
    
    (cherry picked from commit c836f8ba2f4d3a32b8a4fecba332355df01daca6)

commit b7b1169a36099a1175314892df3f2a49e677c9a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 13 12:40:24 2019 +0200

    core: adjust the value for _pv_cache_counter
    
    - reported by GH #1948
    
    (cherry picked from commit 8e51acdd73e8e4ab95c79cc69fb53add7c6cfd38)

commit de94b66c22a0ad9127bba331433c24564638ca5d
Author: Seven Du <dujinfang@x-y-t.cn>
Date:   Sat May 4 07:30:23 2019 +0800

    core: fix timer typo
    
    (cherry picked from commit c85ec2eed71c5d1bc3957437f27ffe9b6f18f4df)

commit 9260a2bd11767d694dcb93c2600869b94abb5e27
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed May 15 16:32:07 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit efa660150a4e68e1af274d492acc7b05bf9b555a
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed May 15 10:16:27 2019 -0400

    db_text: add missing "max_result_rows" param to the doc
    
    (cherry picked from commit 6b7d02c9ed404abaa7c45dbcc86173533a838e01)

commit f406266966b68fff9493c62ac5c9ccc5b8237e6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 15 12:47:19 2019 +0200

    siptrace: fix memory leak on sip trace function with dst uri

commit b536723c66441203c2eaaa1ed1a68c981a0254be
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 15 10:00:56 2019 +0200

    dialplan: don't try to translate on dp_match()
    
    fix #1952
    
    (cherry picked from commit cced23795582d9f4cc2bae545ea1c24664303036)

commit bdced08654188d70da6af776ac73c851196425b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 13 10:03:43 2019 +0200

    core: proper check for allocation of route_locks_size
    
    - regression added with relocation of code
    
    (cherry picked from commit 403de77c079a125ac101ff2ae58e08551a12a022)

commit 04a0a7014a605d9d332b70f966f8afc5fec4d448
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Apr 30 14:21:38 2019 -0400

    db_text: avoid buffer overflow for large names and/or values in db_text files
    
    (cherry picked from commit 20febb28402a2e1ef3c23fda6db0825ae64affc6)

commit 5f8114102fb64510b283ceba7f10a3345e632d70
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Apr 30 13:31:20 2019 -0400

    db_text: throw an error and abort instead of silently truncate tables
    
    (cherry picked from commit 3ed1fcdbb9247b1eb10d8d544f2a67b277bd1031)

commit 75f743d9501faaead7a173c8f459d4b2adfcb41d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 6 11:20:00 2019 +0200

    usrloc: udomain_contact_expired_cb fix memory leak
    
    We need to call release_urecord in order to free the ucontacts
    generated at get_urecord() on shared memory
    
    (cherry picked from commit 48fd1a23cc3ddcb0df082bc24669dbf3a9fdc203)

commit e05a3f30986244d1a1bdbefda63278416b8aa2af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 5 08:04:55 2019 +0200

    htable: fix export of kemi sht_reset()
    
    - GH #1941
    
    (cherry picked from commit 5b9fb55b6697bf3cd16727110a4b4bcb8350357d)

commit 7fd6ca67616077fb8aab4a279c8b251de94b4a95
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 11:53:15 2019 +0200

    auth_ephemeral: test the lenghts for compared passwords
    
    (cherry picked from commit 42129d35e4510092266322168f68f3019d28bdb8)

commit 290eafbdd9423219defdfdc56bad9eeabc036b80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 10:39:22 2019 +0200

    htable: set expires for kemi htable.sht_setxs()
    
    - GH #1943
    
    (cherry picked from commit f64da295f6c3cfa3e340616fcc12564ae2689746)

commit c19ab2e81ed68379b58df60005f954fe8112ceba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 10:28:18 2019 +0200

    app_python3: use PyBytes_AS_STRING() instead of PyString_AsString()
    
    - PyString_AsString() is no longer in Python3 API
    
    (cherry picked from commit 48bb059d8ff9b009d3c8afda83e0c964ab604d5a)

commit 8dcb244225aa93554e5de6272420dc5cbec84ee1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 09:38:37 2019 +0200

    app_python3: proper cast for ssiis function execution

commit babd8c28b27a2f4154ca3997b04d181f019c82c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 09:05:26 2019 +0200

    app_python: handle kemi sssi parameters
    
    (cherry picked from commit a36f2c050ff607b5f3c08b7fc8ed01e082e91dc8)

commit 63185483ae8f13e7199c9eedd30d0794a1598a05
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 4 14:57:41 2018 +0100

    core: kemi - define for function type with (str*, str*, int, int, str*) params
    
    (cherry picked from commit a23f98c1751fffb80463ea61c4de76f62f8dbb6f)

commit 42117d15568025c5604f5aa82d47deec5f996b5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 08:54:28 2019 +0200

    apy_python: fixed condition in matching parameter types
    
    - GH #1944
    
    (cherry picked from commit cbec7f92213de1ff096ea00c5a7a3b6354f7ede9)

commit c4018e1bba7c84274c9bfa1d2380d39232e1de46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 09:06:07 2019 +0200

    app_python3: handle kemi sssi parameters
    
    (cherry picked from commit 6bc7853a114fb000744cba3a43f346f71e640452)

commit c4cda7ba406215ec8b84176ea533038770fd4485
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 08:48:32 2019 +0200

    app_python3: fixed condition for function with siis params
    
    - GH #1944
    
    (cherry picked from commit 5d5b9786d3cd765a9cf957e34d849fec34bf5e9f)

commit 76908b459b0ca65a4df0413726a1f465436ebc8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 1 12:16:58 2019 +0200

    app_python3: use system time to compute execution duration
    
    (cherry picked from commit 9af0f27f664a2514e1b471411a2b8c362763fccf)

commit 562287f4c43e1dc8b1a0ff74f76a80118df06508
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 12 13:28:22 2019 +0100

    app_python3: execution log message based on core latency_limit_action
    
    (cherry picked from commit cce69dad4682c8bdc4085fe1513dece44643bd9c)

commit 9bc44f9ff53a4dd1b4e291d6c89ea2a6f0166c8d
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Apr 25 22:18:14 2019 +0300

    pkg/kamailio/obs: Defined missing RPM macros for RHEL/CentOS 6
    
    (cherry picked from commit d7c117b961b6c5b6d40cec9b81de94780578d5f2)

commit a829305aa207ddcda3936a0ffab082cb93359efc
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Apr 13 19:52:03 2019 +0200

    uac: bug fix for uac module uac_replace* functions, register callbacks after start
    
    - bug fix for uac module uac_replace* functions, register callbacks after restart
    - only applies to the dialog tracking mode of the module
    - the uac module was not using the available dialog callbacks for a proxy (re-)start
    - because of this the uac module was not able to properly re-write in-dialog messages
      like BYEs after a proxy restart
    - As we don't have access to the uac_flag at the dialog on load callback, we just
      install a callback for both from and to rewriting cases. If only one of the
      functions is used in the cfg hen the uac module will obviously not find
      database variables for the other case, and will log an error. This is of
      course also a bit inefficient, but as it only applies to this (re-)start
      case it does not matter.
    
    (cherry picked from commit aa7dee1ab874aaac807c2166f38ec9da0fa0ccf6)

commit 26fbc04bcf925396ad928583d0d38b99ed296f57
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Apr 13 13:13:09 2019 +0200

    uac: log an error if uac module should use the dialog module and it can't bind the API
    
    (cherry picked from commit e2de33b01efdd2c9799a1d5cf9d0e7d127a36416)

commit 3226ccb44ba6becfffe8ba36464a7756ceb03342
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 11 09:37:25 2019 +0200

    core: parse - validity check for contact uri size and more verbose log message
    
    (cherry picked from commit 69f9b0a4d5261ec5b6d8d7163b3809a9bb24916d)

commit 50296edbd3a546a00bf3f0b14850bc003b22a360
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Apr 11 09:21:44 2019 +0200

    core: don't abort() Kamailio in case of invalid lump parameters, return an error
    
    (cherry picked from commit 853f65454d1a77b0145e80b006699fa1048045ac)

commit ccedfabab2d5fb9888842f36f45c8505597ea74e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 10 10:40:14 2019 +0200

    tls: set execution context for kemi callbacks
    
    (cherry picked from commit 7f20200c9e0bca5c4ed16c55b9db162922a51e76)

commit 0c78f5d026202031d2d2cdd21049805559b5e1f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 10 10:36:17 2019 +0200

    msrp: set the context to kemi callback function execution
    
    (cherry picked from commit 501c2b88e8e0bf16f2be0b0255d35d449467a60d)

commit 3300632cb397d49725fcd702b56a56229ed21719
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 10 10:15:09 2019 +0200

    htable: execute the kemi event route callbacks with context
    
    (cherry picked from commit 9eafd82c3e29ec4480bc5be3e6aa1e9d66243dc5)

commit 121282ac4986d6389a6dd64c35b77337a4ca256b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 10 10:00:00 2019 +0200

    topos: execute the kemi event route callbacks with context
    
    (cherry picked from commit d2cb91dffc262060337f553b178dbeb5dedb3dfb)

commit cb1b346f6b815ed0fdd9644e5c208f7c2a0d9f14
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 10 09:56:20 2019 +0200

    core: kemi - backpup and restore old context inside sr_kemi_ctx_route()
    
    (cherry picked from commit 0689ac5976121d5a8edf815c0cee51da1098530f)

commit d82a6cd45c1486f767b7fec2a02161f7314c9071
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 9 13:04:19 2019 +0200

    topos: set context when executing event route
    
    - should fix detection of using KSR.drop()
    - reported by GH #1924
    
    (cherry picked from commit a383027eae25e63a779ecf9377facefdd2e05ef6)

commit d63b21f1b52861a31555f63b2d8d88c0c2a672ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 9 13:03:38 2019 +0200

    core: kemi - wrapper function to run callbacks with context
    
    (cherry picked from commit 395cae83da4d83920dd038d299c30ffa97b6c272)

commit 56f87246f7bd1571b030ef230d78beed408dbdec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 5 08:49:27 2019 +0200

    app_jsdt: use system time to compute execution duration
    
    (cherry picked from commit 626a8bf3e6cbc6dbdf11de0e6f8737f08c79a0bb)

commit 1becba8ef4b901f3fd67842711b079e8011beb2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 4 22:02:17 2019 +0200

    app_sqlang: execution log message based on core latency_limit_action
    
    (cherry picked from commit 639db054d0d2e8b0bb50c9109750419654dedbe1)

commit b4df4fc4b0401b522b7fce516e286aec85d4ad96
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 22 04:34:26 2019 +0100

    dialog: parse headers for request and transfer reply for errors
    
    (cherry picked from commit 4e1ebc6b446e6264f91c96deaed0548de353d731)

commit c2995f731ab3a94f302af63bdad9c3bf61d4e995
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 22 04:17:23 2019 +0100

    dialog: parse tm callback reply in early phase to detect broken format
    
    (cherry picked from commit 6b9837c30f9d2a2ca937d7e6d8c1c496fe4d7d30)

commit a2de837273c84c42233dd12829a8aca57257ce9f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 2 17:09:53 2019 +0200

    lib/srdb1: use system time to compute db query execution duration
    
    (cherry picked from commit ce8d36f301d7688255597a67693e47dc14448650)

commit 8d1996ac6c6c7b1445bcb8f4589bfc3b1cfed805
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 2 13:45:56 2019 +0200

    lib/srdb1: use the proper field for latency db limit
    
    (cherry picked from commit 7560edb8aac6b60a5c4392db21c16e4096bf529d)

commit 86944f591edcc8436d2303ac0861992ad25ad5bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 1 16:52:21 2019 +0200

    db_postgres: Makefile - fixed name of variable used to detect pkg-config
    
    (cherry picked from commit 49a34c863335e6b0b09e397d7962395306506c00)

commit 8662b187a9a3df0bd2ac683b56bb512987487081
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 1 09:52:16 2019 +0200

    db_postgres: try to use pkg-config for lib paths
    
    - GH #1915
    
    (cherry picked from commit b23e8e47474d9c25c6de0f6c3da07ae43b85ad8a)

commit 64d87fd6c8971650749fc5238bc1ddab1a48d1c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 31 12:54:34 2019 +0200

    core: action.c - use system time to compute execution duration
    
    (cherry picked from commit a7660333c790572201d8bc2f8c19fb72d3cb442b)

commit cbef48a15d023ae602bb88bafdcf69d4e1b42e27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 31 12:50:14 2019 +0200

    app_python: use system time to compute execution duration
    
    (cherry picked from commit a300cf008b86dec22a1006328ab73c3ce399c6c3)

commit c06fb117baeaed51b488a9e9adceaaf5b1413f90
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 30 14:21:35 2019 +0100

    app_ruby: proper check for param types
    
    (cherry picked from commit 6d43eacd6d5b78fe857267e70b7fa85519a7d5b6)

commit eb5f2096282e93b14fecfc64f22aba0db467dec5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 29 10:06:28 2019 +0100

    tcpops: set tcp keepalive values when available per option
    
    - cover macos and *bsd for couple of options
    
    (cherry picked from commit 278fd5a892c14f23e9f2b8d1f3fd3232c1d319f3)

commit 3e78f6d060466363f0d61c69f6196f4d09e35ae9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Apr 3 09:17:20 2019 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit ecb15d3f84185c00450e8ab68df52ffbb9003d83
Author: Henning Westerholt <hw@kamailio.org>
Date:   Wed Apr 3 09:05:32 2019 +0200

    uac: document limitation regarding uac_replace_* with loose_route and msg_apply_changes
    
    (cherry picked from commit 05696125b775d3c275b2516ae34e73b91ce51c9a)

commit d36634a3628ef21088b9930108a0ce845ccc38d6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Apr 2 11:31:12 2019 +0200

    kamctl: regenerate db schema files

commit 0853dd48f40e4d91c207e5f4f01b4edeb34ef187
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Apr 2 11:03:40 2019 +0200

    lib/srdb1: update location types for db_redis
    
    changed introduced directly at c9f2aa71b2e0d4a4f71b3da92f97306e86f93eea
    
    (cherry picked from commit 741f7c08a86fc101a4f0290192dcbacff1673575)

commit 703b09024a462348b49d8abbf9c0f41775eb724d
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat Mar 30 16:20:27 2019 +0300

    Revert "pv: add $def pseudo variable"
    
    This reverts commit ca470cb6c5f341c518b208e8e595be2ed1309802.

commit 25dac9c25bbfecbff2922a2fdf8d9d3e9a11e762
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat Mar 30 16:20:23 2019 +0300

    Revert "core: allow pp_define_get to be used by modules"
    
    This reverts commit 299dd60a13269c65780e5a31030c323b58bf7784.

commit ab0122a7f521fc1721f6a28021af1924a4f791dc
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat Mar 30 16:20:18 2019 +0300

    Revert "core: allow pvar resolve in subsdef"
    
    This reverts commit ded4f064602d54bdb42b0bde15dda1b886009cd0.

commit 63b43167b053f485557f930b344ab4b95b24e0b8
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Feb 26 23:27:06 2019 +0300

    pkg/kamailio/obs: Added phonenum package
    
    (cherry picked from commit 356f9a837470434923165b7e3c627658b0c56b60)

commit 56c22338fee2f35a9e6d0050194ee7ea80788425
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat Mar 30 13:18:45 2019 +0300

    pkg/kamailio/obs: Added Fedora 30 packaging
    
    (cherry picked from commit fc7d03a17c7d17dcaf11a3c5aa8bf4af7044b7ac)

commit bc8119a79bbf72807a130320c1344ad922985dcf
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat Mar 30 13:35:59 2019 +0300

    pkg/kamailio/obs: Added openSUSE:Leap:15.1 and 15.0 packaging
    
    (cherry picked from commit 45f251ff673f1a26d184c9f42e6e492b73f57be0)

commit ca470cb6c5f341c518b208e8e595be2ed1309802
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Fri Jan 18 13:25:24 2019 +0000

    pv: add $def pseudo variable

commit 299dd60a13269c65780e5a31030c323b58bf7784
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Fri Jan 18 13:18:01 2019 +0000

    core: allow pp_define_get to be used by modules

commit ded4f064602d54bdb42b0bde15dda1b886009cd0
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Fri Jan 18 13:17:02 2019 +0000

    core: allow pvar resolve in subsdef

commit f66f2bec4e3de50591e8257b36de695863e740d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 29 15:02:47 2019 +0100

    app_lua: use 'us' instead of 'ms' in latency execution time logs
    
    - the value is in microseconds
    
    (cherry picked from commit e8e115631a804de72a1ec9477e21289e9788744b)

commit a7f6227efe8228444a8afd17e548640ca8458beb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 28 19:33:22 2019 +0100

    app_lua: get lua execution stack for previous level
    
    - returns the info where current function was executed
    
    (cherry picked from commit a15210d064e08ac8b1a271502360b7066bff43b6)

commit b3a6b0446832f3267e9bf05744b0c12d499c4205
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 28 18:52:34 2019 +0100

    app_lua: use lib functions for execution time and check return for lua debug
    
    (cherry picked from commit 6900c85821aeba9b947a8ed6e2b7632644fc2a04)

commit c108904cee314e8b3c2c1d0382a0830a9b2796df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 27 22:07:56 2019 +0100

    app_lua: use lua_getstack() to init structure for debug info
    
    (cherry picked from commit 47cde53eb257898c25212523d013bd7e74a30b28)

commit 8816f9d53ceab84dbe97df50ce2dbe8526756b01
Author: sergey-safarov <s.safarov@gmail.com>
Date:   Wed Mar 27 10:43:42 2019 +0300

    ipops: Fixed mask for 172.16.0.0/12 network (#1907)
    
    (cherry picked from commit 1b6332fe565d97695a1eb84172e6f19f26381101)

commit 24b0db9a7307cc6b29d590afd93f1c591f18121e
Author: Henning Westerholt <hw@kamailio.org>
Date:   Mon Mar 18 20:06:42 2019 +0100

    uac: add missing functionality to track also display names in dialog variables
    
    - add missing functionality to also track display names in dialog variables after
      usage of uac_replace_from/uac_replace_to
    - the module was working correctly with signalisation tracked with TM callbacks,
      but not for dialog tracking
    - four new dialog variables are inserted in dialog_vars: _uac_tdp, _uac_tdpnew,
      _uac_fdp, _uac_fdpnew
    - fix a potential memory leak in one replace error path
    
    (cherry picked from commit 79de612183ae8502cbc97eaa8e30342efa9385cb)

commit 410eaf2fb0e30299b6a9ea65f735f083d1cd273b
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sat Mar 16 00:25:11 2019 +0100

    uac: add debugging information also for display name removal case
    
    (cherry picked from commit 951570df487310537371468491c6eaa33d4fb0ee)

commit 13d1007fb95b778eb8a3c8bf6114620973ef8952
Author: Henning Westerholt <hw@kamailio.org>
Date:   Fri Mar 15 18:12:22 2019 +0100

    uac: small spelling fix in debug output
    
    (cherry picked from commit 3a3375523c385e76066403a3a97a841444e22d99)

commit 7497707f639687f624eaf84216785b0aed15bd42
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 18 16:01:38 2019 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 73c1fde7932a39a74e43013994525ac2a4473366
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 18 15:57:08 2019 +0100

    usrloc: docs - fixes for some param types
    
    (cherry picked from commit 0c2815aec9068511c1abbfd3fa0f1c89b66c57ce)

commit 265e1a49fb757631197f6aff15518c037c72f83a
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Mar 11 15:06:44 2019 -0400

    db_oracle: oracle client updated: 12.2 -> 18.3
    
    (cherry picked from commit 62f7cd417b759261d8b29b7a8c603560fa3dd497)

commit 7aaa77e682aa7b5da011c222df393601adf278b0
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Mar 11 07:52:58 2019 -0400

    rtpengine: normalise `compat.h` handling towards bencode upstream
    
    fixes #1885


===================== 2019-03-11 Version 5.2.2 Released =====================

===================== Changes Since Version 5.2.1 ===========================

commit 22e81f47c3d8cf3e30bebf81b3f5f64382696c50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 11 12:19:43 2019 +0100

    Makefile.defs: version set to 5.2.2

commit 81102f7499a2a4822a764f2279bd3966054a21fa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Mar 11 11:25:42 2019 +0100

    pkg/kamailio/deb: version set to 5.2.2

commit 6e2251df9dcc006a9ad3427c747364d47e1c7410
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 11 10:26:20 2019 +0100

    pkg: version set to 5.2.2 for obs, rpms and apkbuild

commit 77eebed8be1930fdb03f4fce0a1caac1bd45c583
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 11 09:57:57 2019 +0100

    topoh: check returned pointer when decoding call-id
    
    (cherry picked from commit b5ce9d8f9a1b1fd705ad4b533e7cbc9166a3f577)

commit 3f9d2b733b454ce27e21c3dbddb9953f079f47d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 10 10:56:03 2019 +0100

    app_python: execution log message based on core latency_limit_action
    
    (cherry picked from commit a2915a9fc3d974e85829ccb6ea22d655124d4463)

commit f10181b47b4365e8b873d2c8e09f844be25eb865
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 9 09:55:04 2019 +0100

    app_jsdt: execution log message based on core latency_limit_action
    
    (cherry picked from commit 4d5622b25039a0b35ae3e6d447843d3fb33af334)

commit 56802275b4b4cc77b85b7ef9460134265974e455
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 9 09:40:59 2019 +0100

    tm: more debug to track decision to relay reply or not
    
    (cherry picked from commit b292adb668528340fca381925724540afc7f13e8)

commit 3d9eb0612aa2eec11b75621a3ed630de4a63bf66
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 20:51:29 2019 +0100

    app_lua: execution log message based on core latency_limit_action
    
    (cherry picked from commit b72996c7b1ad95b89f1b34e849c713bfe3fb50a9)

commit efbf7aa7b8b3af03be43d926c6e0fc23c2349e87
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 18:40:45 2019 +0100

    core: tcp - more details in debug messages
    
    (cherry picked from commit 60f7ff60a95ab5dd8192391f50f760e802d11e07)

commit b45c9f2525e926a07d9c7fe2e212675327197990
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 18:37:38 2019 +0100

    core: kemi - exported functions for equivalent tests of src_port and dst_port
    
    (cherry picked from commit 235a10bc7316f3b91ae6ab51960702a07f69f27a)

commit 6129c28f8c5957ca409a8e51737e4d9fbd860652
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 08:40:09 2019 +0100

    core: kemi - corresponding functions to check af==ipv4/ipv6
    
    (cherry picked from commit 61795123af0a2d2cb261c36ac78a4833f03a3321)

commit fc09321222889dac8138d31d2b19247c02041687
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 7 16:24:24 2019 +0100

    core: exported functions to check incoming protocol
    
    - corresponding to proto==UDP/TCP/TLS/...
    
    (cherry picked from commit d33d60e08b5081a605149b3bff2a0397c0952e9b)

commit 0b511b49a7c7327cef7bd5cec63b1c5fddb0750c
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue Mar 5 10:29:39 2019 +0000

    pv: use parsed uri to compute tosocket
    
    (cherry picked from commit dc9531affae6336ea3771792a80385de56205ff0)

commit cfd4947edd6363b31c31706c7c352c5789642ddc
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue Mar 5 10:33:08 2019 +0000

    core: free resources in xavp_clone_level_nodata
    
    (cherry picked from commit 0c93efec739551f3e74e119d4b789d0bb6e766d6)

commit e244d6d5e8138b97f3c3aaa55970835576f9cc3e
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue Mar 5 10:35:01 2019 +0000

    core: increase max_defines from 256 to 512
    
    (cherry picked from commit b4696169e8b464da01774b1e40af677f941c803b)

commit 60cf0c4e4042ce858460193cad64b3aad2ecfd53
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 6 09:01:46 2019 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit f3e02e66beb2f461905d33157ae2aa1e09a74c54
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 6 08:16:29 2019 +0100

    rtjson: reuse r-uri if not given in the rtjson field
    
    (cherry picked from commit b6b91a6d517675e9891e83b57dcdf90d7db0673d)

commit 18b8cf91fd370523ec3da5f34b86eb8cc99fc39a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 5 22:40:27 2019 +0100

    rtjson: more debug messages when getting routes from json
    
    (cherry picked from commit 649687fd8dd5a3d9b6b04d75d4e0d129f14e91d6)

commit 24a739225f29650c3b4eef7fb46cce6c81e97e53
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 20:30:25 2019 +0100

    rtjson: user wrapper functions for kemi exports
    
    (cherry picked from commit 138172a388bc8b23035a7a422b97fc0276ed1462)

commit 544d1ccab56ddc3b58c5301ade5c241c4c5b4433
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 2 13:40:47 2019 +0100

    topoh: detect when via param is shorter than expected prefix
    
    (cherry picked from commit e6950ffb1985493e717e3d774eddad779aed1514)

commit b30881d5d7cd9f8896ea07bf5852649abf38cbd7
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Mar 4 00:15:19 2019 +0100

    tcpops: Fix minor typo: tcp_init_evroutes => tcpops_init_evroutes
    
    (cherry picked from commit cbadbca348c5deb97522afe440dc6055475ea72c)

commit e1116aca38ad55305593c8936fcacff0d00cf668
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 15:43:16 2019 +0100

    dialplan: docs - note about limiting to max 1 rpc reload in 5 seconds
    
    (cherry picked from commit 34f928427ecf315f638cd59fa512d59f4c64f22e)

commit 567c5b91ff0de3237d4dc98138675f19e152bcf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 10:51:29 2019 +0100

    dialplan: basic safety for concurent rpc reload
    
    - reported by GH #1874
    
    (cherry picked from commit 99d5da8d595961063249f871a5d150474fa6f317)

commit 2e3e72cfe906bf08b0c940d4e461890dd54b30c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 28 20:15:36 2019 +0100

    tm: put back t in wait timer if still referenced more than once
    
    - have a safety upper limit for putting back in wait timer
    - special credits to Yufei Tao for testing and helping to troubleshoot
    
    (cherry picked from commit 814d5cc1f4f5b1e4b95737108dffc1e7d7bd566f)

commit faed5b294d15ba642e2b58a7577bbaa783745aab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 28 08:42:51 2019 +0100

    tcpops: docs for event_callback parameter
    
    (cherry picked from commit aab836d84d1121f9c8dd3b0fb090d6767b4e05a8)

commit 209dd6fcba96f3ff436298ebe5d17105782e0a2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 28 08:35:53 2019 +0100

    tcpops: event routes executed via kemi framework
    
    - fixed missing compatibility with kemi execution
    - event_callback parameter allows setting the name of kemi function
    
    (cherry picked from commit d36cde90f345621cdab557e9f46bc8490e221004)

commit 8421a744736bf2bfd6ee007a026e75eae9357a6f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:26:50 2019 +0100

    dialog: use kemi wrapper to execute routing functions
    
    (cherry picked from commit d4f4a8ad572c0335ddc28231bf02cc65ede181f0)

commit 8b57c0b4be65be758b1d0b6b8cf893549948f5df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:26:38 2019 +0100

    dispatcher: use kemi wrapper to execute routing functions
    
    (cherry picked from commit ea9c1f5d8f074a057c53c5d3f6f1f32bce998143)

commit 5fe4eaea8afc87bdbfaf0b507de045fbabbd8940
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:26:19 2019 +0100

    evapi: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 8c930c09dcf20263fa34cd2568f2600785440da2)

commit 77be3404cce56e00d5cf652b6522ebf823cf8999
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:25:51 2019 +0100

    http_async_client: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 30533678a1132951bc0e354c1503325b8325474f)

commit ebef67b51d532c121b47238dfde16b82767a39bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:25:36 2019 +0100

    msrp: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 3c2cf7c3aad2670b1feff5b5fde9a49ba9aeb295)

commit 82c7616e86678a4ef79ad7f07791ee5f2690543b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:25:25 2019 +0100

    registrar: use kemi wrapper to execute routing functions
    
    (cherry picked from commit c3ed3d9a531c403fc850d229252eb4bcd4cc473e)

commit e2a48d84090960f6c3f33db3595435a752b71f17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:25:12 2019 +0100

    sipcapture: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 1b45419212f72d51dbe99d42087e119bb9dd15de)

commit 4caec075eeb6585bd52e05a882b59fbbd26f1eff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:24:51 2019 +0100

    timer: use kemi wrapper to execute routing functions
    
    (cherry picked from commit f66bbf48d04fc94cb3849cc977990ded935dffff)

commit d4f63e8cd2ec5c87818fdaf29c852446e7a59f8f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:24:32 2019 +0100

    tls: use kemi wrapper to execute routing functions
    
    (cherry picked from commit eb653f02cfe25a2c3b6388d5c581a37139707e77)

commit 8a9c35f92afb33179e4d8a06024abf06a19a557c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:24:12 2019 +0100

    topoh: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 2f421594c3d34a02f38283f64e739860acc142bc)

commit 403da8e8dcc2e4986595f183f0ac37a6bb41ab86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:23:57 2019 +0100

    topos: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 53786f5223260c1a5c03685ca26ad73774c75bc0)

commit ef0a63249fdf35695f5483d6bba3883e8873b1be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:23:31 2019 +0100

    websocket: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 9e1c17d3c9e7c323bda8f99bfc27a8113ebd55ba)

commit dbcc4b611d7eee0f97d96208d1dce9767786f5ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:23:13 2019 +0100

    xhttp: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 6497efe137afb3da632eb278fc69079a7e77215d)

commit a37df2461ee6a21d0bef093102f0dbee67064aee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:23:00 2019 +0100

    xmlrpc: use kemi wrapper to execute routing functions
    
    (cherry picked from commit 9446ed393d515255da7a04c881c92169e78c491d)

commit af9d741f3ef8a2e814bd1edb9a3cdcf00ec7e01f
Author: denyspozniak <denys.pozniak@gmail.com>
Date:   Wed Feb 27 09:05:03 2019 +0100

    dispatcher: more details for use_default param with dispatcher.list file
    
    (cherry picked from commit a70fd487a7509be41e558a9f54efaa7f038fd3e2)

commit 6384256c3df3770e66989511b2019f7d4fb0d697
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 26 19:09:44 2019 +0100

    htable: use kemi wrapper to execute routing functions
    
    (cherry picked from commit e5bffb306c45f7a0f0f672368884f430d63c09ba)

